About This Manual

This manual contains information about installing the Pervasive.SQL V8 database system. Pervasive.SQL V8 is a complete database management system, providing the best of both worlds. It combines a transactional interface designed for high-performance data handling and improved programming productivity with an embeddable and scalable relational interface.

This manual also contains information about common installation issues, general network protocol information, and Pervasive.SQL V8 components.

For information on using Pervasive.SQL utilities, see User's Guide. For information about configuring the Pervasive.SQL V8 engine, see Advanced Operations Guide.

Prev
Check for Revisions 		Next
Who Should Read This Manual


Who Should Read This Manual

This manual provides information for users who install and run Pervasive.SQL V8. This manual is also useful for system administrators who are responsible for maintaining databases on a network and for those who are using Pervasive.SQL to develop server applications.

Pervasive Software would appreciate your comments and suggestions about this manual. As a user of our documentation, you are in a unique position to provide ideas that can have a direct impact on future releases of this and other manuals. If you have comments or suggestions for the product documentation, post your request at http://www.pervasive.com/devtalk or send e-mail to docs@pervasive.com.

Prev
About This Manual 		Up
Check for Revisions 		Next
Manual Organization


Manual Organization

This manual is arranged in the order of the main installation sequence. You complete the installation by following the chapters in order (skipping the chapters that do not apply to your server platform). Getting Started with Pervasive.SQL V8 is divided into the following sections:

Getting Ready to Install

  • Chapter 1—Welcome to Pervasive.SQL

    This chapter provides a basic introduction to Pervasive.SQL V8.

  • Chapter 2—Preparing to Install Pervasive.SQL

    This chapter discusses important preparations that you should undertake before attempting to install Pervasive.SQL V8.

  • Chapter 3—Pervasive.SQL and Terminal Services

    This chapter describes how to use Pervasive.SQL with Terminal Server Products.

Windows

  • Chapter 4—Installing Pervasive.SQL with No Previous Installation

    This chapter describes how to install Pervasive.SQL for the first time on Windows 2000 or Windows NT.

  • Chapter 5—Upgrading Your Pervasive.SQL Installation

    This chapter describes how to upgrade a previous version of Pervasive.SQL on Windows 2000 or Windows NT.

  • Chapter 6—Network Settings for Server Engine on Windows

    This chapter describes how to configure your network for use with the Server engine on Windows 2000 or Windows NT.

  • Chapter 7—Application Configuration Scenarios

    This chapter describes different application configurations for special scenarios.

NetWare

  • Chapter 8—Installing Pervasive.SQL on NetWare

    This chapter describes how to install the Pervasive.SQL server on NetWare.

  • Chapter 9—Network Settings for Server Engine on NetWare

    This chapter describes how to configure your network for use with the Server engine on NetWare.

  • Chapter 10—Application Configuration on NetWare

    This chapter describes different application configurations for special scenarios.

Linux

  • Chapter 11—First-time Server Installation on Linux

    This chapter describes how to install the Pervasive.SQL server on Linux.

  • Chapter 12— Upgrade Installation Procedure for Linux

    This chapter describes how to upgrade a previous version of Pervasive.SQL on Linux.

  • Chapter 13 —Network Settings for Linux

    This chapter describes how to configure your network for use with the Server engine on Linux.

  • Chapter 14 —Application Configuration on Linux

    This chapter describes different application configurations for special scenarios.

Client Requesters

  • Chapter 15—Installing Pervasive.SQL Windows Requesters

    This chapter explains how to install the client requesters to the workstations that connect to Pervasive.SQL Server engines.

  • Chapter 17—Distributing the Pervasive Client

    This chapter discusses ways of distributing the installation of the Pervasive.SQL client software across your network.

  • Chapter 18—Client Network Configuration

    This chapter describes how to configure your clients network settings for use with Server engines. It also offers implementation notes for specific operating systems.

After Installation

  • Chapter 19—Connecting Clients to a Pervasive.SQL Database

    This chapter describes how to connect to a server and display data from a table in the sample database.

  • Chapter 20—Taking Full Advantage of Upgrade

    This chapter describes how users upgrading from previous Pervasive products can utilize the Rebuild utility to take advantage of the latest MicroKernel features.

  • Chapter 21—Troubleshooting After Installation

    This chapter provides information on Pervasive.SQL tools that aid in diagnosing problems.

  • Chapter 22 —Pervasive.SQL Resources and Contacts

    Should you not find the answer to your problem, this chapter gives contact information for Pervasive.SQL support.

This manual also contains an index.

Prev
Who Should Read This Manual 		Up
Check for Revisions 		Next
Conventions


Conventions

Unless otherwise noted, command syntax, code, and examples use the following conventions:
CASE | Commands and reserved words typically appear in uppercase letters. Unless the manual states otherwise, you can enter these items using uppercase, lowercase, or both. For example, you can type MYPROG, myprog, or MYprog.
Bold | Words appearing in bold include the following: menu names, dialog box names, commands, options, buttons, statements, etc.
Monospaced font | Monospaced font is reserved for words you enter, such as command syntax.
[ ] | Square brackets enclose optional information, as in [log_name]. If information is not enclosed in square brackets, it is required.
| | A vertical bar indicates a choice of information to enter, as in [file name | @file name].
< > | Angle brackets enclose multiple choices for a required item, as in /D=<5|6|7>.
variable | Words appearing in italics are variables that you must replace with appropriate values, as in file name.
. . . | An ellipsis following information indicates you can repeat the information more than one time, as in [parameter . . . ].
::= | The symbol ::= means one item is defined in terms of another. For example, a::=b means the item a is defined in terms of b.

Prev
Manual Organization 		Up
Check for Revisions 		Next
Getting Ready to Install


Getting Ready to Install

Prev
Conventions
Check for Revisions 		Next
Welcome to Pervasive.SQL


Welcome to Pervasive.SQL

A Basic Introduction to Pervasive.SQL V8

Thank you for purchasing Pervasive.SQL V8. We are confident that you will find Pervasive.SQL V8 to be the very best high performance, low maintenance database engine on the market.

This chapter contains the following topics:

  • About Pervasive.SQL
  • About the Server Engine
Prev
Getting Ready to Install
Check for Revisions 		Next
About Pervasive.SQL


About Pervasive.SQL

Pervasive.SQL V8 is a reliable, low-maintenance, high-performance database management system (DBMS). Thousands of companies around the world license Pervasive.SQL and distribute it as the underlying data storage program for their data-intensive software products. These companies see no reason to build their own DBMS or license from a competitor once they experience the ease-of-use, reliability, and value offered by Pervasive.SQL.

No matter whether you received Pervasive.SQL with another product or purchased it yourself, this section explains a little about the product and why it is right for you.

If you would like to read a detailed discussion of Pervasive.SQL architecture and interfaces, please refer to Pervasive Products and Services.

Competitive Advantages

Pervasive.SQL provides a number of advantages over other products available on the market. Here are just a few:

  • Lowest total cost of ownership. An independent study conducted by Aberdeen Group concluded that no major database product can match Pervasive.SQL's low total cost of ownership. How do we do it? See the next bullet.
  • No Database Administrator (DBA) required. You can look in the newspaper any day of the week and see classified ads for Oracle, Sybase, or SQL Server database administrators, with sky-high salaries. Pervasive.SQL offers the unique Zero Database Administrator, or Z-DBA, architecture. Its easy-to-use tools, bulletproof installation, and set-it-and-forget-it simplicity make it the perfect workhorse for desktop, workgroup, and departmental applications.
  • Scalable from the desktop to the Web. Pervasive.SQL is available in two editions: the Ultra-light Workgroup database engine supports single-user configurations up to small workgroup configurations; and the Server engine comes with a 10-user license and scales to hundreds of concurrent users, including intranet and extranet applications. Upgrading to another configuration requires no changes to the supported application, just plug-and-play with the new database engine.
  • Cross-platform support. Unlike some competitors, Pervasive.SQL does not confine you to a single platform. Pervasive.SQL databases are binary-compatible and supported across Microsoft Windows, Novell NetWare, and several Linux distributions. No matter what operating system you currently use or change to, Pervasive.SQL is there for you.
  • Big database features at a small price. Pervasive.SQL offers full security, encryption, management and monitoring tools, and a host of other features you would expect to see in more expensive DBMS products.
  • Legendary stability and reliability. There's no doubt why 70% of the Windows desktop accounting market uses Pervasive.SQL as the underlying database of choice. When you manage important data, go for the database engine that won't let you down.

Relational or Transactional Access

Pervasive.SQL offers an architecture that is totally unique in the database management market. Our product allows you to access the exact same data through ODBC and OLE DB, supporting applications like Microsoft ASP, Excel, and Access, or through the lightning-fast transactional interface called Btrieve. ODBC allows you to do complex reporting and data mining, while Btrieve provides massive throughput when you need the ability to view, update, or create millions of records a day.

Each application vendor chooses which interfaces are used. If you want to know which access methods are used in your application, contact your application vendor.

Prev
Welcome to Pervasive.SQL 		Up
Check for Revisions 		Next
About the Server Engine


About the Server Engine

This section provides some basic information about the Pervasive.SQL Server engine. For a detailed discussion of Pervasive.SQL architecture, please refer to Pervasive Products and Services.

If you would like more information about what comes in your product and what gets installed, please see Chapter 2, Preparing to Install Pervasive.SQL.

Purpose

You have purchased the Pervasive.SQL Server engine. This database engine is designed to support up to many hundreds of concurrent network users when installed on the appropriate hardware. It is capable of supporting web, corporate, departmental, and other client/server or web-based applications where reliability and performance are critical.

Where to Install

The Server engine must be installed on the same computer where the database files are located. The client portion of the software must be installed on every computer that is expected to access the database. In the case of web applications, the client must be installed on the same computer as the web server. Multiple web server platforms require a client on each platform.

Additional User Licenses

If you receive Status Code 161 or other status codes indicating you have exceeded your licensed user count, you may wish to buy additional user licenses. You can purchase additional licenses in blocks of 10, 20, 50, 100, or more. You may purchase user count upgrades from your application reseller or directly from Pervasive.

Features

All Pervasive database engines offer the same powerful feature set and full-functioned support for programming interfaces. All engine editions are plug-and-play compatible, requiring no application changes to switch from one engine to another. Data files are binary-compatible across all supported platforms.

The chart below shows the major differences between the two different editions of the product.
Table 1-1 Comparison of Server and Workgroup Features
Feature | Server | Workgroup
Supports Btrieve, ODBC, OLE-DB, and ActiveX interfaces | ü | ü
Full-featured relational support (online backup, security, referential integrity, management tools, and so on) | ü | ü
Binary compatible data files across all platforms and engine editions | ü | ü
Easy plug-and-play upgrading, no application changes required | ü | ü
Includes complete online documentation | ü | ü
Can access data on a file server where no database engine is installed |  | ü
Supports remote ODBC client connections | ü | ü
Requires a Workgroup engine on all computers expected to access remote data | N/A | ü
Engine runs on Windows | ü | ü
Engine runs on NetWare | ü |
Engine runs on Linux | ü |
Multi-user for small groups | ü | ü
Scales to hundreds of users | ü |
Extranet license available | ü |

Prev
About Pervasive.SQL 		Up
Check for Revisions 		Next
Preparing to Install Pervasive.SQL


Preparing to Install Pervasive.SQL

Preparation Needed for Pervasive.SQL V8 Server Installation

Thank you for purchasing Pervasive.SQL V8. We hope that you enjoy using this fast and reliable database product.

This chapter contains the following topics:

  • Installation Overview
  • Installation Checklist
Prev
About the Server Engine
Check for Revisions 		Next
Installation Overview


Installation Overview

This section provides an overview to the components that make up Pervasive.SQL V8. Also included in this section is information on the files included in the different types of installation.

Major Components of Pervasive.SQL V8

Pervasive.SQL V8 consists of the following components:

Pervasive.SQL V8 Database Engine

Pervasive.SQL V8 consists of two database sub-engines:

  • MicroKernel Database Engine (MKDE), which provides Btrieve/MicroKernel API support for Pervasive.SQL applications
  • SQL Relational Database Engine (SRDE), which provides ODBC/SQL API support for Pervasive.SQL applications

Client

Requesters that allow you to access the server-based MicroKernel from a DOS or 98/ME/NT/2000/XP client.

  • The 16-bit requesters used in DOS clients are Btrieve requesters only and will have no relational access.

Pervasive.SQL V8 Utilities

Pervasive.SQL V8 includes a suite of useful utilities for every phase of database management from engine installation and configuration to data maintenance. They include the following:

  • Pervasive System Analyzer (PSA)
  • Pervasive Control Center (PCC)
  • Configuration
  • Monitor
  • License Administrator
  • Function Executor
  • Maintenance
  • SQL Data Manager
  • Table Designer
  • Rebuild
  • ODBC Administrator
  • Gateway Locator
Wizards

As part of the tools available in PCC, a suite of wizards provide an interactive way to assist you in database development, maintenance, and manipulation. Wizards available in Pervasive.SQL V8 include the following:

  • Create Database
  • Drop Database
  • Check Database
  • Import Data
  • Export Data
  • Null Conversion
  • Create Table
  • Drop Table

Online Documentation

In addition to context-sensitive help for the utilities, you can install the complete Pervasive.SQL V8 documentation set in HTML Help format. Your product package contains a printed copy of Getting Started with Pervasive.SQL V8 (Server Edition) and the Status Codes and Messages Quick Reference card. You can order a complete hardcopy set of the manuals through the Pervasive Software Sales Team.

  • What's New in Pervasive.SQL V8 - describes the new features in the release.
  • This book - Getting Started with Pervasive.SQL V8 (Server Edition) - helps you to get Pervasive.SQL V8 Server engine running with installation, setup, and basic configuration information based on your operating environment.
  • Getting Started with Pervasive.SQL V8 (Workgroup Edition) - helps you to get Pervasive.SQL V8 Workgroup engine running with installation, setup, and basic configuration information based on your operating environment.
  • Pervasive Products and Services - provides an overview of Pervasive Software products and services, including support options and information regarding licensing and registration. This manual also describes the database and product architectures.
  • Pervasive.SQL User's Guide - gives basic information on the utilities provided with the Pervasive Control Center, including several interactive wizards designed to help you accomplish basic database tasks. This manual also contains information on the Linux database engine and the utilities available for that particular platform.
  • SQL Engine Reference - provides database programmers a complete reference guide to the SQL relational database language supported in Pervasive.SQL V8.
  • Advanced Operations Guide - details tasks typically performed by Network or System Administrators, using various tools such as the Rebuild, Maintenance, Monitor, and Function Executor utilities.
  • Status Codes and Messages - lists the error and informational codes and messages that can be received when using Pervasive software.

Installation Options

Pervasive.SQL V8 offers Complete and Custom installation options. You can accept default installation parameters by selecting the Complete install, or you can specify certain installation parameters by selecting the Custom install option. The following sections outline the major differences in these two installation options.

Complete Setup Installation

The Complete installation, which is recommended for most first time users, takes default actions for most operations performed during the installation.

The Complete setup installs the following components:

  • Pervasive.SQL V8 Engine (including ODBC interface)
  • All possible requesters (Win32 and MS-DOS requesters)
  • Utilities
  • Transactional and Relational interfaces
  • Client installation copies
  • Online documentation

Custom Setup Installation

Selecting Custom setup type allows you to specify the program folder name, select the components to install, and set the Pervasive.SQL V8 engine service start mode.

During a Custom server installation, the following components are optional:

  • Online documentation
  • Client installation programs for DOS and Windows.

On Windows, the default installation location for Pervasive.SQL V8 is C:\PVSW, assuming the Windows system drive is C.

On NetWare, the default installation location is SYS:\SYSTEM.

On Linux, the default installation location is /usr/local/psql.

Prev
Preparing to Install Pervasive.SQL 		Up
Check for Revisions 		Next
Installation Checklist


Installation Checklist

This section provides you with a checklist to prepare you for installation. Please use this checklist as a guide for a successful installation.

Quick Checklist

Each of the following bullet points is described in more detail in the sections that follow.

  • Your system hardware meets the minimum requirements (listed later in this chapter) to install Pervasive.SQL V8 Server.
  • Your operating system is supported by Pervasive.SQL V8 Server.
  • You have full administrator-level rights on the machine where you plan to install the product.
  • Your application vendor supports the Pervasive.SQL V8 engine.
  • Schedule the upgrade appropriately and perform the installation with care.
  • Licenses for older versions of the product cannot be migrated up.
  • Read the README file for important, late-breaking warnings and information.
  • If you are installing a downloaded version of Pervasive.SQL, do not place the install file in a location that is listed in the PATH environment variables, as this can cause issues with file copying during install. Place the setup files in a location such as the Windows TEMP directory.

Check the Hardware Requirements

You must have the following to install Pervasive.SQL V8:

Server - Windows

  • Intel 486 processor or higher.
  • At least 64 MB of free memory.
  • At least 80 MB of free space in the installation location, depending upon the installation options selected.
    • Installations for each of the Pervasive.SQL clients. See Chapter 17, Installing Pervasive.SQL Windows Requesters for more information on client installations.
    • Online documentation.

Server - NetWare

  • Intel 486 processor or higher.
  • At least 64 MB of free memory.
  • At least 15 MB of free disk space for the server components. For the client installation, you need up to an additional 80 MB for the following components:
    • Installations for the client setup. See Chapter 17, Installing Pervasive.SQL Windows Requesters for more information on client installations.
    • Online documentation

Server - Linux

  • Intel 486 processor or higher.
  • Most Linux distributions with Kernel 2.4, Glibc 2.2, and RPM 4.

Note
Due to recent trends in the rapid development of the Linux operating environment, please refer to the Pervasive Software web site for the latest information concerning the list of supported platforms.

  • At least 64 MB of free memory.
  • At least 25 MB of free space in the installation location.

Client - Windows

  • Intel 486 processor or higher.
  • At least 10 MB of free memory (more is recommended).
  • Up to 30 MB of free space in the installation location, depending upon the installation options selected.
  • DOS only: DOS 5.0 or greater with 1MB hard disk space, 640 KB RAM.

Network - NT

  • You must have a properly functioning network consisting of one or more servers connected to one or more clients using network cabling and hubs.

Network - NetWare

  • You must have a properly functioning network to install Pervasive.SQL V8. You need one or more servers and one Windows client machine for each of those servers to install Pervasive.SQL V8 remotely. NetWare can only be installed from a client machine.

Linux System Requirements

You must have the following to install Pervasive.SQL on Linux:

Client - Linux

  • Windows 98/ME , Windows NT 4.0 (SP6a or later), Windows 2000, or Windows XP.
  • At least 10 MB of free memory (more is recommended).
  • Up to 30 MB of free space in the installation location, depending upon the installation options selected.

Network - Linux

  • You must have a functioning network consisting of one or more servers connected to one or more clients using network cabling and hubs.
  • TCP/IP protocol must be used and configured properly, because other protocols (such as IPX/SPX) are not supported with Linux.

Check the Software Requirements

Your operating system (and, optionally, version of Internet Explorer for Windows platforms) must be supported by Pervasive.SQL V8. The Pervasive.SQL V8 products are supported on the following:

Server Engines:

  • Windows 2000
  • Windows NT 4.0 (SP6a or later)
  • NetWare 4.2, 5.0, 6.0, 6.5, or later
  • Linux distribution with Kernel 2.4, Glibc 2.2, and RPM 4

Client Environments:

  • Windows XP/2000 (supports DOS, Win16, Win32 applications)
  • Windows NT 4.0 (SP6a or later)
  • Windows 98/ME
  • Windows 2000 Terminal Services
  • Citrix Metaframe
  • DOS 5.0 or higher

Workgroup Engines:

  • Windows XP/2000
  • Windows NT 4.0 (SP6a or later)
  • Windows ME/98

Other Requirements on Windows Platforms:

  • Internet Explorer 5.01 or greater.

Note
Internet Explorer 5.01 is required only for the utilities and online documentation. You need Internet Explorer 4.01 SP2 or greater to install the Pervasive.SQL Server engine. See also the Pervasive.SQL README file for a list of Internet Explorer versions that may cause formatting and display problems with the online documentation and Pervasive System Analyzer.

Support for Previously Released Pervasive.SQL Server Engines

Pervasive.SQL V8 client components support the following previously released Pervasive server engines:

  • Btrieve Server v6.15 (NetWare, Windows NT)
  • Pervasive.SQL v7.0 (NetWare, Windows NT)
  • Pervasive.SQL 2000 v7.5 (NetWare, Windows NT/2000)
  • Pervasive.SQL 2000i v7.94 (NetWare, Windows NT/2000, Linux)

See the Application Migration Guide, available online at
http://www.pervasive.com/library/index.asp?_shownode=MIG, for more information.

Ensure Adequate Permissions

To install Pervasive.SQL V8 on Windows XP/2000 or Windows NT, you must have full administrator-level rights on the machine where you will install Pervasive.SQL V8. For information on granting administrative rights, please refer to Pervasive.SQL User's Guide.

Verify Compatibility of Vendor Applications

Contact your application vendor or review the documentation provided by your vendor to ensure that they support the Pervasive.SQL V8 engine version and mode that you want to install.

Schedule the Upgrade and Perform with Care

If installing the Pervasive.SQL V8 Server edition, the installation and upgrade should be performed during a period of low use.

As with any significant software installation, be sure to back up any important files on the target hard drive, including data files, before you begin the installation.

Pervasive's upgrade and support policy dictates that you should always use requesters that are the same version as or newer than your Server engine. Based on this policy, Pervasive testing may not uncover all issues when using older requesters against newer engines. Thus, Pervasive recommends that you upgrade your requesters along with your server engine.

Whether you install the server or the requester(s) first depends on the mechanics of your site. If, during your system down time, you can install the requesters to all the machines that need them, then you should install the server first and immediately upgrade all the client machines. If you need to upgrade the clients at a different time than the server, and your users need access to the system between these times, you should use a different approach.

One method you can use is to install the Pervasive.SQL server on a test machine. Then, when you install the new requesters, you can give the Pervasive System Analyzer (PSA) the location of the test server to verify the successful client installation. Once the client installation is complete, your applications will use the new requesters against your production server until it is time to upgrade the production server engine.

Installing to a Cluster

If you plan to install Pervasive.SQL to a clustered environment using either Microsoft Cluster Service or NetWare Cluster Services, please read the following in Advanced Operations Guide: Server High-Availability Support .

Check for Special Configuration Issues

Some default setting in Pervasive.SQL need to be adjusted if your configuration includes certain qualities. For example, the default settings need adjustment if you have:

  • Multiple network interface cards (NICs)
  • Files with Embedded Spaces

Please review Configuration for Special Installation Situations for these or other relevant issues, especially if you encounter problems after installation.

Read the README file

Pervasive Software strongly recommends that you read the information contained in the README file. This file contains important product news that could not be included in the product documentation but is essential to your installation and use of the product release.

Prev
Installation Overview 		Up
Check for Revisions 		Next
Pervasive.SQL and Terminal Services


Pervasive.SQL and Terminal Services

How to Use Pervasive.SQL with Terminal Services

This chapter explains how to use Pervasive.SQL with Microsoft Terminal Server and Citrix MetaFrame. In general, you can use Pervasive.SQL on machines with either product in almost the same way as on a computer without remote access.

This chapter contains the following sections:

  • Overview
  • Licensing
  • Installation
  • Configuration and Runtime
Prev
Installation Checklist
Check for Revisions 		Next
Overview


Overview

Microsoft Terminal Services is a multisession environment that provides remote computers access to Windows-based programs running on a server. Citrix MetaFrame extends Windows Terminal Services with additional client and server functionality.

Supported Environments

You may install the Pervasive.SQL database engine in any of the following environments:

  • Windows NT 4 Terminal Server SP6a
  • Windows 2000 Terminal Server SP1
  • Windows NT 4 Terminal Server SP6a with Citrix MetaFrame 1.8
  • Windows 2000 Terminal Server SP1 with Citrix MetaFrame 1.8

Only one instance of the database engine may run on any terminal server platform. You cannot run separate copies of the database engine within two or more terminal sessions.

Prev
Pervasive.SQL and Terminal Services 		Up
Check for Revisions 		Next
Licensing


Licensing

Each terminal server client session counts as one user. Collectively, all applications that access the database engine and run on the same machine as the database engine also count as one user. You must purchase sufficient user count licenses to cover the number of users accessing each database engine. For example, if you have a 10-user license, you may not have more than 10 users accessing the database at once, whether they are connected through terminal sessions or remote database connections.

You may not use a terminal server as a method of bypassing the user count mechanism of the database engine.

Prev
Overview 		Up
Check for Revisions 		Next
Installation


Installation

To install Pervasive.SQL on a terminal server, you must be logged into the terminal server as a user with system administrator rights.

Windows NT Server

Prior to installation, you must switch the terminal server to install mode using the change user /install command. This ensures that the software is available to all users after installation. When the installation is complete, you set the terminal server back to runtime mode using the command change user /execute.

For more information about this command, see the Microsoft Knowledge Base article (especially the "Additional Notes" at the bottom of the article):

http://support.microsoft.com/?kbid=186504

Windows 2000 Server

Install Pervasive.SQL through Add New Programs (Start 4 Settings 4 Control Panel 4 Add/Remove Programs 4 Add New Programs). The operating system automatically handles the changing of terminal server modes.

Prev
Licensing 		Up
Check for Revisions 		Next
Configuration and Runtime


Configuration and Runtime

This section provides information pertaining to configuration.

Remote Configuration with PCC

You cannot use PCC through a terminal session to configure a remote database engine. You must use PCC at the terminal server console or through a standard remote connection to configure the database engine on the terminal server machine.

Terminal Server as Network Server

You may use your terminal server as your main network server and database server. However, if you have high usage of the server as a file server as well as many terminal sessions running at the same time, you may find the performance less than satisfactory.

Another concern is having all of your mission critical services on the same machine. If it goes down, all of your services go down at once.

For these reasons, you may wish to consider distributing your mission critical services on two or more computers.

Prev
Installation 		Up
Check for Revisions 		Next
Windows Server: Installing and Configuring


Windows Server: Installing and Configuring

Prev
Configuration and Runtime
Check for Revisions 		Next
Installing Pervasive.SQL with No Previous Installation


Installing Pervasive.SQL with No Previous Installation

Instructions for First-time Windows Server Installation

This chapter contains procedures for installing and running Pervasive.SQL V8. The chapter contains the following sections:

  • Before You Begin
  • Installing Pervasive.SQL Server
  • Custom Installation Path
  • Common Questions After Installing Pervasive.SQL
  • Uninstalling Pervasive.SQL Server
Prev
Windows Server: Installing and Configuring
Check for Revisions 		Next
Before You Begin


Before You Begin

This section contains information with which you need to be familiar to successfully install Pervasive.SQL V8.

Before installing Pervasive.SQL V8, begin by reviewing the following documents:

  • Chapter 2 , Preparing to Install Pervasive.SQL - This chapter provides important information, including system requirements and platform specific notes, relevant to your operation.
  • "What's New in Pervasive.SQL V8" - This document is included in your product package and contains information regarding the latest features and enhancements in this release.
  • README - This file is located on the distribution media and contains late-breaking product news that could not be included in the product documentation. The file is available in text and HTML formats.

Platform Notes for Windows

This section contains installation information specific to the Windows platform.

  • To install Pervasive.SQL for Windows, you must have full administrator-level rights on the machine where you will install the product. You need administrative rights to make the client installation directories available to your workstations.
  • If you want your individual client machines to install the requester portion of the installation from the server, you must give the clients permission to access the client installation folders, which are part of the Pervasive server install. The default location for these install programs is C:\PVSW\CLIENTS.
  • If you use the Advanced Power Management of the operating system, disable it while upgrading to Pervasive.SQL V8. The power management can cause a Pervasive.SQL installation to fail if the server is suspended during the install.

Installation Tips

  • When installing Pervasive.SQL V8 for the first time on a system, Setup will check if all of the needed system files meet the minimum requirements. In some cases, these files are locked by the operating system and a reboot is required before Setup can continue. The following dialog box is displayed if this is the case.

Figure 4-1 Pervasive.SQL V8 Setup Reboot Required

Click Yes to reboot the system. Setup is then automatically restarted.

Caution
You must reboot your system if you encounter this message. If you do not reboot your system, Setup will encounter failures during engine and utilities configuration.

If you have any trouble with the following installation, see Chapter 21, Troubleshooting After Installation.

Prev
Installing Pervasive.SQL with No Previous Installation 		Up
Check for Revisions 		Next
Installing Pervasive.SQL Server


Installing Pervasive.SQL Server

You must install the Pervasive.SQL Server for Windows at the server itself; you cannot install it remotely from a client machine.

Note
If the installation fails before the program copies any files to the target installation directory, the installation log file (install.log) can be found in the directory specified by the %TEMP% environment variable. This directory is often c:\windows\temp or c:\winnt\temp.

To install Pervasive.SQL Server on a Windows machine:

  1. Launch the installation program from your Windows machine.
    1. Insert the Pervasive.SQL Server for Windows CD in the CD-ROM drive of your Windows server.
    2. If the installation does not start automatically, click Start, select Run, and type drive:setup where drive is the drive letter of your CD-ROM device.

      Caution
      Do not launch the install using programs other than setup.exe. Some critical checks of your system configuration and some install settings are made using the setup.exe program.

Note
Please see Installation Tips regarding the Pervasive.SQL V8 Setup Reboot Required dialog box.

The installation program begins its initial preparation. After the preparation completes, the Welcome screen appears.

  2. Click Next to proceed with the installation.
  3. Read the Software License Agreement
  4. Click I accept the terms in the license agreement to accept the terms of the agreement and enable the Next button.

Figure 4-2 Pervasive Software's Software License Agreement

  5. Click Next.

    A dialog appears on which you specify a license key.

  6. Type, or paste, a license key into the License field, or install the default evaluation license.

Figure 4-3 Applying the User Count License

Your Pervasive.SQL V8 Server is set to the number of users specified in the license key.

Note
If you do not yet have a license key or it is not with you at the moment, you can still continue with the installation by using an evaluation license. Click Next to evaluate the product for a trail period The trial version license is valid for 30 days, then expires.

You may run the License Administrator utility at a later time to view or install a user count license key. The License Administrator utility is documented in Pervasive.SQL User's Guide in the section License Administrator .

  7. Click on the Setup Type desired: Complete or Custom (the default is Complete).

Figure 4-4 Setup Type Dialog Box

Complete Setup

The Complete installation, which is recommended for most users, takes default actions for operations performed during the installation. The Complete server installation installs the following components to drive C:

  • Pervasive.SQL V8 engine (including ODBC interface)
  • All client requesters (MS-DOS, Win32, and Linux Requesters)
  • Utilities
  • Transactional and Relational interfaces
  • Client installation images
  • Online documentation

Custom Setup

The Custom installation is typically for advanced users. It allows you to specify the installation location, select the components to install, and determine the space requirements for the components.

If you choose Custom install, skip now to Custom Installation Path . At the end of that section you will return to this set of steps to continue the installation.

  8. Click Next.

    If you chose a Complete install, a dialog appears that informs you the installation program is ready to begin installing files. At this point, if you want, you may click Back to change or review any of the installation settings, or click Cancel to exit the installation program. After you click Install, you may still exit the installation, but you will be unable to change or review settings.

  9. Click Install to continue with the installation.
  10. If required, close any running applications that may interfere with the Pervasive.SQL installation.

    A dialog box appears if applications are running that can intefere with the installation of Pervasive.SQL.

Figure 4-5 Example Dialog Box for Programs that May Interfere

Decide how to continue with the installation. Your choices are:

  1. To exit all of the programs that may interfere, then click Next.
  2. Not to exit all of the programs that may interfere, then click Ignore.

Note
Next does not proceed with the installation unless you exit all programs that may interfere.

If you wish to leave one or more programs running that may interfere, you must click Ignore to continue. Unpredictable results may occur during the Pervasive.SQL installation if you ignore programs that may interfere.

If you had a previous version of Pervasive.SQL on your system, Pervasive System Analyzer archives it before installing the current version of Pervasive.SQL.

If installed files could not be copied because they were locked in memory, a reboot may be necessary at this point. Setup only prompts for a reboot if a locked file or some other event was detected that requires a reboot. Please reboot your system if prompted to do so in order to ensure proper operation of your Pervasive.SQL V8 product.

A dialog box appears that gives you a status of the installation process.

Figure 4-6 Installation Status Dialog Box

Installation actions include, but are not limited to, the following:

  • Script operations
  • Component registration
  • File copying
  • Shortcut creation
  • System registry updates

    A dialog appears at the end of a successful installation.

Figure 4-7 Installation Complete Dialog Box

  11. Click Finish.

Note
If you have any trouble with the installation, see Chapter 21, Troubleshooting After Installation.

The installation program modifies the PATH and CLASSPATH environment variables at the end of the installation process, if needed. These settings control how your Windows operating system finds Pervasive components. In Windows NT, environment variables are stored in the Control Panel under the Environment tab on the System icon. In Windows 2000 and 2003, these environment variables are stored in the Control Panel under the Advanced tab on the System icon.

Post Installation

  12. Register your product.

    After you have completed your Pervasive.SQL installation, you can register your product to receive news about future updates, and other timely information. You can also register later using a web, e-mail, or print-based registration form.

Figure 4-8 Product Registration Page

  13. Read the README and What's New.

Figure 4-9 View Readme and What's New

If you did not read the README file prior to installation as described in Before You Begin , please do so now from the registration page.

  14. Close the Registration page.

    The Pervasive System Analyzer (PSA) starts and allows you to test of the transactional and relational interfaces. These tests ensure that your database engine is working as expected after installation.

  15. Test the Transactional Engine.

    PSA performs a series of tasks to ensure that the transactional engine is working properly.

Figure 4-10 Transactional Engine Test

    • Select the samples subdirectory of the server installation location.
    • Select the tasks that you wish to perform.

      Click Next to run the tests and see the results.

 Note
It is recommended that you perform this test to ensure that the transactional engine is communicating properly and the transactional databases are functional.

  16. Run the Transactional Test.

    PSA displays a check mark for each test that passes and an X for each task that fails during the transactional engine test. A summary report is also provided in the information window, as shown in the following figure.

Figure 4-11 Transactional Engine Test Results from PSA

Once your transactional engine tests are complete, click Next to test the relational engine.

  17. Test the Relational Engine.

    PSA performs a series of tasks to ensure that the relational engine is working properly.

Figure 4-12 Relational Engine Test

    • Enter the Server Name and Server DSN for the engine data you want to test.
    • Select the tasks that you wish to perform.

      Click Next to run the tests and see the results.

 Note
It is recommended that you perform this test to ensure that the relational engine is communicating properly and the relational databases are functional.

  18. Run the Relational Test.

    PSA displays a check mark for each test that passes and an X for each task that fails during the relational engine test. A summary report is also provided in the information window, as shown in the following figure.

Figure 4-13 Relational Engine Test Results from PSA

  19. After the relational engine tests complete, click Finish to exit the PSA test.

    If you want to view the PSA log file, it is named by default PSALog.txt and is located by default at <OSdrive>\Program Files\Common Files\Pervasive Software Shared\PSA, where <OSdrive> is the drive letter where your operating system is installed.

    Thank you for choosing Pervasive.SQL.

What to do Next

Skip the next section for custom installations and see Common Questions After Installing Pervasive.SQL .

Prev
Before You Begin 		Up
Check for Revisions 		Next
Custom Installation Path


Custom Installation Path

This section describes how to customize your installation of Pervasive.SQL V8. This topic continues a discussion from step 7 .

  1. Click on a feature's icon to display the installation choices.

    For example, the following image shows the choices if you click on the Windows Client icon.

Figure 4-14 Example of Installation Choices

  2. Decide how you want to install the program features.
    Installation Choice
    Meaning
    This feature will be installed on local hard drive.
    This feature, and all subfeatures, will be installed on local hard drive.
    The feature's components, and subfeatures if you choose, are installed on the machine running the installation program.
    This feature will not be available.
    The feature's components are excluded from the installation.

Excluding Features

You may exclude any of the following:

    • Utilities (except minimum set)
    • Windows Client image
    • DOS Client image
    • Linux Client in RPM or Tar format

You may not exclude the minimum set of utilities. The minimum set includes the Password Utility and the following command-line interface (CLI) utilities: Maintenance, Rebuild, and License Administrator.

If you exclude utilities, you will be unable to configure your Pervasive.SQL Server product. The product is installed using all default values. In addition to no configuration ability, other restrictions apply. For example, no wizards will be available. We recommended that you include the utilities unless you are certain that you do not require the functionality provided by them.

The following utilities are not installed if you exclude them.

  • Pervasive Control Center (PCC)
  • Table Designer and SQL Data Manager
  • All wizards
  • Monitor, GUI Maintenance, and GUI Rebuild
  • GUI License Administrator

If you exclude client images, you will be unable to install the client requesters from a Pervasive.SQL Server machine. You may install them from the CD media. Client machines require requesters to access database files on a Pervasive.SQL Server machine.

  3. Click on the desired installation choice.
  4. If desired, change the location where the Pervasive.SQL Server product and its features are installed.

    The default installation location is C:\PVSW, assuming the Windows system drive is C. To specify a different location for the installation, click Change, specify a location, then click OK.

    You may select only one installation location for the entire product. The Change button is disabled for a feature if you choose not to install that feature.

  5. If desired, click on a feature to check the amount of storage space it requires.

    The space required appears on the right:

Figure 4-15 Location of Space Required Values

  6. If desired, check the amount of storage space available on the physical drives.

    Click on a feature, then click Space. The resulting dialog shows you by storage volume, the total disk space, the available disk space, the space required for the feature, and difference between the available space and space required. Click OK after you finish checking storage capacity.

  7. Click Next.

    A dialog appears that informs you the installation program is ready to begin installing files. At this point, if you want, you may click Back to change or review any of the installation settings, or click Cancel to exit the installation program. After you click Install, you may still exit the installation, but you will be unable to change or review settings.

    The Custom path rejoins the Complete installation path at this point. Continue with Step 9 .

Prev
Installing Pervasive.SQL Server 		Up
Check for Revisions 		Next
Common Questions After Installing Pervasive.SQL


Common Questions After Installing Pervasive.SQL

This section contains information that you should read after running the installation program. If you are having problems with your installation, go to Chapter 21, Troubleshooting After Installation, or get help online from our Knowledge Base website at http://support.pervasive.com/eSupport.

How Do I Read the Online Documentation?

Pervasive.SQL V8 documentation for Win32 platforms is in Microsoft HTML Help format. To read the documentation, select Start 4 Programs 4 Pervasive.SQL V8 4 Documentation 4 Pervasive.SQL V8 from the Windows Start menu.

You can also view the documentation in the form of Adobe Acrobat (PDF) files. These PDF files and an installation program for an Acrobat reader is available on the Pervasive.SQL V8 (Server Edition) CD-ROM.

There is also a README file on the distribution media that has the latest changes and additions to Pervasive.SQL V8.

How Do I Verify or Update My User License?

The License Administrator utility is documented in Pervasive.SQL User's Guide in the section License Administrator . Please refer to that document for information on user licenses.

What Files Were Installed as Part of Pervasive.SQL V8?

Once installed, Pervasive.SQL files reside in the following directory structure.
\WINNT\SYSTEM32 |  |  | Microsoft system files.
\Program Files\Common Files\Pervasive Software Shared
 | \PSA |  | Pervasive System Analyzer
 | \DOC |  | Online documentation
 | \PVSWCORE |  | Pervasive Services
\PVSW |  |  |
 | \BIN |  | Pervasive.SQL engines, requesters and utilities
 | \CLIENTS |  | Pervasive.SQL client installation programs (server only)
 |  | \DOS | DOS Pervasive.SQL Requester files. These files must be manually copied to a DOS client.
 |  | \TRACE | Special files for low-level troubleshooting
 |  | \WIN32 | Requester files for Windows 32-bit operating systems and the Pervasive.SQL Windows client installation program
 | \DEMODATA |  | Contains sample database DEMODATA
 | \SAMPLES |  | Contains the sample database SAMPLE.BTR, and UPPER.ALT, a sample Alternate Collating Sequence

Where To Go From Here

Continue with your Pervasive.SQL deployment by installing and configuring the client requesters for the machines that will connect to this server. Review Chapter 15, Installing Pervasive.SQL Windows Requestersand, if applicable to your business needs, Chapter 17, Distributing the Pervasive Client.

Prev
Custom Installation Path 		Up
Check for Revisions 		Next
Uninstalling Pervasive.SQL Server


Uninstalling Pervasive.SQL Server

The uninstall program removes all Pervasive.SQL Server components from your system that were added by the installation program.

The uninstall program does not remove the following:

  • Databases that you create under the Pervasive.SQL Server installation directory (which is C:\PVSW by default).
  • DSNs and database names associated with those databases.
  • Databases in locations other than the Pervasive.SQL Server installation directory.
  • DSNs and database names associated with those databases.

To uninstall Pervasive.SQL Server:

  1. Access Add/Remove Programs from Control Panel on your Windows operating system.
  2. Click Pervasive.SQL NT Server in the list.
  3. Click the button to remove a program. The button may be labelled Add/Remove or Remove.

    The program to uninstall Pervasive.SQL Server begins.

  4. Click Next.
  5. Click the Remove option.

Figure 4-16 Uninstall Remove Option

  6. Click Next.

    A dialog appears that informs you the program is ready to begin removing Pervasive.SQL Server. At this point, if you want, you may click Back to change or review any of the settings, or click Cancel to exit the uninstall program.

  7. Click Remove to begin the uninstall process.
  8. Click Finish when the uninstall program completes.
  9. Reboot your system if prompted to do so.
Prev
Common Questions After Installing Pervasive.SQL 		Up
Check for Revisions 		Next
Upgrading Your Pervasive.SQL Installation


Upgrading Your Pervasive.SQL Installation

Instructions for Upgrading an Existing Pervasive.SQL Installation

This chapter contains information specific for upgrading your current Pervasive product installation to Pervasive.SQL V8. The number of required steps in the upgrade process is small, but depending on your environment, it can be a time-consuming process.

This chapter contains the following sections:

  • Before You Begin
  • Upgrading to Pervasive.SQL Server from Earlier Pervasive.SQL Versions or Btrieve 6.x
  • Custom Installation Path,
  • Common Questions After Installing Pervasive.SQL

Throughout this document, when an explicit version number is not specified (for example: Pervasive.SQL 7, Pervasive.SQL 2000, or Pervasive.SQL V8), all versions are included.

Prev
Uninstalling Pervasive.SQL Server
Check for Revisions 		Next
Before You Begin


Before You Begin

Before upgrading to Pervasive.SQL V8, begin by reviewing the following documents for important information:

  • Chapter 2 , Preparing to Install Pervasive.SQL - This chapter provides important information including system requirements and platform specific notes that are relevant to your operation.
  • "What's New in Pervasive.SQL V8" - This document is included in your product package and contains information regarding the latest features and improvements in this release.
  • README file - This file is located on the distribution media and contains late-breaking product news that could not be included in the product documentation.

Considerations

Once you have reviewed the latest product information, review this list of considerations to complete your upgrade installation preparation.

  • Pervasive.SQL Applications - Be aware of what applications you have currently using previous versions of Btrieve or Pervasive.SQL in your environment. Don't forget to include both client and server-based applications, such as ArcServe.
  • Vendor-Specific Information - Be sure and check with your application vendors for any specific information regarding their product with Pervasive.SQL.
  • TCP/IP Protocol - DOS applications require different requesters, preferably BTRBOX95, BTRDRVR, or BREQTCP.

Requesters or Server First? - Pervasive's upgrade and support policy dictates that you should always use requesters that are the same version as or newer than your Server engine. Based on this policy, Pervasive testing may not uncover all issues when using older requesters against newer engines. Thus, Pervasive recommends that you upgrade your requesters along with your server engine.

Whether you install the server or the requester(s) first depends on the mechanics of your site. If, during your system down time, you can install the requesters to all the machines that need them, then you should install the server first and immediately upgrade all the client machines. If you need to upgrade the clients at a different time than the server, and your users need access to the system between these times, you should use a different approach.

One method you can use is to install the Pervasive.SQL server on a test machine. Then, when you install the new requesters, you can give the Pervasive System Analyzer (PSA) the location of the test server to verify the successful client installation. Once the client installation is complete, your applications will use the new requesters against your production server until it is time to upgrade the production server engine.

  • New Features and File Rebuilding - In order to make use of all the new version features, you must rebuild your data files so that they use the newest version file format. Advanced Operations Guide includes a chapter that details using the Rebuild Utility to rebuild your data files, if you would like to take advantage of newer features.
  • Back Up Data Files - Make sure you have a current backup of all your data files prior to beginning upgrade installation.

Platform Notes for Windows

This section contains installation information specific to the Windows platform.

  • To install Pervasive.SQL for Windows, you must have full administrator-level rights on the machine where you will install the product. You need administrative rights to make the client installation directories available to your workstations.
  • If you want your individual client machines to install the requester portion of the installation from the server, you must give the clients permission to access the client installation folders, which are part of the Pervasive server install. The default location for these install programs is C:\PVSW\CLIENTS.
  • If you run with Advanced Power Management, disable it while installing Pervasive.SQL. The power management can cause a Pervasive.SQL installation to fail if the server is suspended during the install. In Windows, you control the advanced power management via the Power icon on the Control Panel. If you are using Windows 2000, this setting is located in the Control Panel, under the Power Options icon, under the APM tab.

Migration of Existing Configuration Settings

During the installation process, all of your existing server configuration values are migrated to the new server engine, with several exceptions. The exceptions are documented in Table 5-1.
Table 5-1 Configuration Setting Values not Migrated to V8
Configuration Setting | Value in V8
Server4Debugging4Trace File Location | C:\pvsw\bin\mkde.tra [default]; or bin\mkde.tra file in selected installation directory.
Server4Directories4 Transaction Log Directory | C:\pvsw\bin\mkde\log [default]; or bin\mkde\log subdirectory of selected installation directory.
Server4Compatibility4 Create File Version | 8.x. By default, new data files are always created in the most recent file format.
Server4Memory Usage4 System Cache | Off. With the addition of Level 2 database cache in V8, the system cache should not be used.
Server4Data Integrity4 Transaction Durability | Off. With the addition of a new setting, Transaction Logging (default: On), Transaction Durability is not needed to ensure multi-file transaction atomicity and data integrity. If your application requires true Transaction Durability, you will need to use Configuration to turn this setting On.

Installing Over Existing Pervasive Products

  • If you are upgrading from older product versions such as Btrieve 6.15 and wish to make use of all the new version features, you must rebuild your data files so they use the v8 file format. See the Advanced Operations Guide section for detailed information on how to use the Rebuild Utilities to convert your data files.
  • If you install Pervasive.SQL V8 over an existing version such as Pervasive.SQL 2000 or Btrieve 6.15, then those products will be archived when you install Pervasive.SQL V8 so that there are no component conflicts. You can use Pervasive System Analyzer later to restore the archived products if necessary. Your licenses from previous Pervasive products such as Btrieve 6.x and Pervasive.SQL 2000 will not be migrated to Pervasive.SQL V8.

Installation Tips

  • When installing Pervasive.SQL V8 for the first time on a system, Setup will check if all of the needed system files meet the minimum requirements. In some cases, these files are locked by the operating system and a reboot is required before Setup can continue. The following dialog box is displayed if this is the case.

Figure 5-1 Pervasive.SQL V8 Setup Reboot Required

Click Yes to reboot the system. Setup is then automatically restarted.

Note
It is strongly recommended that you reboot your system if you encounter this message. If you do not reboot your system, Setup will encounter failures during engine and utilities configuration.

  • If you have any trouble with the following installation, see Chapter 21, Troubleshooting After Installation.

Accessing README file information

It is highly recommended that you go through the README file to find out the latest changes and additions to Pervasive.SQL V8.

Prev
Upgrading Your Pervasive.SQL Installation 		Up
Check for Revisions 		Next
Upgrading to Pervasive.SQL Server from Earlier Pervasive.SQL Versions or Btrieve 6.x


Upgrading to Pervasive.SQL Server from Earlier Pervasive.SQL Versions or Btrieve 6.x

You must install the Pervasive.SQL Server upgrade for Windows at the server itself; you cannot install it remotely from a client machine.

Note
If the installation fails before the program copies any files to the target installation directory, the installation log file (install.log) can be found in the directory specified by the %TEMP% environment variable. This directory is often c:\windows\temp or c:\winnt\temp.

To upgrade to Pervasive.SQL V8 (Server Edition) on a Windows machine:

  1. Launch the installation program from your Windows machine.
    1. Insert the Pervasive.SQL Server for Windows CD in the CD-ROM drive of your Windows server.
    2. If the installation does not start automatically, click Start, select Run, and type drive:setup where drive is the drive letter of your CD-ROM device.

Note
Please see Installation Tips regarding the Pervasive.SQL V8 Setup Reboot Required dialog box.

The setup Welcome screen appears. Click Next to proceed with the installation.

  2. Certain programs and services on Windows can interfere with the Pervasive.SQL installation process. The Pervasive.SQL installation program detects these programs if they are running during your installation and informs you so that you can stop the programs. Doing so ensures that your installation completes successfully.

    Skip to Step 3 if you do not see a screen similar to Figure 5-2.

Figure 5-2 Detection of Programs Running During Installation

There are two categories of programs detected by the installation program:

  • Programs that must be stopped in order to install Pervasive.SQL.

    An example of a program in this category is one that utilizes the Pervasive.SQL Workgroup engine. If you are running such a program, Figure 5-3 displays if you try to continue without stopping the program.

Figure 5-3 Programs in Conflict with Installation

    • Programs that may cause issues with installation and should probably be stopped in order to ensure an issue-free installation.

      Examples of programs in this category include such products as Microsoft Internet Information Service (IIS) and others that can potentially lock system files.

      If you try to continue the installation without stopping the listed programs, Figure 5-4 displays and asks for confirmation to stop the conflict detection process. If you want the installation program to check for conflicts again, click Yes. If you want to continue the installation despite the possible conflict, click No.

Figure 5-4 Programs that May Conflict with Installation

  3. Read and accept the Software License Agreement

Figure 5-5 Pervasive Software's Software License Agreement

Read the Pervasive Software License Agreement. Click Yes to accept the terms of the agreement and continue installation.

  4. Apply your user count license key

Figure 5-6 Applying the User Count License

Your Pervasive.SQL V8 server is set to the number of users specified in the license key. When the update is complete, a dialog box informs you that you have increased your user count license to support that number of simultaneous users.

Note
If you do not yet have a license key or it is not with you at the moment, you can still continue with the installation. Click Next at the License Key dialog box to install a trial version and run the License Administrator utility at a later time to install a user count license key. The License Administrator utility is documented in Pervasive.SQL User's Guide in the section License Administrator .

  5. Select the Setup Type: Complete or Custom.

Figure 5-7 Setup Type Dialog Box

Click Next to continue with installation.

Notes About Complete Setup

The Complete installation, which is recommended for most first time users, takes default actions for most operations performed during the installation.

The Complete server installation installs the following components:

  • Pervasive.SQL V8 engine (including ODBC interface)
  • All possible client requesters (MS-DOS and Win32 Requesters)
  • Utilities
  • Transactional and Relational interfaces
  • Client installation copies
  • Online Documentation

Notes About Custom Setup

The Custom installation is typically for advanced users since it lets you choose the components you want to install and specify the program folder name.

Selecting Custom setup type allows you to specify the program folder, select the components to install, and set the Pervasive.SQL V8 engine service start mode.

During a Custom server installation, the following components are optional:

  • Online documentation
  • Client installation programs for DOS and Windows.

If you choose a custom install, skip now to Custom Installation Path . At the end of that section you will return to this section to continue the installation.

  6. Select the server installation directory.

    The default installation location for Pervasive.SQL V8 is C:\PVSW, assuming the Windows system drive is C:\.

Figure 5-8 Select Your Installation Directory

Click Next to accept the default installation directory and proceed with the installation.

 Note
To select a different directory, click Browse and select or enter the new installation directory. If the folder you have chosen doesn't exist, you'll need to answer Yes to have setup create the folder for you.

  7. Verify your installation settings.

Figure 5-9 Your Selected Installation Settings

If the displayed selections are correct, click Next to continue.

  8. Scan for previous Pervasive.SQL files.

    If you had a previous version of Pervasive.SQL on your system, Pervasive System Analyzer archives it before copying the updated Pervasive.SQL V8 files.

Figure 5-10 System Analysis Using PSA

  9. Pervasive.SQL setup begins to copy the necessary files to complete your specified installation requirements.

Figure 5-11 Setup Begins Copying Files

 Note
Only click Cancel if you want to stop installation and exit the Setup process.

  10. Your Pervasive.SQL V8 server upgrade is complete.

    The following dialog box informs you that the installation is complete.

Figure 5-12 Installation Complete Dialog Box

Click Finish.

  11. If installed files could not be copied because they were locked in memory, a reboot may be necessary at this point. Setup only prompts for a reboot if a locked file or some other event was detected that requires a reboot. Please reboot your system if prompted to do so in order to ensure proper operation of your Pervasive.SQL V8 product.

Figure 5-13 Installation Complete - Need Reboot

Click Finish.

 Note
If you have any trouble with the installation, see Chapter 21, Troubleshooting After Installation.

The installation program modifies the PATH and CLASSPATH environment variables at the end of the installation process, if needed. These settings control how your Windows operating system finds Pervasive components. In Windows, these environment variables are stored in the Control Panel under the Environment tab on the System icon. In Windows 2000, these environment variables are stored in the Control Panel under the Advanced tab on the System icon.

Post Installation

  12. Register your product.

    After you have completed your Pervasive.SQL installation, you can register your product to receive news about future updates, and other timely information. You can also register later using a web, e-mail, or print-based registration form.

Figure 5-14 Product Registration Page

  13. Read the README and What's New.

Figure 5-15 View Readme and What's New

If you did not read the README file prior to installation as described in Before You Begin , please do so now from the registration page.

  14. Close the Registration page. Next the Pervasive System Analyzer (PSA) launches its tests of the transactional and relational interfaces. These tests ensure that your database engine is working as expected after installation.
  15. Test the Transactional Engine

    PSA performs a series of tasks to ensure that the transactional engine is working properly.

Figure 5-16 Transactional Engine Test

    • Select the samples subdirectory of the server installation location.
    • Select the tasks that you wish to perform.

      Click Next to run the tests and see the results.

 Note
It is recommended that you perform this test to ensure that the transactional engine is communicating properly and the transactional databases are now functional.

  16. Run the Transactional Test.

    PSA displays a check mark for each test that passes and an X for each task that fails during the transaction engine test. A summary report is also provided in the information window, as shown in the following figure.

Figure 5-17 Transactional Engine Test Results from PSA

Once your transactional engine tests are complete, click Next to test the relational engine.

  17. Test the Relational Engine.

    PSA performs a series of tasks to ensure that the relational engine is working properly.

Figure 5-18 Relational Engine Test

    • Enter the Server Name and Server DSN for the engine data you want to test.
    • Select the tasks that you wish to perform.

      Click Next to run the tests and see the results.

 Note
It is recommended that you perform this test to ensure that the relational engine is communicating properly and the relational databases are now functional.

  18. Run the Relational Test.

    PSA displays a check mark for each test that passes and an X for each task that fails during the relational engine test. A summary report is also provided in the information window, as shown in the following figure.

Figure 5-19 Relational Engine Test Results from PSA

Once your relational engine tests are complete, click Next to finish the installation.

  19. Your installation and verification tests are complete.

    Thank you for choosing Pervasive.SQL.

What to do Next

Skip the next section for custom installations and see Common Questions After Installing Pervasive.SQL .

Prev
Before You Begin 		Up
Check for Revisions 		Next
Custom Installation Path


Custom Installation Path

This section describes how to customize your installation of Pervasive.SQL V8.

  1. Choose the installation directory.

    The default installation location for Pervasive.SQL is C:\PVSW, assuming the Windows system drive is C:\. You can specify a different location for the installation as shown in the following dialog box.

Figure 5-20 Choosing Installation Directory of Pervasive.SQL

If you wish to change the default directory, click Browse and select the desired directory.

Click Next to proceed with the installation.

  2. Select components to install.

    Pervasive.SQL V8 Server edition currently contains the following optional components:

    • Client Installs
    • Online Documentation

Figure 5-21 Choose Components To Install

The columns on the left list the major categories: client installation programs and online documentation. When you select one of these categories, the column on the right shows any sub-items available under that category.

Select those items you wish to install. When you are finished, click Next.

  3. Choose the Program folder for menu items.

    Specify the folder in which the Start Menu items will be placed. Pervasive installation suggests a name for the folder.

Figure 5-22 Choose your Program Folder

Click Next to accept the Program Folder name and display your current installation settings.

  4. Choose your service start-up mode.

    The Pervasive.SQL V8 engine runs as services on Windows NT/2000. This dialog box allows you to specify the behavior of the services when your Windows NT/2000 machine is started.

Figure 5-23 Choose your Service Start-up Mode

  5. Verify your installation settings.

    Install now has enough information to start the installation process. A dialog box displays the list of options you have selected. If you want to change any of these selections, click Back.

    If the displayed selections are correct, click Next to continue.

Figure 5-24 Your Custom Installation Selections

The custom path rejoins the Complete installation path. See Step 8 .

Prev
Upgrading to Pervasive.SQL Server from Earlier Pervasive.SQL Versions or Btrieve 6.x 		Up
Check for Revisions 		Next
Common Questions After Installing Pervasive.SQL


Common Questions After Installing Pervasive.SQL

This section contains information that you should read after running the installation program. If you are having problems with your installation, go to Chapter 21, Troubleshooting After Installation, or get help online from our Knowledge Base website at http://support.pervasive.com/eSupport.

How to Handle Data Source Names (DSNs)

The following table describes the procedures for upgrading your DSNs after you have installed the Pervasive.SQL upgrade.
Table 5-2 How to Proceed After Installing Server and Client Software
If your situation is like this.... | ... then you should do this next:
You have existing Pervasive.SQL 7 DSNs already defined. | You must delete and re-create all existing Pervasive.SQL 7 DSNs before you can access existing databases. Follow the instructions provided in Pervasive.SQL User's Guide Chapter 2, sections Deleting DSNs and Setting Up Database Access on Windows.
You have existing Pervasive.SQL 2000 DSNs already defined. | You should be able to access your databases by connecting to the existing DSNs. Follow the instructions provided in Pervasive.SQL User's Guide, Chapter 2, section Accessing Data via ODBC From Other Applications.
You do not have any Pervasive.SQL DSNs defined | You should be able to connect to the sample DEMODATA database now. Refer to Pervasive.SQL User's Guide for general information on working with Pervasive.SQL. Refer to Advanced Operations Guide for detailed information on working with databases and database engines.

How Do I Convert My Files From Previous Pervasive Products?

Users of previous Btrieve versions: Use the Rebuild utility to convert your existing pre-6.0 or 6.x files to 7.x or 8.x format. For more information, refer to the Advanced Operations Guide.

How Do I Read the Online Documentation?

Pervasive.SQL V8 documentation for Win32 platforms is in Microsoft HTML Help format. To read the documentation, select Start 4 Programs 4 Pervasive.SQL V8 4 Documentation 4 Pervasive.SQL V8 from the Windows Start menu.

You can also view the documentation in the form of Adobe Acrobat (PDF) files. These PDF files and an installation program for an Acrobat reader is available on the Pervasive.SQL V8 (Server Edition) CD-ROM.

There is also a README file on the distribution media that has the latest changes and additions to Pervasive.SQL V8.

How Do I Verify or Update My User License?

The License Administrator utility is documented in Pervasive.SQL User's Guide in the section License Administrator . Please see that document for information on user licenses.

What Files Were Installed as Part of Pervasive.SQL V8?

Once installed, Pervasive.SQL files reside in the following directory structure.
\WINNT\SYSTEM32 |  |  | Microsoft system files.
\Program Files\Common Files\Pervasive Software Shared
 | \PSA |  | Pervasive System Analyzer
 | \DOC |  | Online documentation
 | \PVSWCORE |  | Pervasive Services
\PVSW |  |  |
 | \BIN |  | Pervasive.SQL engines, requesters and utilities.
 | \CLIENTS |  | Pervasive.SQL client installation programs. (server only)
 |  | \WIN | Pervasive.SQL Windows client installation program. Valid for Windows versions.
 |  | \DOS | DOS Pervasive.SQL Requester files. These files must be manually copied to a DOS client.
 | \DEMODATA |  | Contains sample database. (server only)
 | \SAMPLES |  | Contains the sample database SAMPLE.BTR and UPPER.ALT, a sample Alternate Collating Sequence. (server only)

Where To Go From Here

Continue with your Pervasive.SQL deployment by installing and configuring the client requesters for the machines that will connect to this server. This is documented in Chapter 17, Distributing the Pervasive Client.

Prev
Custom Installation Path 		Up
Check for Revisions 		Next
Network Settings for Server Engine on Windows


Network Settings for Server Engine on Windows

How to Configure Network Settings for a Windows-based Pervasive.SQL Server

This chapter explains the default network settings for your database server engine and how to customize them if your network requires different settings.

  • Determining What Kind of Network You Have
  • Default Engine Settings
  • Setting Up TCP/IP Support
  • Setting Up SPX Support
  • Avoiding Unavailable Protocols
Prev
Common Questions After Installing Pervasive.SQL
Check for Revisions 		Next
Determining What Kind of Network You Have


Determining What Kind of Network You Have

This section explains how to determine the network protocol that you should use with the database engine. If you already know what protocol or protocols are supported on your network, you can skip this section.

Server Engine on Windows

If your network is 100% Microsoft, and you have a Server engine, then your network probably uses TCP/IP. The Server engine does not support NetBIOS.

It is possible to run Btrieve applications over SPX on Microsoft networks, but ODBC applications over SPX require a NetWare server for name resolution. If you do not have a NetWare server on your network, you may not use SPX for ODBC applications.

Server Engine on NetWare

If you have a NetWare network, you must determine whether it is running SPX, TCP/IP, or both. You can find out whether TCP/IP is supported by checking to see if TCPIP.NLM is loaded on the server.

Server Engine on Linux

Linux engines support only TCP/IP.

Prev
Network Settings for Server Engine on Windows 		Up
Check for Revisions 		Next
Default Engine Settings


Default Engine Settings

This section explains what server Configuration settings are related to networking support, and what the default values mean.

You can change these settings within PCC by double-clicking Configuration for the given database engine, then double-clicking Server, then Communication Protocols.

Auto Reconnect Timeout

Default: 180 seconds
If Pervasive Auto Reconnect is enabled, this setting specifies how long the engine and client attempt to contact each other after a network interruption has occurred. By default, the client and server attempt to connect for three minutes before giving up. If the value of Enable Auto Reconnect is Off, then the Auto Reconnect Timeout value is ignored.

Enable Auto Reconnect

Default: Off
This setting determines whether the client and server attempt to reconnect to each other in the event of a network outage. If set to On, it allows the database connections to recover from intermittent or temporary network interruptions. If the value of this setting is Off, then the client returns a status code to the application immediately upon any failure to connect to the server, and the connection context is not preserved.

If you have this setting turned On, you can specify how long the client and database engine should attempt to reconnect by using the setting Auto Reconnect Timeout.

Listen IP Address

Default: 0.0.0.0
This setting specifies the IP address of the network interface card that the MicroKernel should listen on when the server computer has two network cards installed. This value is ignored if the server computer has only one network card, or if the value of TCP/IP Multihomed is On. This value is also ignored if TCP/IP is not in use by the database engine.

NetBIOS Port

Default: 66
This value specifies the port number the Workgroup engine listens on when using NetBIOS communications. The Server engine does not support NetBIOS, so this setting is ignored by the Server engine.

Note
This port setting must be the same for all Workgroup engines on the network. Workgroup engines that have different port settings cannot communicate with one another.

Supported Protocols

Default: SPX, TCP/IP, NetBIOS
This setting specifies the vendor protocols that the database engine should attempt to use. When more than one protocol is specified, upon start up, the engine attempts to connect on all specified protocols. The protocol that connects first is then used for the remainder of the session.

You can often improve initial connection performance by removing the protocols that are not used on your network. For example, if you have a Server engine on an all-TCP/IP network, removing NetBIOS and SPX support may reduce the wait time during initial connections to the engine.

Note
The Server engine does not support the NetBIOS protocol.

TCP/IP Multihomed

Default: On
If your server computer has two network interface cards installed, you can use this setting to specify whether the server engine should listen on both network connections. If your computer has two network cards and this setting is turned off, you must use the setting Listen IP Address to specify which network card the server engine should use.

Prev
Determining What Kind of Network You Have 		Up
Check for Revisions 		Next
Setting Up TCP/IP Support


Setting Up TCP/IP Support

By default, TCP/IP is supported between Pervasive.SQL clients and remote engines. If you have modified the default settings or need to verify that TCP/IP support is available, refer to this section.

Note
To perform any of the tasks in this section, you must have full administrator-level rights on the machine where the database engine is running, or be a member of the Pervasive_Admin group defined on the machine where the database engine is running.

Enabling TCP/IP Support

Follow this procedure to ensure that the database engine can communicate with clients over TCP/IP networks.

  1. From the Start menu, choose Programs 4 Pervasive.SQL V8 4 Control Center.
  2. In the PCC window, double-click on Pervasive.SQL Engines to display a list of the engines registered with PCC.

    If the engine you want to configure is not listed, right-click on Pervasive.SQL Engines and choose Register New Engine.

  3. Double-click on the icon representing your target engine. Double-click Configuration. Login if prompted. Double-click Server. Click on Communication Protocols. In the window to the right, double-click on Supported Protocols.
  4. A smaller dialog box appears, showing a list of Available protocols and a list of Selected protocols. If the list of Selected protocols includes the value Microsoft TCP/IP, then TCP/IP is already supported.

    If the list of Selected protocols does not include Microsoft TCP/IP, then you should click on this value in the left-hand window, and then click the > button to move it into the list of Selected protocols. Once the value appears in the right-hand window, click OK.

  5. Click [image] to apply the changes. You must restart the server engine for the changes to take effect.
  6. Remember that you also need to confirm that your client computers are configured to use TCP/IP, as well. Please refer to Chapter 18, Client Network Configuration.

Enabling Multihomed TCP/IP Support

Follow this procedure when your Windows server computer has two network cards installed.

  1. From the Start menu, choose Programs 4 Pervasive.SQL V8 4 Control Center.
  2. In the PCC window, double-click on Pervasive.SQL Engines to display a list of the engines registered with PCC.

    If the engine you want to configure is not listed, right-click on Pervasive.SQL Engines and choose Register New Engine.

  3. Double-click on the icon representing your target engine. Double-click Configuration. Login if prompted. Double-click Server. Click on Communication Protocols. In the window to the right, double-click on TCP/IP Multihomed.
  4. If you want the server engine to listen for client connections on both network cards, change the value to On. If you want the server engine to listen on only one card, change the value to Off. Click OK. If you only have one network card, this setting is ignored.
  5. If your server computer has two network cards, and you set the value of TCP/IP Multihomed to Off, you must double-click the setting Listen IP Address and specify the TCP/IP address of the card you want the server engine to listen to. If you do not specify an IP address, the server engine will not receive communications from either network card.
  6. Click [image] to apply the changes. You must restart the server engine for the changes to take effect. You do not need to make any changes to client settings.
Prev
Default Engine Settings 		Up
Check for Revisions 		Next
Setting Up SPX Support


Setting Up SPX Support

By default, SPX is supported between Pervasive.SQL clients and servers. If you have modified the default settings or need to verify that SPX support is available, refer to this section.

Your network's SPX Frame Type setting does not have any effect on Pervasive.SQL.

Note
In order to perform any of the tasks in this section, you must have administrative rights on the NetWare server, or be a member of the Pervasive_Admin group defined on the server.

Enabling SPX Support

Follow this procedure to ensure that the server engine can communicate with clients over SPX networks.

Note
In an all-Microsoft environment, SPX can only be used with pure Btrieve applications. With ODBC applications, a NetWare server must be present to provide name resolution for SPX. Pure Btrieve applications do not require name resolution with SPX.

  1. From the Start menu, choose Programs 4 Pervasive.SQL V8 4 Control Center.
  2. In the PCC window, double-click on Pervasive.SQL Engines to display a list of the engines registered with PCC.

    If the server engine you want to configure is not listed, right-click on Pervasive.SQL Engines and choose Register New Engine.

  3. Double-click on the icon representing your target server. Double-click Configuration. Login if prompted. Double-click Server. Click on Communication Protocols. In the window to the right, double-click on Supported Protocols.
  4. A smaller dialog box appears, showing a list of Available protocols and a list of Selected protocols. If the list of Selected protocols includes the value Microsoft SPX II or Novell SPX II, then SPX is already supported.

    If the list of Selected protocols does not include one of the above values, then you should click on this value in the left-hand window, and then click the > button to move it into the list of Selected protocols. Once the value appears in the right-hand window, click OK.

  5. Click [image] to apply the changes. You must restart the server engine for the changes to take effect.
  6. Remember that you also need to confirm that your client computers are configured to use SPX, as well. Please refer to Chapter 18, Client Network Configuration.
Prev
Setting Up TCP/IP Support 		Up
Check for Revisions 		Next
Avoiding Unavailable Protocols


Avoiding Unavailable Protocols

It may be possible to improve performance on the initial connection to the database by disabling database communications support for any protocols that are not available on your network or that you do not wish to use.

Note
In order to perform any of the tasks in this section, you must have full administrator-level rights on the machine where the database engine is running, or be a member of the Pervasive_Admin group defined on the machine where the database engine is running.

To Remove Support for a Specific Network Protocol

Note
This procedure does not affect your operating system configuration in any way. This procedure only prevents the database communications system from attempting communications on unavailable or undesired protocols.

  1. From the Start menu, choose Programs 4 Pervasive.SQL V8 4 Control Center.
  2. In the PCC window, double-click on Pervasive.SQL Engines to display a list of the engines registered with PCC.

    If the server engine you want to configure is not listed, right-click on Pervasive.SQL Engines and choose Register New Engine.

  3. Double-click on the icon representing your target server. Double-click Configuration. Login if prompted. Double-click Server. Click on Communication protocols. In the window to the right, double-click on Supported protocols.
  4. A dialog box appears, showing a list of Available protocols and a list of Selected protocols. If the list of Selected protocols includes a value that is not supported on your network or that you do not wish to use, click on the value and then click the < button to move it into the list of Available protocols. Repeat for any other protocols you do not wish to use. You must leave at least one protocol in the Selected protocols list.

    Once the given value(s) appear in the left-hand list, click OK.

  5. Click [image] to apply the changes. You must restart the server engine for the changes to take effect.
  6. Remember that you also need to confirm that your client computers are configured to use the protocol remaining in the Selected protocols list. Please refer to Chapter 18, Client Network Configuration.

Prev
Setting Up SPX Support 		Up
Check for Revisions 		Next
Application Configuration Scenarios


Application Configuration Scenarios

Common Scenarios for Setting up Your Server

This chapter explains how to configure your server for several common application scenarios.

  • Support for Active Directory Service
  • Multiple Client Applications
  • Concurrent Local and Remote Applications
Prev
Avoiding Unavailable Protocols
Check for Revisions 		Next
Support for Active Directory Service


Support for Active Directory Service

This section describes how to install and configure Pervasive.SQL in an environment that uses Microsoft Active Directory service.

What Is Active Directory?

Active Directory is a central component of the Windows 2000 operating system network architecture. Active Directory provides a directory service specifically designed for distributed networking environments.

The Microsoft Web site provides much information about Active Directory. The following Web links provide information to help you learn about Active Directory.

  • Home page for Active Directory — http://www.microsoft.com/windows2000/technologies/directory/ad/default.asp
  • Overview of Active Directory — http://www.microsoft.com/windows2000/server/evaluation/features/dirlist.asp
  • Overview of Active Directory Service — http://www.microsoft.com/windows2000/server/evaluation/business/addatasheet.asp

Installation of Active Directory

Ensure that Active Directory service is installed and functioning correctly before you install Pervasive.SQL into the environment.

Microsoft provides step-by-step guides to help you install and configure Active Directory service. The following Web links provide information to help you install and manage Active Directory.

  • Windows 2000 Step-by-Step Guides — http://www.microsoft.com/windows2000/techinfo/planning/walkthroughs/default.asp
  • Installing a Windows 2000 Server as a Domain Controller — http://www.microsoft.com/windows2000/techinfo/planning/server/serversteps.asp
  • Managing Active Directory — http://www.microsoft.com/windows2000/techinfo/planning/activedirectory/manadsteps.asp

Note that Windows 2000 implements TCP/IP as the default protocol and relies on TCP/IP for most of the services associated with the operating system, including Active Directory service. Integration of Active Directory with NetWare Directory Services is possible with Microsoft Directory Synchronization Services (MSDSS) and DirSync. For more information, refer to the Microsoft Web site: http://www.microsoft.com/WINDOWS2000/sfn/msdss.asp.

Installation of Pervasive.SQL

The installation of the Pervasive.SQL database engine in an Active Directory environment requires no special steps. Install it as described in Installing Pervasive.SQL Server .

The following environment modes are supported:

  • Native mode — all domain controllers run Windows 2000
  • Mixed mode — some domain controllers run Windows 2000

You may install the Pervasive.SQL database engine on a domain controller if you choose. Be aware, however, that activity on the domain controller may affect the performance of the database engine. For this reason, you may prefer to install Pervasive.SQL on a server that is not a domain controller.

Server and Client Support

Pervasive.SQL Server runs on Windows 2000 Server and Windows NT Server (version 4) within an Active Directory environment. The Pervasive.SQL clients run on all Windows 32-bit platforms within an Active Directory environment.

The DOS TCP/IP requester (BREQTCP) is supported within an Active Directory environment. The DOS SPX requester (BREQUEST or BREQNT) is not supported because it requires the SPX protocol.

Directory and File Permissions

The database engines enforce directory and file permissions set at the operating system level. An Active Directory environment does not change this behavior. For example, if you set "read only" permission on a Pervasive.SQL table file, you will be unable to write to the table.

Microsoft Terminal Services Support

Pervasive.SQL Server is supported for use with Microsoft Terminal Server and Citrix MetaFrame running within an Active Directory environment. For more information about Terminal Services and Citrix MetaFrame, see Pervasive.SQL and Terminal Services .

Pervasive Administrative Authority

Active Directory service manages the security of the network. You must grant the correct access authority at the operating system level to users who need Pervasive administrative privileges.

See Active Directory Tasks for the steps to set access authority. Users must have the following authority on the machine running the database engine:

  • Log on locally
  • Administrator privileges or belong to the Pervasive_Admin group

You may grant the Log on locally authority directly to a user or to the Pervasive_Admin group (and add the user to the group).

You may create the Pervasive_Admin group on the machine running the database engine (the local machine), on the domain controller for the local machine, or on both. The database engine checks privileges first on the domain controller for the local machine then on the local machine.

An example helps illustrate this. Suppose you have two servers in your domain that run the Pervasive.SQL database engine, Server A and Server B. You could create a Pervasive_Admin group on each server and on the domain controller. You then add User 1 to the group on Server A, User 2 to the group on Server B, and User 3 to the group on the domain controller. User 1 has administrative privileges for the database engine only on Server A. Similarly, User 2 has administrative privileges only on Server B. User 3, however, has administrative privileges for the database engines on both Server A and Server B.

If you create the Pervasive_Admin group on a domain controller, then the group must be a domain local group. If you create the Pervasive_Admin group on a machine that is not a domain controller, then the Pervasive_Admin group must be a local group.

Active Directory Tasks

This section explains the tasks needed to ensure users have Pervasive administrative privileges. The tasks assume the following:

  • Network user IDs have been added for users who need Pervasive administrative privileges
  • A Pervasive_Admin group has been created on the domain controller and users added to the group
  • Windows 2000 Server is the operating system on the domain controller.

To Create the Pervasive_Admin Group on a Domain Controller

  1. Click Start 4 Programs 4 Administrative Tool 4 Active Directory Users and Computers.
  2. Expand the tree for the domain to which you want to add the Pervasive_Admin group (click the plus sign).

    For example, the following image shows the expanded tree for the ADSTEST.com domain.

  3. Right-click on the Organizational Unit or folder that you are using in your Active Directory environment to house groups, then click New 4 Group. For example, the following image shows an Organizational Unit named "Groups," but your Organizational Unit may be named differently.

 Note
If your Active Directory environment does not have an Organizational Unit to house groups, you need to create one. Click on the domain root (for example, in the figure above, you would right-click on ADSTEST.com), then click Action 4 New 4 Organizational Unit. Type a meaningful name for the unit, then click OK.

  4. For Group name, type Pervasive_Admin. Click Domain local for group scope.

 Note
The Pervasive_Admin group must have a scope of Domain local. Do not use Global or Universal.

  5. Click OK.

    Now that the Pervasive_Admin group exists, you need to add users to it.

  6. On the Active Directory Users and Computers window, right-click on the Pervasive_Admin group, then click Properties. (You may also double-click the group.)
  7. Click the Members tab on the properties dialog.
  8. Click Add on the Members tab.
  9. Click on the user in the Name list that you want to add to the Pervasive_Admin group, then click Add.

    The user is added to the list on the bottom. For example, the following image shows that user ADS_USER1 has been added.

  10. Click OK.

    The user you added now appears as a member of the Pervasive_Admin group.

  11. Click OK to exit the properties dialog.
  12. Add the Pervasive_Admin group to the Log on locally privileges (complete the task To Grant Log On Locally Privileges to the Pervasive_Admin Group).

To Grant Log On Locally Privileges to the Pervasive_Admin Group

  1. Click Start 4 Settings 4 Control Panel.
  2. Double-click Administrative Tools (or right-click then click Open) to open the Administrative Tools window.
  3. Double-click Domain Controller Security Policy (or right-click then click Open) to open the Domain Controller Security Policy window.

 Note
Ensure that you open Domain Controller Security Policy and not Domain Security Policy.

  4. Expand the following security settings (click the plus signs):
    • Security Settings
    • Local Policies
  5. Click User Rights Assignment.
  6. Scroll the policies in the right pane until you locate Log on locally.
  7. Double-click the Log on locally policy (or right-click the policy then click Security).

    The policy setting dialog appears.

  8. Click Add.

    The dialog appears on which you add users and groups.

  9. Type Pervasive_Admin in the Users and group names field.

    You may also specify the group by clicking Browse and navigating to the group through dialogs.

  10. Click OK.

    The Security Policy Setting dialog appears with Pervasive_Admin added.

  11. Click OK to exit the Security Policy Setting dialog.
  12. Exit the Domain Controller Security Policy window.

Prev
Application Configuration Scenarios 		Up
Check for Revisions 		Next
Multiple Client Applications


Multiple Client Applications

Sometimes, two or more client/server applications may use the same database server. You will need to configure the server differently depending on whether the applications are used at the same time.

If your vendors supply configuration guidelines for Server configuration parameters, you will need to adjust your configuration based on these guidelines.
If the applications run concurrently (that is, if two or more applications are using the database server at the same time) ...
You should configure the server by adding together all the recommended values for each parameter. For example, if one application vendor suggests Performance Tuning | Number of Input/Output Threads should be set to 4, and another application vendor suggests this parameter should be set to 8, then you should set it to 12.
If the default value is higher than the sum of the recommended settings, then do not change the default value.
Do not add up the recommended values for any buffer size settings, or log file size settings. Use the largest recommended setting. Again, do not change the default if it is larger than any vendor recommendation.
If the applications do not run concurrently (that is, if only one application is running at any given point in time) ...
You should configure the server by using the largest recommended value for each parameter. For example, if one application vendor suggests Performance Tuning | Number of Input/Output Threads should be set to 4, and another application vendor suggests this parameter should be set to 8, then you should set it to 8.
If the default value is higher than the largest recommended setting, then do not change the default value.

Settings Affected by Multiple Applications

Most server settings are not affected when you are running multiple applications. This section explains the settings that may need to be adjusted for multiple applications.

Compatibility | Create File Version

Some applications may require that new files be created with version 7.x file format, while other applications may require version 8.x file format (the default).

These applications can run concurrently only if new files are not created during run time. There is no way to toggle the setting back and forth for each application, unless you wish to do it by hand or write a program to do so using the Distributed Tuning Objects.

If the applications do not create new files during runtime, then this setting is not relevant for multiple applications.

Data Integrity | Transaction Durability

Some applications may require durable transactions, while others may not. If you have two application vendors recommending different values for this parameter, then you should set it to On. Generally, having transaction durability turned on does not affect applications that do not use transactions, but will incur a performance penalty.

Prev
Support for Active Directory Service 		Up
Check for Revisions 		Next
Concurrent Local and Remote Applications


Concurrent Local and Remote Applications

The Server engine allows both remote client requests as well as communications from applications running on the same computer as the server. This section explains what server Configuration settings are used to enable remote and local access.

Note
To perform these steps, you must have full administrator-level rights on the machine where the database engine is running, or be a member of the Pervasive_Admin group defined on the machine where the database engine is running.

To enable database connections from both remote and local applications

  1. You must be sitting at the Windows server computer where the database server runs. Start Pervasive Control Center. Click the Start menu, then choose Programs 4 Pervasive.SQL V8 4 Control Center.
  2. Double-click Pervasive.SQL V8 Engines. Double-click the icon representing your server. Double-click Configuration for your server.
  3. Enter the user and password if prompted.
  4. Double-click Server and click Access. In the right-hand window pane, double-click Accept Remote Requests. Set the value to On. If you wish to prevent the server from accepting client connections from other computers, set the value to Off. Click OK.
  5. Double-click Client and click Access. Double-click Use Local MicroKernel Engine. Set the value to On. Click OK.
  6. Double-click Use Remote MicroKernel Engine. If you want to be able to access databases on other computers, set the value to On. If you plan to access data on this computer only, set the value to Off. Click OK.
  7. Double-click Target Engine. Set the value to Server Only. Click OK.
  8. Click [image] to apply the changes. You must restart the server engine for the changes to take effect.
Prev
Multiple Client Applications 		Up
Check for Revisions 		Next
NetWare Server: Installing and Configuring


NetWare Server: Installing and Configuring

Prev
Concurrent Local and Remote Applications
Check for Revisions 		Next
Installing Pervasive.SQL on NetWare


Installing Pervasive.SQL on NetWare

Instructions for NetWare Server Installation or Patching

This chapter contains procedures for installing Pervasive.SQL V8 on a NetWare server.

This chapter contains the following sections:

  • Before You Begin
  • Installing the Pervasive.SQL Server Components
  • Common Questions After Installing Pervasive.SQL
Prev
NetWare Server: Installing and Configuring
Check for Revisions 		Next
Before You Begin


Before You Begin

This section contains information with which you need to be familiar to install Pervasive.SQL V8. Before installing Pervasive.SQL V8, begin by reviewing the following documents:

  • Chapter 2 , Preparing to Install Pervasive.SQL - This chapter provides important information, including system requirements and platform specific notes, relevant to your operation.
  • "What's New in Pervasive.SQL V8" - This document is included in your product package and contains information regarding the latest features and enhancements in this release.
  • README - This file is located on the distribution media and contains late-breaking product news that could not be included in the product documentation.

Platform Notes for NetWare

This section contains notes that may be helpful in installing Pervasive.SQL V8 on a NetWare server.

  • Native file access protocols (NFAP) is a feature of NetWare 6.0 (and a beta product for NetWare 5.1). This feature allows workstations to access and store files on NetWare servers without requiring a Novell Client or the Microsoft Client Service for NetWare. NFAP uses the same protocol (referred to as native) as the client workstation to copy, delete, move, save, and open files. Windows workstations perform these tasks using the Common Internet File System (CIFS) protocol.

    Note that Pervasive.SQL V8 supports NFAP even though the feature is new with NetWare 6.0. You do not have to change the default settings for the Pervasive.SQL engines or clients to take advantage of NFAP. However, the following items do apply to the use of NFAP:

    • The MicroKernel authentication uses Pervasive.SQL runtime server support (RTSS). The MicroKernel uses the NDS password; it does not use the simple password feature of NFAP. (The default setting for RTSS is "Complete," meaning that a user must supply a valid user name. A password is optional.)
    • If you customize the network environment with a CIFS.CFG file, use the -SHARE parameter to point to the root of the volume. That is, do not use the -SHARE parameter to point directly to the Pervasive.SQL data files. The MicroKernel resolves locations specified by the -SHARE parameter only if the share points to the root of the volume.
  • If your Windows client is running the Advanced Power Management feature of the operating system, disable it while installing Pervasive.SQL V8. The power management can cause a Pervasive.SQL V8 installation to fail if the client that is remotely installing the NetWare server is suspended during the install.
  • Because some versions of NetWare include Btrieve 6.10, Btrieve system files already exist on the server and possibly on the clients. Back up these files and then remove them. If you do not remove them, set them to read/write so that the installation can overwrite them (the installation routine also backs them up). Refer to Btrieve 6.10 documentation for a component list.
  • To install Pervasive.SQL V8, you must have rights to the SYS: volume and to the System directory on the server on which the product is being installed.
  • The Pervasive.SQL server component is installed in the System directory of the SYS: volume, and all other supporting files are installed, by default, to subdirectories of the PVSW directory in the root of the SYS: volume (as described in What Files Are Installed as Part of Pervasive.SQL V8? .)
  • NetWare versions below NetWare 4.11 are not supported.
  • NetWare 4.x only: Ensure that the CPU Hog Timeout setting is a value greater than or equal to 60 seconds or you may encounter a server abnormal ending (abend) when installing Pervasive.SQL V8. The default value is 60 seconds. In addition, Unicode must be installed on the NetWare machine.
  • NetWare 5.1 only: The command file AUTOEXEC.NCF for NetWare 5.1 includes an entry that launches another command file named SQLC.NCF. The command file SQLC.NCF loads a version of ODBC.NLM that is incompatible with Pervasive.SQL. On NetWare 5.1, it is necessary to comment out the line containing SQLC.NCF in your AUTOEXEC.NCF file. Otherwise, you will encounter errors when using Pervasive.SQL Control Center or performing SQL operations. Btrieve is unaffected by this issue.
  • In all versions of NetWare, before starting Pervasive.SQL V8 the NetWare Loadable Module appropriate to the communication protocol being used must be loaded before starting Pervasive.SQL V8. If the SPX communication protocol is being used, then SPXS.NLM must be loaded on the server before starting Pervasive.SQL V8. If the TCP/IP protocol (the default) is being used, then TCP/IP must be correctly configured on the server before starting Pervasive.SQL V8.
  • Prior to installing Pervasive.SQL V8, any existing Pervasive.SQL applications must be stopped on the client machines.
  • Running the NetWare install from a Windows 2003 machine can produce Windows security warning messages that reference files install is trying to copy. If you receive such dialogs starting with "Some files can harm your computer", click Open and Install will complete normally.
  • If you have any trouble with the following installation, see Chapter 21, Troubleshooting After Installation.

Installing Over Existing Pervasive Products

  • Your previous versions of Pervasive products will be archived when you install Pervasive.SQL V8 so that there are no component conflicts. You can use Pervasive System Analyzer later to restore the archived products if necessary. Your licenses from previous Pervasive products such as Btrieve 6.x, Scalable SQL 4.x, and Pervasive.SQL 2000 will not be migrated to Pervasive.SQL V8.
  • If you wish to make use of all the new version features, you must rebuild your data files so they use the version 8 file format. See the Advanced Operations Guide section for detailed information on how to use the Rebuild utilities to convert your data files.

Installation Tips

When installing Pervasive.SQL V8 for the first time on a system, Setup will check if all of the needed system files meet the minimum requirements. In some cases, these files are locked by the operating system and a reboot is required before Setup can continue. The following dialog box is displayed if this is the case.

Figure 8-1 Pervasive.SQL V8 Setup Reboot Required

Click Yes to reboot the system. Setup is then automatically restarted.

Note
It is strongly recommended that you reboot your system if you encounter this message. If you do not reboot your system, Setup will encounter failures during engine and utilities configuration.

If you have any trouble with the following installation, see Chapter 21, Troubleshooting After Installation.

NetWare Security and Configuration Issues

This section details security issues relating to installing Pervasive.SQL V8 on the NetWare platform.

Rights Required to Install

To install Pervasive.SQL V8 on a NetWare server you should be an administrator of the server on which you are installing the database. Just having supervisor rights is not adequate. This will allow you to configure, monitor, and set up DSNs for the server after installation. However, you can do an installation if you just have read/write rights to the root of the server, but you will not be allowed to configure, monitor, or add DSNs.

In addition to the rights required on the NetWare server, you must have administrative rights on the Windows machine from which you are installing the Pervasive.SQL V8 NetWare server.

Easiest Method to Authorize Users to Administer Databases

All other users that are administrators for the NetWare server object where Pervasive.SQL V8 is installed will have rights to perform administrative functions on the database too. This means the user must have Supervisor rights to the NDS Server itself, not just Supervisor rights to the SYS: volume.

This implementation is the easiest to set up and administer and is adequate if your users can be administrators for both the NetWare server and the Pervasive.SQL V8 database.

Alternative and More Restrictive Method to Authorize Users to Administer Databases

After installation, you can optionally add a group named Pervasive_Admin and add members who have the right to administer only the database engine without giving them full administrative rights on the entire server. To add this group and users to it, you must have the proper Novell NetWare rights enforced to add objects into the NDS tree on NetWare 4.11 or later.

On NetWare 4.x or later, the Pervasive_Admin group object must be set up in the same NDS container as the server (or servers) with Pervasive.SQL V8 installed. If all your Pervasive.SQL V8 servers are installed at the same level in your NDS tree, then only one Pervasive_Admin group is required for all of them.

Here are examples of the correct and incorrect level for Pervasive_Admin. In the examples, the database engine is running on the NetWare server named "Psql."

Correct Level:

0 [Root]
  | - Container A
      | - Group A
      | - Psql
      | - Server2
      | - Pervasive_Admin (Group)
      | - Group B
          | - Juaquin
          | - Steve
          | - Tawanda

Wrong Level:

0 [Root]
  | - Container A
      | - Group A
      | - Psql
      | - Server2
      | - Group B
          | - Juaquin
          | - Pervasive_Admin (Group) – Wrong level
          | - Steve
          | - Tawanda

If you have multiple Pervasive.SQL V8 servers at varying levels in your NDS tree, you must set up multiple Pervasive_Admin groups, one for each NDS context level running a Pervasive.SQL engine. You do not need to have the same member list for each Pervasive_Admin group.

Note
If the Pervasive_Admin group is created at a lower level in the NDS tree than the Novell server to which it corresponds, members of the group cannot access the database engine unless they have Novell administrator rights. The attempted login to the Pervasive.SQL server from the PCC fails with the message "You have entered an invalid password or user name."

If you have additional questions on this topic or would like to review examples of NDS trees and user rights, please refer to the section "Additional Information on Pervasive_Admin and NDS" in the HTML file:

http://www.pervasive.com/support/updates/psqlall.asp#NetWare

TurboFat on NetWare Servers

On NetWare 4.x, 5.x, and 6.x servers, data files can become corrupt in the NetWare cache or Turbo cache. The actual data file on the disk is fine, and if you rebuild the data file you will not lose any records. If you do lose records while rebuilding, that would indicate true corruption and not the turbo cache problem.

One workaround has been to down the server to clear the cache. This can be used as a test as well by getting a status 2 on a read of a record, downing the server to clear the cache, and then reading that same record again. If you can read it successfully, it is a good indication that the problem is in the turbo cache.

This issue is not unique to Btrieve files; it can be any type of file that Novell loads into its cache.

There are 2 possible workarounds for this situation.

  • Workaround #1: Disable NetWare's Turbo cache

    This can be done by using TURBOD2.EXE from Novell. See Novell's document TID 2960009 "TURBODIS.NLM to prevent database corruption" for more information. Its properties say it is for troubleshooting purposes and is not officially tested or supported. Experience has shown that this does not always eliminate the problem.

  • Workaround #2: Serialize all I/O on a 'per file' basis in the NetWare MicroKernel.

    The avoids the problem and has had outstanding results. It serializes all I/O on a per file basis in the NetWare MicroKernel. There have been no reports of this causing any problems or performance issues, so it is recommended to everyone.

    To implement this workaround, follow these steps.

  • Edit the file SYS:SYSTEM\BTI.CFG
  • In the section titled [MicroKernel] find the Use FileIO Mutex setting and set it to YES as shown in this example :

    Use FileIO Mutex=YES

    (Note: capital letter 'I' and capital letter 'O').

  • Ensure that there is not a second entry anywhere else that sets it to No.
  • Restart the server for this change to take effect.

Cache Allocation Size

Beginning with NetWare 5.1, Novell deliberately sets the default Pervasive.SQL memory cache size to 1 MB, which is far too small for most applications. After you install Pervasive.SQL, you should set the Cache Allocation Size configuration parameter to 20% of the physical memory on the NetWare server, to avoid poor database performance. To access this configuration parameter within PCC, double-click the icon representing the NetWare server, double-click the Configuration, double-click Server, then Performance Tuning. Double-click on Cache Allocation Size and set the value in bytes.

Prev
Installing Pervasive.SQL on NetWare 		Up
Check for Revisions 		Next
Installing the Pervasive.SQL Server Components


Installing the Pervasive.SQL Server Components

You cannot install the NetWare server from the local console. You must install the Pervasive.SQL for NetWare server remotely from a Windows client machine on which you have administrative rights. If you will be installing Pervasive.SQL to multiple NetWare servers, you should use a different Windows client machine for each NetWare installation or you will lose the ability to uninstall the Pervasive.SQL server engines in the future.

Note
If the installation fails before the program copies any files to the target installation directory, the installation log file (install.log) can be found in the directory specified by the %TEMP% environment variable. This directory is often c:\windows\temp or c:\winnt\temp.

To install Pervasive.SQL on a NetWare server:

  1. Map a drive letter to the remote server.
    1. Double-click My Computer. If the toolbar is not visible, click View and select Toolbar. Click the Map Network Drive button.

    1. Map a drive letter to the SYS: volume on the remote server as shown in the Map Network Drive dialog box.

Figure 8-2 Mapping a Drive

  2. Launch the installation program from a client workstation.
    1. Insert the Pervasive.SQL V8 Server for NetWare CD in the CD-ROM drive of your client machine.
    2. If the installation does not start automatically, click Start 4 Run, then type drive:setup where drive is the drive letter of your CD-ROM device.

Note
Please see Installation Tips regarding the Pervasive.SQL V8 Setup Reboot Required dialog box.

The installation program begins its initial preparation. After the preparation completes, the Welcome screen appears.

  3. Click Next to proceed with the installation.
  4. Read the Software License Agreement.
  5. Click I accept the terms in the license agreement to accept the terms of the agreement and enable the Next button.

Figure 8-3 Pervasive Software's Software License Agreement

  6. Click Next.

    A dialog appears on which you specify a license key.

  7. Type, or paste, a license key into the License field.

Figure 8-4 Applying the User Count License

Your Pervasive.SQL V8 Server is set to the number of users specified in the license key. When the update is complete, a dialog box informs you that you have increased your user count license to support that number of simultaneous users.

Note
If you do not yet have a license key or it is not with you at the moment, you can still continue with the installation by using an evaluation license. Click Next to evaluate the product for a trail period (ensure that EVAL is in the License field). The trial version license is valid for 30 days, then expires.

You may run the License Administrator utility at a later time to install a user count license key. The License Administrator utility is documented in Pervasive.SQL User's Guide in the section License Administrator .

  8. Click on the Setup Type desired: Complete or Custom (the default is complete).

Figure 8-5 Setup Type Dialog Box

 Note
For either setup type, Complete or Custom, the Pervasive.SQL online documentation and Pervasive System Analyzer (PSA) are installed locally. That is, on the Windows machine from which you are installing Pervasive.SQL Server for NetWare. The local components are installed to osdrive:\Program Files\Common Files\Pervasive Software Shared, where osdrive is the drive letter where your operating system is installed.

Complete Setup

The Complete installation, which is recommended for most users, takes default actions for operations performed during the installation.

The system components for the Pervasive.SQL Server engine are copied by default to SYS:\SYSTEM. You can specify a different location for the system components.

The non-system components are copied by default to SYS:\PVSW. You can select a different location for the non-system components.

The Complete server installation installs the following components to SYS:SYSTEM:

  • Pervasive.SQL V8 engine (including ODBC interface)

The Complete server installation installs the following non-system components to SYS:PVSW:

  • Script files
  • Client installation copies
  • DEMODATA sample database
  • NIS files
  • Sample files

Custom Setup

The Custom installation is typically for advanced users. It allows you to specify the installation location, select the components to install, and determine the space requirements for the components.

If you choose Custom install, skip now to Custom Installation Path . At the end of that section you will return to this set of steps to continue the installation.

  9. Click Next.
  10. Specify the location for the system files. The default location is SYS:SYSTEM. If you want to change the default location, click Change, specify a location, then click OK.

    In the following example dialog, the SYS: volume is mapped to drive letter P.

Figure 8-6 Location for System Components (NetWare Server)

  11. Click Next.
  12. Specify the location for the non-system files (called the PVSW install folder).

    The default location is SYS:PVSW. If you want to change the default location, click Change, specify a location, then click OK.

    In the following example dialog, the SYS: volume is mapped to drive letter P.

Figure 8-7 Location for Non-system Components (NetWare Server)

  13. Click Next.

    A dialog appears that informs you the installation program is ready to begin installing files. At this point, if you want, you may click Back to change or review any of the installation settings, or click Cancel to exit the installation program. After you click Install, you may still exit the installation, but you will be unable to change or review settings.

  14. Click Install to continue with the installation.

    If you had a previous version of Pervasive.SQL on your system, Pervasive System Analyzer archives it before installing the current version of Pervasive.SQL.

    A dialog appears that gives you a status of the installation process.

Figure 8-8 Installation Status Dialog Box (NetWare Server)

Installation actions include, but are not limited to, the following:

  • Script operations
  • Component registration
  • File copying
  • Shortcut creation
  • System registry updates

    A dialog appears at the end of a successful installation.

Figure 8-9 Installation Complete Dialog Box (NetWare Server)

  15. Click Finish.

    Caution
    To avoid poor database performance on NetWare 5.1 and later, follow the instructions provided under Cache Allocation Size to increase Novell's factory setting for the database engine cache size.

  16. Start Pervasive.SQL on your NetWare machine by performing a DOWN command followed by a SERVER command on the NetWare server.

    You must restart the NetWare server to load the new version of BTRIEVE.NLM. The NetWare operating system has dependencies on BTRIEVE.NLM,

  17. Your installation is complete.

    Thank you for choosing Pervasive.SQL.

Note
If you had any trouble with the installation, see Chapter 21, Troubleshooting After Installation.

Prev
Before You Begin 		Up
Check for Revisions 		Next
Custom Installation Path


Custom Installation Path

This section describes how to customize your installation of Pervasive.SQL V8. This topic continues a discussion from step 8 .

  1. Click on a feature's icon to display the installation choices.

    For example, the following image shows the choices if you click on the Client icon.

Figure 8-10 Example of Installation Choices (NetWare)

 Note
The following choices are not used for Pervasive.SQL even though they appear in the list:

This feature will be installed to run from network.
This feature, and all subfeatures, will be installed to run from network.
This feature will be installed when required.

  2. Decide how you want to install the program features.
    Installation Choice
    Meaning
    This feature will be installed on local hard drive.
    This feature, and all subfeatures, will be installed on local hard drive.
    The feature's components, and subfeatures if you choose, are installed on the machine running the installation program.
    This feature will not be available.
    The feature's components are excluded from the installation.

Excluding Features

You may exclude either, or both, of the following:

    • Utilities (except minimum set)
    • Client images

You may not exclude the minimum set of utilities. The minimum set includes the Password Utility and the following command-line interface (CLI) utilities: Maintenance, Rebuild, and License Administrator.

If you exclude utilities, you will be unable to configure your Pervasive.SQL Server product. The product is installed using all default values. In addition to no configuration ability, other restrictions apply. For example, no wizards will be available. We recommended that you include the utilities unless you are certain that you do not require the functionality provided by them.

The following utilities are not installed if you exclude them.

  • Pervasive Control Center (PCC)
  • Table Designer and SQL Data Manager
  • All wizards
  • Monitor, GUI Maintenance, and GUI Rebuild
  • GUI License Administrator

If you exclude client images, you will be unable to install the client requesters from a Pervasive.SQL Server machine. You may install them from the CD media. Client machines require requesters to access database files on a Pervasive.SQL Server machine.

  3. Click on the desired installation choice.
  4. If desired, click on a feature to check the amount of storage space it requires.

    The space required appears on the right:

Figure 8-11 Location of Space Required Values

  5. If desired, check the amount of storage space available on the physical drives.

    Click on a feature, then click Space. The resulting dialog shows you by storage volume, the total disk space, the available disk space, the space required for the feature, and difference between the available space and space required. Click OK after you finish checking storage capacity.

  6. If desired, check the amount of storage space required for a feature.

    Click on a feature, then click Space. The resulting dialog shows you by storage volume, the total disk space, the available disk space, the space required for the feature, and difference between the available space and space required. Click OK after you finish checking storage capacity.

  7. Click Next.

    The Custom path rejoins the Complete installation path at this point. Continue with Step 10.

Prev
Installing the Pervasive.SQL Server Components 		Up
Check for Revisions 		Next
Common Questions After Installing Pervasive.SQL


Common Questions After Installing Pervasive.SQL

Note
This section contains information that you should read after running the installation program. If you are having problems with your installation, go to Chapter 21, Troubleshooting After Installation or get help online from our Knowledge Base website at http://support.pervasive.com/kb.

How Do I Use NetWare Directory Services (NDS) with Pervasive.SQL V8?

For information on Pervasive.SQL support of NDS, see the topic NetWare Directory Services (NDS) Formats .

More documentation on how NDS relates to Pervasive.SQL is available in the Knowledge Base of Pervasive's Home Page (http://support.pervasive.com/kb). Search using the keyword "NDS" on the Support section of the site.

How Do I Read the Online Documentation?

Pervasive.SQL V8 documentation for Win32 platforms is in Microsoft HTML Help format. To read the documentation, select Start 4 Programs 4 Pervasive.SQL V8 4 Documentation 4 Pervasive.SQL V8 from the Windows Start menu.

You can also view the documentation in the form of Adobe Acrobat (PDF) files. These PDF files and an installation program for an Acrobat reader is available on the Pervasive.SQL V8 (Server Edition) CD-ROM.

There is also a README file on the distribution media that has the latest changes and additions to Pervasive.SQL V8.

How Do I Verify or Update My User License?

The License Administrator utility is documented in Pervasive.SQL User's Guide in the section License Administrator . Please see that document for information on user licenses.

What Files Are Installed as Part of Pervasive.SQL V8?

Once installed, the Pervasive.SQL files reside in the following directory structure. This structure is located on the SYS volume.
\SYSTEM |  |  | NLMs and all other system files
\PVSW
 | \BIN |  |
 | \CLIENTS |  | Pervasive.SQL client setup programs
 |  | \DOS | DOS Pervasive.SQL Requester files. These files must be manually copied to a DOS client.
 |  | \TRACE | Requester files for Windows 32-bit operating systems and the Pervasive.SQL Windows client installation program
 |  | \WIN32 | Pervasive.SQL Windows client installation program
 | \DEMODATA |  | A sample SQL database.
 | \SAMPLES |  | Sample data file SAMPLE.BTR and sample alternate collating sequence file UPPER.ALT. This database is the default database for Btrieve security.

This structure is located on the Windows machine from which you installed Pervasive.SQL Server for NetWare:
C:\Program Files\Common Files\Pervasive Software Shared
 | \PSA | Pervasive System Analyzer
 | \DOC | Online documentation
 | \PVSWCORE | Pervasive Services

Prev
Custom Installation Path 		Up
Check for Revisions 		Next
Network Settings for Server Engine on NetWare


Network Settings for Server Engine on NetWare

How to Configure Network Settings for a NetWare-based Pervasive.SQL Server

This chapter explains the default network settings for your database server engine and how to customize these setting if your network requires changes to the default values.

The chapter contains the following sections:

  • Determining What Kind of Network You Have
  • Default Settings
  • Setting Up TCP/IP Support
  • Setting Up SPX Support
  • Disabling Certain Protocols
Prev
Common Questions After Installing Pervasive.SQL
Check for Revisions 		Next
Determining What Kind of Network You Have


Determining What Kind of Network You Have

This section explains how to determine the network protocol that you should use with the database engine. If you already know what protocol or protocols are supported on your network, you can skip this section.

Server Engine on NetWare

If you have a NetWare network, you must determine whether it is running SPX, TCP/IP, or both. You can find out whether TCP/IP is supported by checking to see if TCPIP.NLM is loaded on the server.

Mixed NetWare and Microsoft Network

It is possible to run Btrieve applications over SPX on Microsoft networks, but ODBC applications over SPX require a NetWare server for name resolution. If you do not have a NetWare server on your network, you may not use SPX for ODBC applications.

Prev
Network Settings for Server Engine on NetWare 		Up
Check for Revisions 		Next
Default Settings


Default Settings

When using Pervasive.SQL on a NetWare server, you can use either TCP/IP or IPX/SPX protocols.

When both network protocols are available, however, Pervasive.SQL clients will first attempt to use TCP/IP.

If you wish to use only IPX/SPX, you can disable TCP/IP using the Configuration utility as documented in Disabling Certain Protocols .

This section explains what server Configuration settings are related to networking support, and what the default values mean.

You can change these settings within PCC by double-clicking Configuration for the given database engine, then double-clicking Server, then Communication Protocols.

Auto Reconnect Timeout

Default: 180 seconds
If Pervasive Auto Reconnect is enabled, this setting specifies how long the engine and client attempt to contact each other after a network interruption has occurred. By default, the client and server attempt to connect for three minutes before giving up. If the value of Enable Auto Reconnect is Off, then the Auto Reconnect Timeout value is ignored.

Enable Auto Reconnect

Default: Off
This setting determines whether the client and server attempt to reconnect to each other in the event of a network outage. If set to On, it allows the database connections to recover from intermittent or temporary network interruptions. If this value of this setting is Off, then the client returns a status code to the application immediately upon any failure to connect to the server, and the connection context is not preserved.

If you have this setting turned On, you can specify how long the client and database engine should attempt to reconnect by using the setting Auto Reconnect Timeout.

Listen IP Address

Default: 0.0.0.0
This setting specifies the IP address of the network interface card that the MicroKernel should listen on when the server computer has two network cards installed. This value is ignored if the server computer has only one network card, or if the value of TCP/IP Multihomed is On. This value is also ignored if TCP/IP is not in use by the database engine.

Supported Protocols

Default: SPX, TCP/IP
This setting specifies the vendor protocols that the database engine should attempt to use. When more than one protocol is specified, upon start up, the engine attempts to connect on all specified protocols. The protocol that connects first is then used for the remainder of the session.

You can often improve initial connection performance by removing the protocols that are not used on your network. For example, if you have a Server engine on an all-TCP/IP network, removing NetBIOS and SPX support may reduce the wait time during initial connections to the engine.

TCP/IP Multihomed

Default: On
If your server computer has two network interface cards installed, you can use this setting to specify whether the server engine should listen on both network connections. If your computer has two network cards and this setting is turned off, you must use the setting Listen IP Address to specify which network card the server engine should use.

Prev
Determining What Kind of Network You Have 		Up
Check for Revisions 		Next
Setting Up TCP/IP Support


Setting Up TCP/IP Support

By default, TCP/IP is supported between Pervasive.SQL clients and remote engines. If you have modified the default settings or need to verify that TCP/IP support is available, refer to this section.

Note
In order to perform any of the tasks in this section, you must have administrative rights on the NetWare server, or be a member of the Pervasive_Admin group defined on the server.

Enabling TCP/IP Support

Follow this procedure to ensure that the database engine can communicate with clients over TCP/IP networks.

  1. From the Start menu, choose Programs 4 Pervasive.SQL V8 4 Control Center.
  2. In the PCC window, double-click on Pervasive.SQL Engines to display a list of the engines registered with PCC.

    If the engine you want to configure is not listed, right-click on Pervasive.SQL Engines and choose Register New Engine.

  3. Double-click on the icon representing your target engine. Double-click Configuration. Login if prompted. Double-click Server. Click on Communication Protocols. In the window to the right, double-click on Supported Protocols.
  4. A smaller dialog box appears, showing a list of Available protocols and a list of Selected protocols. If the list of Selected protocols includes the value Microsoft TCP/IP, then TCP/IP is already supported.

    If the list of Selected protocols does not include Microsoft TCP/IP, then you should click on this value in the left-hand window, and then click the > button to move it into the list of Selected protocols. Once the value appears in the right-hand window, click OK.

  5. Click [image] to apply the changes. You must restart the server engine for the changes to take effect.
  6. Remember that you also need to confirm that your client computers are configured to use TCP/IP, as well. Please refer to Chapter 18, Client Network Configuration.

Enabling Multihomed TCP/IP Support

Follow this procedure when your server machine has two network cards installed.

  1. From the Start menu, choose Programs 4 Pervasive.SQL V8 4 Control Center.
  2. In the PCC window, double-click on Pervasive.SQL Engines to display a list of the engines registered with PCC.

    If the engine you want to configure is not listed, right-click on Pervasive.SQL Engines and choose Register New Engine.

  3. Double-click on the icon representing your target engine. Double-click Configuration. Login if prompted. Double-click Server. Click on Communication Protocols. In the window to the right, double-click on TCP/IP Multihomed.
  4. If you want the server engine to listen for client connections on both network cards, change the value to On. If you want the server engine to listen on only one card, change the value to Off. Click OK. If you only have one network card, this setting is ignored.
  5. If your server computer has two network cards, and you set the value of TCP/IP Multihomed to Off, you must double-click the setting Listen IP Address and specify the TCP/IP address of the card you want the server engine to listen to. If you do not specify an IP address, the server engine will not receive communications from either network card.
  6. Click [image] to apply the changes. You must restart the server engine for the changes to take effect. You do not need to make any changes to client settings.
Prev
Default Settings 		Up
Check for Revisions 		Next
Setting Up SPX Support


Setting Up SPX Support

By default, SPX is supported between Pervasive.SQL clients and servers. If you have modified the default settings or need to verify that SPX support is available, refer to this section.

Your network's SPX Frame Type setting does not have any effect on Pervasive.SQL.

Note
In order to perform any of the tasks in this section, you must have administrative rights on the NetWare server, or be a member of the Pervasive_Admin group defined on the server.

Enabling SPX Support

Follow this procedure to ensure that the server engine can communicate with clients over SPX networks.

Note
Prior to loading Pervasive.SQL, SPXS.NLM must be loaded.

  1. From the Start menu, choose Programs 4 Pervasive.SQL V8 4 Control Center.
  2. In the PCC window, double-click on Pervasive.SQL Engines to display a list of the engines registered with PCC.

    If the server engine you want to configure is not listed, right-click on Pervasive.SQL Engines and choose Register New Engine.

  3. Double-click on the icon representing your target server. Double-click Configuration. Login if prompted. Double-click Server. Click on Communication Protocols. In the window to the right, double-click on Supported Protocols.
  4. A smaller dialog box appears, showing a list of Available protocols and a list of Selected protocols. If the list of Selected protocols includes the value Microsoft SPX II or Novell SPX II, then SPX is already supported.

    If the list of Selected protocols does not include one of the above values, then you should click on this value in the left-hand window, and then click the > button to move it into the list of Selected protocols. Once the value appears in the right-hand window, click OK.

  5. Click [image] to apply the changes. You must restart the server engine for the changes to take effect.
  6. Remember that you also need to confirm that your client computers are configured to use SPX, as well. Please refer to Chapter 18, Client Network Configuration.
Prev
Setting Up TCP/IP Support 		Up
Check for Revisions 		Next
Disabling Certain Protocols


Disabling Certain Protocols

It may be possible to improve performance on the initial connection to the database by disabling database communications support for any protocols that are not available on your network or that you do not wish to use.

Note
In order to perform any of the tasks in this section, you must have administrative rights on the computer where the database engine is installed, or be a member of the Pervasive_Admin group defined on that computer.

To Remove Support for a Specific Network Protocol

Note
This procedure does not affect your operating system configuration in any way. This procedure only prevents the database communications system from attempting communications on unavailable or undesired protocols.

  1. From the Start menu, choose Programs 4 Pervasive.SQL V8 4 Control Center.
  2. In the PCC window, double-click on Pervasive.SQL Engines to display a list of the engines registered with PCC.

    If the server engine you want to configure is not listed, right-click on Pervasive.SQL Engines and choose Register New Engine.

  3. Double-click on the icon representing your target server. Double-click Configuration. Login if prompted. Double-click Server. Click on Communication protocols. In the window to the right, double-click on Supported protocols.
  4. A dialog box appears, showing a list of Available protocols and a list of Selected protocols. If the list of Selected protocols includes a value that is not supported on your network or that you do not wish to use, click on the value and then click the < button to move it into the list of Available protocols. Repeat for any other protocols you do not wish to use. You must leave at least one protocol in the Selected protocols list.

    Once the given value(s) appear in the left-hand list, click OK.

  5. Click [image] to apply the changes. You must restart the server engine for the changes to take effect.
  6. Remember that you also need to confirm that your client computers are configured to use the protocol remaining in the Selected protocols list. Please refer to Chapter 18, Client Network Configuration.
Prev
Setting Up SPX Support 		Up
Check for Revisions 		Next
Application Configuration on NetWare


Application Configuration on NetWare

Issues for Configuring Applications on the NetWare Platform

This chapter contains the following sections:

  • Local Applications on NetWare Servers
  • NSS Volume Support
Prev
Disabling Certain Protocols
Check for Revisions 		Next
Local Applications on NetWare Servers


Local Applications on NetWare Servers

  • You can run NLM-based local NetWare applications in NetWare 4.2, 5.0 and above, and 6.0.
  • The NLM environment does not recognize drive letters or environment variables. Thus, for commands that require a filename, the name must include the full pathname, such as SYS:\NWSQL\DEMODATA\PATIENTS.DTA. If you do not specify a volume, the utility assumes SYS: is the volume.
Prev
Application Configuration on NetWare 		Up
Check for Revisions 		Next
NSS Volume Support


NSS Volume Support

Pervasive.SQL supports NetWare Storage Services (NSS) volumes on NetWare 5 and up, provided that you load the NSS volumes prior to starting the database engine. For example, you should issue the BSTART or MGRSTART command only after loading the NSS volumes as shown here:

LOAD NSS
MOUNT ALL
SYS:ETC\INITSYS.NCF
MGRSTART or BSTART

Also, please note that database updates performed against data files on NSS volumes may run more slowly than with earlier versions of NetWare. As noted in Novell TID 2952147 (http://www.novell.com), "NSS is optimized for reading files." Updates "will almost always perform a little faster on the legacy file system."

Based on this information, you may wish to store frequently-updated data files on regular NetWare volumes rather than NSS volumes.

Prev
Local Applications on NetWare Servers 		Up
Check for Revisions 		Next
Linux Server: Installing and Configuring


Linux Server: Installing and Configuring

Prev
NSS Volume Support
Check for Revisions 		Next
First-time Server Installation on Linux


First-time Server Installation on Linux

Instructions for First-time Installation of Pervasive.SQL V8 on Linux

This chapter contains procedures for installing and running Pervasive.SQL V8. The chapter contains the following sections:

  • Before You Begin
  • Installing the Pervasive.SQL Server Components using RPM
  • Installing the Pervasive.SQL Server Components using Tar
  • Installation Information
  • Configuring Pervasive.SQL for Linux
  • Common Questions After Installing Pervasive.SQL
Prev
Linux Server: Installing and Configuring
Check for Revisions 		Next
Before You Begin


Before You Begin

This section contains information you need to be familiar with to successfully install Pervasive.SQL V8.

Before installing Pervasive.SQL V8, begin by reviewing the following documents for important information:

  • Chapter 2 , Preparing to Install Pervasive.SQL - This chapter provides important information including system requirements and platform specific notes that are relevant to your operation.
  • "What's New in Pervasive.SQL V8" - This document is included in your product package and contains information regarding the latest features and improvements in this release.
  • README file - This file is located on the distribution media and contains late-breaking product news that could not be included in the product documentation.

Samba Package Installation

If you are planning to access the Pervasive.SQL V8 Btrieve interface across a network from a Windows-based client, we recommend that the Samba package be installed on the server. Please refer to the Samba website, http://www.samba.org, for installation and configuration instructions.

After installing Pervasive.SQL V8 you will want to look at Supported Path Formats for information regarding Samba's path configuration.

This release was tested with Samba versions 2.0.3 and 2.0.5.

Platform Notes for Linux

This section provides information that is specific to the Linux version of Pervasive.SQL V8.

Note
Pervasive.SQL no longer supports kernel 2.2 versions. You must have at least kernel 2.4 (and RPM 4) to install Pervasive.SQL V8.

If you have any trouble with the following installation, see Chapter 21, Troubleshooting After Installation.

Prev
First-time Server Installation on Linux 		Up
Check for Revisions 		Next
Installing the Pervasive.SQL Server Components using RPM


Installing the Pervasive.SQL Server Components using RPM

The Pervasive.SQL installation package is provided in the following form:

Operating System | Package Name
Linux | Pervasive.SQL-8.50-188.000.i486.rpm1
1
The Package Name listed here is only an example. Verify the actual name for the version you are installing. The Package Name is listed in the README file.

Note
To install this package, you must be logged in as root. If you are installing from the CD, you must be at the CD root directory.

RPM Install Procedure

To install Pervasive.SQL V8 on a Linux machine:

Note
This procedure is only for a first-time installation of Pervasive.SQL V8. If you have a previous version of Pervasive.SQL on your Linux machine, see Upgrade Installation Procedure for Linux .

  1. Log in as the root user
  2. Assuming the RPM package is in the current directory, issue the following command.
    rpm -ivh <Pervasive.SQL-8.50-188.000.i486.rpm>

Note
You must substitute the Package Name listed in your product's README file for the variable <Pervasive.SQL-8.50-188.000.i486.rpm> to complete the installation.

If the RPM package is in another directory, preface the package name with a path.

  3. The package script installs the product and performs other tasks as noted in Installation Information .

Note
If you had any trouble with installation, see Chapter 21, Troubleshooting After Installation.

Prev
Before You Begin 		Up
Check for Revisions 		Next
Installing the Pervasive.SQL Server Components using Tar


Installing the Pervasive.SQL Server Components using Tar

If you are not using a version of Linux that supports the RPM format, you can use the tar installation format of the Linux client.

If you use RedHat or another Linux vendor that supports the RPM format, you may want to use the RPM format of install instead. See Installing the Pervasive.SQL Server Components using RPM for more information.

The Pervasive.SQL installation package is provided in the following form:

Operating System | Package Name
Linux | Pervasive.SQL-8.50-188.000.i486.tar.gz1
1
The tar listed here is only an example. Verify the actual name for the version you are installing. The Package Name is listed in the README file.

Note
To install this package, you must be logged in as root. If you are installing from the CD, you must be at the CD root directory.

Tar Install Procedure

To install the product using tar:

  1. Log in as the root user.
  2. Change to the /usr/local directory.

    cd /usr/local

  3. Copy the tar into /usr/local

    cp <path_to_tar>/Pervasive.SQL-8.50-188.000.i486.tar.gz .

    For example, if you downloaded the tar into the /home/bholly directory:

    cp /home/bholly/Pervasive.SQL-8.50-188.000.i486.tar.gz .

  4. Unpack the tar using the following command.

    tar -xzf Pervasive.SQL-8.50-188.000.i486.tar.gz

  5. Change directories to the /usr/local/psql/etc folder where the installation scripts reside.

    cd psql/etc

  6. Run the post installation script:

    sh postinstall.sh

  7. Your tar installation is complete. Read the next section Installation Information to understand what actions this script performed.

Prev
Installing the Pervasive.SQL Server Components using RPM 		Up
Check for Revisions 		Next
Installation Information


Installation Information

For all installations, the package manager copies all necessary files onto disk (default location is /usr/local/psql) and runs a post-installation script which performs the following tasks:

  • Creates user psql and group pvsw
  • Sets user:group ownership to psql:pvsw for the installed files
  • Stops Pervasive.SQL daemons if they are running
  • Applies a 10 user, 30 day limited license
  • Launches both Pervasive.SQL daemons – mkded and sqlmgr
  • Creates a new ODBC DSN (data source name) for the DEMODATA test database
  • Creates a new Samba share PSQLDATA if Samba configuration file is found
  • Creates startup/shutdown scripts for Pervasive.SQL daemons

After the installation script is finished, you should verify that both engines (mkded – transactional, sqlmgr – relational) are running with the Linux ps utility:

Type the following at the command prompt:

ps -e | egrep 'mkded|sqlmgr'

You can verify that the RPM packager installed the Pervasive.SQL package by issuing the following case-sensitive command at a terminal window:

rpm -q 'Pervasive.SQL'

User Count License

It is highly recommended that you go through the README file to find out the latest information on updating your user count information.

Once you have completed installation, you may need to update your user count license by using the clilcadm utility. It can be done anytime before using Pervasive.SQL from a client. Information about how to do this can be found in Pervasive.SQL User's Guide (see License Administrator ). Detailed information about clilcadm can also be found in the man pages and in the documentation for clilcadm located in the "Linux Supplementary Documentation" section of Pervasive.SQL User's Guide.

Note
You must be a member of group pvsw to run the clilcadm utility. See Pervasive.SQL Account Management on Linux for more information.

Accessing README file information

It is highly recommended that you go through the README file to find out the latest changes and additions to Pervasive.SQL V8.

Prev
Installing the Pervasive.SQL Server Components using Tar 		Up
Check for Revisions 		Next
Configuring Pervasive.SQL for Linux


Configuring Pervasive.SQL for Linux

See the following chapters for configuration information for Linux platforms:

  • Chapter 13, Network Settings for Linux
  • Chapter 14, Application Configuration on Linux
Prev
Installation Information 		Up
Check for Revisions 		Next
Common Questions After Installing Pervasive.SQL


Common Questions After Installing Pervasive.SQL

This section contains information that you should read after running the installation program. If you are having problems with your installation, go to Chapter 21, Troubleshooting After Installation or get help online from our Knowledge Base website at http://support.pervasive.com/eSupport.

How Do I Read the Online Documentation?

Man pages are provided for the executable files. To make these man pages available, add $PVSW_ROOT/man to your MANPATH environment variable.

Online documents in HTML format are available in the following directory by loading the index.html document in a browser:

/usr/local/psql/docs/html

There is also a README file on the distribution media that has the latest changes and additions to Pervasive.SQL V8.

What Files Were Installed as Part of Pervasive.SQL V8?

For a given OS platform, installing Pervasive.SQL V8 places the directories and files specified below on your system. $PVSW_ROOT refers to the root directory where Pervasive.SQL files are installed. By default it is set to the following:

Default $PVSW_ROOT
/usr/local/psql

Path from $PVSW_ROOT | File | Description
./ | LICENSE | License information
./bin |  |
 | btadmin | Add Pervasive user and passwords
 | butil | Btrieve maintenance utility
 | clilcadm | License administrator utility
 | dbmaint | Database maintenance utility
 | dsnadd | Add DSN utility
 | event.log | Pervasive.SQL event log
 | instwrap |
 | mkded | Btrieve database server daemon
 | odbcci.so | ODBC driver shared object
 | odbctest | ODBC client utility
 | psregsvr | Pervasive Services
 | pvdbpass | Database password utility
 | pvswauth |
 | sqlmgr | Pervasive.SQL connection manager
./data/DEMODATA |  | Sample University database
 | billing.mkd | Billing table
 | class.mkd | Class table
 | course.mkd | Course table
 | dept.mkd | Department table
 | enrolls.mkd | Enrolls table
 | faculty.mkd | Faculty table
 | field.ddf | Field DDF file
 | file.ddf | File DDF file
 | index.ddf | Index DDF file
 | person.mkd | Person table
 | room.mkd | Room table
 | student.mkd | Student table
 | tuition.mkd | Tuition table
./data/samples |  |
 | sample.btr | Sample Btrieve file
 | upper.alt | Alternate collating sequence
./doc | readme.html | HTML Readme
 | readme.txt | Text Readme
./doc/html | index.html | Pervasive.SQL HTML documentation
./etc |  |
 | bti.ini | MicroKernel configuration settings: generated automatically on first engine startup.
 | btpasswd | User passwords file
 | dbnames.cfg | Master table of database names
 | odbc.ini | ODBC settings
 | preinstall.sh | Shell script that runs before product installation
 | postinstall.sh | Shell script that runs after product installation
 | preuninstall.sh | Shell script that runs before product removal
 | postuninstall.sh | Shell script that runs after product removal
 | psregistry.ini | Registry information for server
./lib |  | Library shared objects
./log |  | Log files directory
./man/man1 |  | Man pages directory
 | btadmin.1 | btadmin man page
 | butil.1 | butil man page
 | clilcadm.1 | clilcadm man page
 | dbmaint.1 | dbmaint man page
 | dsnadd.1 | dsnadd man page
 | mkded.1 | mkded man page
 | sqlmgr.1 | sqlmgr man page

Where To Go From Here

Your Pervasive.SQL V8 package should be ready to use.

  • If you are having difficulties after installing, please see Chapter 21, Troubleshooting After Installation.
  • For information about user licenses, see Pervasive.SQL User's Guide - Chapter 4, License Administrator.
  • To install Linux clients, see Installing Pervasive.SQL Linux Requesters
Prev
Configuring Pervasive.SQL for Linux 		Up
Check for Revisions 		Next
Upgrade Installation Procedure for Linux


Upgrade Installation Procedure for Linux

How to Upgrade an Existing Installation of Pervasive.SQL 2000 on Linux platforms

This chapter contains procedures for upgrading an existing installation of Pervasive.SQL V8 on the Linux platform.

The chapter contains the following sections:

  • Before You Begin
  • Upgrading the Pervasive.SQL Server Components
  • Configuring Pervasive.SQL for Linux
  • Common Questions After Upgrading Pervasive.SQL
Prev
Common Questions After Installing Pervasive.SQL
Check for Revisions 		Next
Before You Begin


Before You Begin

This section contains information you need to be familiar with to successfully upgrade Pervasive.SQL V8.

Before installing Pervasive.SQL V8, begin by reviewing the following documents for important information:

  • Chapter 2 , Preparing to Install Pervasive.SQL - This chapter provides important information including system requirements and platform specific notes that are relevant to your operation.
  • "What's New in Pervasive.SQL V8" - This document is included in your product package and contains information regarding the latest features and improvements in this release.
  • README file - This file is located on the distribution media and contains late-breaking product news that could not be included in the product documentation.

Samba Package Installation

If you are planning to access the Pervasive.SQL V8 Btrieve interface across a network from a Windows-based client, Pervasive recommends that the Samba package be installed on the server. Please refer to the Samba website, http://www.samba.org, for installation and configuration instructions.

After installing Pervasive.SQL V8 you will want to look at Supported Path Formats for information regarding Samba's path configuration.

This release was tested with Samba versions 2.0.3 and 2.0.5.

Platform Notes for Linux

This section provides information that is specific to the Linux version of Pervasive.SQL V8.

Note
Pervasive.SQL no longer supports kernel 2.2 versions. You must have at least kernel 2.4 (and RPM 4) to install Pervasive.SQL V8.

If you have any trouble with the following installation, see Chapter 21, Troubleshooting After Installation.

Prev
Upgrade Installation Procedure for Linux 		Up
Check for Revisions 		Next
Upgrading the Pervasive.SQL Server Components


Upgrading the Pervasive.SQL Server Components

The Pervasive.SQL installation package is provided in the following form:

Operating System | Package Name
Linux | Pervasive.SQL-8.00-109.000.i486.rpm1
1
The Package Name listed here is only an example. Verify the actual name for the version you are installing. The Package Name is listed in the README file.

Note
To install this package, you must be logged in as root. If you are installing from the CD, you must be at the CD root directory.

Upgrade Procedure for Pervasive.SQL 2000i (SP3 or SP4)

To upgrade Pervasive.SQL V8 on a Linux machine:

  1. Log in as the root user
  2. Assuming the new Pervasive.SQL V8 RPM package is in the current directory, issue the following command.
    rpm -Uvh <Pervasive.SQL-8.00-109.000.i486.rpm>

Note
You must substitute the Package Name listed in your product's README file for the variable <Pervasive.SQL-8.00-109.000.i486.rpm> to complete the installation.

If the RPM package is in another directory, preface the package name with a path.

  3. The package script installs the product and performs other tasks as noted in Installation Information .

Note
If you had any trouble with installation, see Chapter 21, Troubleshooting After Installation.

Upgrade Procedure for Versions Older than Pervasive.SQL 2000i (SP3)

To upgrade Pervasive.SQL V8 on a Linux machine:

  1. Log in as the root user
  2. Uninstall the previous Pervasive.SQL 2000 package.
    rpm -e 'Pervasive.SQL-server'

Note
You cannot use the rpm -Uvh command to upgrade the package because the package name has changed.

  3. Assuming the new Pervasive.SQL V8 RPM package is in the current directory, issue the following command.
    rpm -ivh <Pervasive.SQL-8.00-109.000.i486.rpm>

Note
You must substitute the Package Name listed in your product's README file for the variable <Pervasive.SQL-8.00-109.000.i486.rpm> to complete the installation.

If the RPM package is in another directory, preface the package name with a path.

  4. The package script installs the product and performs other tasks as noted in Installation Information .

Note
If you had any trouble with installation, see Chapter 21, Troubleshooting After Installation.

Installation Information

For all installations, the package manager copies all necessary files onto disk (default location is /usr/local/psql) and runs a post-installation script which performs the following tasks:

  • Creates user psql and group pvsw
  • Sets user:group ownership to psql:pvsw for the installed files
  • Stops Pervasive.SQL daemons if they are running
  • Applies a 10 user, 30 day limited license
  • Launches both Pervasive.SQL daemons – mkded and sqlmgr
  • Creates a new ODBC DSN (data source name) for the DEMODATA test database
  • Creates a new Samba share PSQLDATA if Samba configuration file is found
  • Creates startup/shutdown scripts for Pervasive.SQL daemons

After the installation script is finished, you should verify that both engines (mkded – transactional, sqlmgr – relational) are running with the Linux ps utility:

Type the following at the command line:

ps -e | egrep 'mkded|sqlmgr'

On Linux, you can verify that the RPM packager upgraded the Pervasive.SQL package by issuing the following at the command prompt:

rpm -q 'Pervasive.SQL'

User Count License

It is highly recommended that you go through the README file to find out the latest information on updating your user count information.

Once you have completed installation, you may need to update your user count license by using the clilcadm utility. It can be done anytime before using Pervasive.SQL from a client. Information about how to do this can be found in Pervasive.SQL User's Guide (see License Administrator ). Detailed information about clilcadm can also be found in the man pages and in the documentation for clilcadm located in the "Linux Supplementary Documentation" section of Pervasive.SQL User's Guide.

Note
You must be a member of group pvsw to run the clilcadm utility. See Pervasive.SQL Account Management on Linux for more information.

Accessing README file information

It is highly recommended that you go through the README file to find out the latest changes and additions to Pervasive.SQL V8.

Prev
Before You Begin 		Up
Check for Revisions 		Next
Configuring Pervasive.SQL for Linux


Configuring Pervasive.SQL for Linux

See the following chapters for configuration information for Linux platforms:

  • Chapter 13, Network Settings for Linux
  • Chapter 14, Application Configuration on Linux
Prev
Upgrading the Pervasive.SQL Server Components 		Up
Check for Revisions 		Next
Common Questions After Upgrading Pervasive.SQL


Common Questions After Upgrading Pervasive.SQL

This section contains information that you should read after running the installation program. If you are having problems with your installation, go to Chapter 21, Troubleshooting After Installation or get help online from our Knowledge Base website at http://support.pervasive.com/eSupport.

How Do I Read the Online Documentation?

Man pages are provided for the executable files. To make these man pages available, add $PVSW_ROOT/man to your MANPATH environment variable.

Online documents in HTML format are available in the following directory by loading the index.html document in a browser:

/usr/local/psql/docs/html

There is also a README file on the distribution media that has the latest changes and additions to Pervasive.SQL V8.

What Files Were Installed as Part of Pervasive.SQL V8?

During the upgrade, your existing Pervasive.SQL files were updated to the latest versions. For a list of all files, see What Files Were Installed as Part of Pervasive.SQL V8? .

Where To Go From Here

Your upgraded Pervasive.SQL V8 package should be ready to use.

If you are having difficulties after upgrading, please see Chapter 21, Troubleshooting After Installation.

Prev
Configuring Pervasive.SQL for Linux 		Up
Check for Revisions 		Next
Network Settings for Linux


Network Settings for Linux

How to Configure the Network Settings for your Pervasive.SQL Server on Linux

The chapter contains the following sections:

  • Default Settings
  • Configuring the Linux Server
  • Configuring the Linux Client
Prev
Common Questions After Upgrading Pervasive.SQL
Check for Revisions 		Next
Default Settings


Default Settings

This section explains what server Configuration settings are related to networking support, and what the default values mean.

You can change these settings within PCC by double-clicking Configuration for the given database engine, then double-clicking Server, then Communication Protocols.

Auto Reconnect Timeout

Default: 180 seconds
If Pervasive Auto Reconnect is enabled, this setting specifies how long the engine and client attempt to contact each other after a network interruption has occurred. By default, the client and server attempt to connect for three minutes before giving up. If the value of Supported Protocols is Off, then the Auto Reconnect Timeout value is ignored.

Enable Auto Reconnect

Default: Off
This setting determines whether the client and server attempt to reconnect to each other in the event of a network outage. If set to On, it allows the database connections to recover from intermittent or temporary network interruptions. If this value of this setting is Off, then the client returns a status code to the application immediately upon any failure to connect to the server, and the connection context is not preserved.

If you have this setting turned On, you can specify how long the client and database engine should attempt to reconnect by using the setting Auto Reconnect Timeout.

Listen IP Address

Default: 0.0.0.0
This setting specifies the IP address of the network interface card that the MicroKernel should listen on when the server computer has two network cards installed. This value is ignored if the server computer has only one network card, or if the value of TCP/IP Multihomed is On. This value is also ignored if TCP/IP is not in use by the database engine.

Supported Protocols

Default: TCP/IP
This setting specifies the vendor protocols that the database engine should attempt to use. When more than one protocol is specified, upon start up, the engine attempts to connect on all specified protocols. The protocol that connects first is then used for the remainder of the session.

Note
Linux engines support only TCP/IP.

TCP/IP Multihomed

Default: On
If your server computer has two network interface cards installed, you can use this setting to specify whether the server engine should listen on both network connections. If your computer has two network cards and this setting is turned off, you must use the setting Listen IP Address to specify which network card the server engine should use.

Prev
Network Settings for Linux 		Up
Check for Revisions 		Next
Configuring the Linux Server


Configuring the Linux Server

The following sections explain how to get Pervasive.SQL configured on your Linux server.

Security Configuration

The following sections discuss security issues that need to be addressed before using Pervasive.SQL V8.

ODBC/SQL Security

Please refer to Chapter 19, Connecting Clients to a Pervasive.SQL Databasefor specific information on setting up database security for ODBC/SQL applications.

ODBC applications running locally on the server must be run as a user belonging to the same group as that with which the engine was started (the default is pvsw). Please refer to the next section, Btrieve Security, for additional information.

Btrieve Security

Authentication

There are several ways to authenticate Btrieve users in this product. The UnixAuthenticate setting in bti.ini is used to set a preferred method. The default value is WORKGROUP. Just as with the Workgroup engine, all incoming connections are granted. If additional security is required, set UnixAuthenticate to BTPASSWD or PAM. This allows only authorized users to gain access.

While BTPASSWD uses a special user and password database stored in $PVSW_ROOT/etc/btpasswd, PAM (Pluggable Authentication Modules) employs robust and flexible Linux authentication which can utilize your custom authentication schemes. To modify BTPASSWD, use the btadmin utility as described in "Linux Supplementary Documentation" in Pervasive.SQL User's Guide. For PAM, consult your OS documentation about setting up PAM.

If you have a Samba server on the same machine as Pervasive.SQL, another method of authentication is available. See Samba Authentication .

File Access Authorization

Once authentication is complete, the engine will work with Btrieve databases on your behalf. The engine is started with the default user ID psql, group ID pvsw. This means the engine can only access files that are accessible to either this specific user and group or to everyone. This remains true regardless of the authentication method used to connect to the engine or whether the access is remote or local. It is possible to run engines with other user IDs but is not recommended as it can cause a security breach.

Note
It is strongly advised that you not start the engine as root. A warning message will display if you try to do so.

Administrative Right

When working with remote monitor or configuration such as with the Distributed Tuning Interface or Win 32 client utilities, the MKDE checks users and passwords against the $PVSW_ROOT/etc/btpasswd file when UnixAuthenticate is set to WORKGROUP or BTPASSWD. A special admin flag should be set for users that are allowed to access the Distributed Tuning Interface remotely (see "btadmin" in the "Linux Supplementary Documentation" section of Pervasive.SQL User's Guide). When UnixAuthenticate is set to PAM, only members of pvsw-adm group are allowed access.

Using Utilities

See Chapter 14, Application Configuration on Linux for information on this topic.

Supported Path Formats

From Win32 clients, the order of actual parsing is as follows:

  • \\server\share\relative\path

    share denotes a valid Samba share, made accessible to a Windows client.

    server reads smb.conf (its location is specified by the SmbConf setting in bti.ini) to determine the absolute path to the shared directory, then combines it with the relative path to get a full UNIX path. The location of smb.conf is essential for valid resolution of the file path supplied in this format on the client. If the relative path is not correct, status 12 is returned.

  • Drive:\path

    drive must be a Samba drive mapped on the client. It is the client responsibility to convert it into the latter format and pass to a server, which never knows a drive mapping on the client.

Note
Client users must be advised that share names on a Linux server are case sensitive. When mapping drives to a Linux server they must pay careful attention to the case of the share name if they want all their utilities to work properly.

  • If neither smb.conf nor the share name are found, the path defaults to \\server\absolute\path format. If the absolute path is not correct, status 12 is returned.

Server and Client Settings

While these settings can be changed at the server, you can also view and modify them from a Win32 client using the Configuration utility available in the Pervasive Control Center.

Server

Edit $PVSW_ROOT/etc/bti.ini to change settings, and do not forget to restart the engine (/etc/rc.d/init.d/psql restart).

  • SmbConf=<path>

    This defines the path to the Samba configuration file (smb.conf), which is parsed on engine startup to determine mapping between share names and server directory locations.

Note
In order to make changes in smb.conf visible to the engine, you must restart the engine.

  • UnixAuthenticate={WORKGROUP | BTPASSWD | PAM}

    This defines the primary method of authentication used by the server. If you want more security on the server and do not want to store RTSS passwords in the registry, Samba authentication should be used. See Samba Authentication for more information.

    • WORKGROUP

      This is the default. The Workgroup engine is emulated in this mode. All requests for remote connections are granted. Samba authentication is not used in this case.

      WORKGROUP should be used while running applications on a trusted network segment or if you must use pre-Service Pack 1 Pervasive.SQL 2000 for clients.

    • BTPASSWD

      The btadmin utility is used to configure user names and passwords. File $PVSW_ROOT/etc/btpasswd stores them. User names and passwords should be specified from the client using the RTSS setting.

      BTPASSWD should be used if stronger security is needed for the server and you want user names and passwords different from any user authentication scheme employed on the Linux server.

    • PAM

      Standard Linux authentication is used with PAM. Members of pvsw-adm group can configure and monitor the engine remotely (in addition to root user). User names and passwords should be specified from the client using the pvnetpass utility.

      PAM should be used if you want to use existing user names and passwords on the Linux server. PAM is also very flexible and there are many custom PAM modules, especially for Linux. Check the PAM home page http://www.us.kernel.org/pub/linux/libs/pam/ for more information on PAM capabilities.

If UnixAuthenticate is set to BTPASSWD or PAM, the engine requires a user name and password be supplied by the client

  • To add a user to the btpasswd file run the following command in the directory containing btadmin utility:
    % btadmin <username>
  • If this user will require administrator rights (to use remote engine configuration via the Pervasive Control Center), type
    % btadmin a+ <username>

If UnixAuthenticate is set to PAM, the engine requires that a user name be specified for the engine daemon using the pvnetpass utility.

pvnetpass -a linuxserver.domain -u psql -p psql

Note
When performing Btrieve operations, if the username or password are incorrect, the MKDE returns Status 94 every time you attempt to create or open database files.

Stored Client Credentials

If you are using BTPASSWD or PAM authentication on your Linux server, user names and passwords must be set up using the pvnetpass utility from clients connecting to this server. You can find information about the pvnetpass utility in the Pervasive.SQL User's Guide at: pvnetpass .

If the client computer is shared by multiple users or needs to have higher security, you may wish to consider Samba Authentication. For further information, see "Samba Authentication" on page 13-9.

Samba Authentication

If you are not emulating the Workgroup engine and the RTSS user name and password are not supplied to the client software, another client authentication method may be used. However, this is only true when there is a Samba server up and running on the computer with Pervasive.SQL V8. It is initiated by the client when other ways of authentication are not available.

How does it work?
  • The server creates a well-known FIFO share via Samba. FIFO is created in $PVSW_ROOT/etc/pipe/mkde.pip. $PVSW_ROOT/etc/pipe should be shared by Samba as PVPIPE$.

Note
The trailing $ means this share will be hidden. The Pervasive.SQL client components automatically take care of accessing this pipe as \\<server>\PVPIPE$\mkde.pip (case-insensitive); you do not need to perform any explicit actions or modify your application to access this pipe. The only exception to this is if you are troubleshooting your Samba or Pervasive.SQL configurations (see section on Troubleshooting below).

  • When a client connects to the remote engine and discovers the engine returns UNIX in the version block, it will first look in the registry (RTSS) setting) for authentication information. If the user name and password are not found there, the client connects to the above pipe and receives client authentication information from the server, which will be validated later.
  • To be authenticated, you must be able to connect to the share and read the pipe. This is one way of specifying who can use the engine and who cannot. The easiest way to do this is to utilize the Samba "valid users" setting in smb.conf (Samba configuration file). If the client is unable to get authentication, status 3106 (The Pervasive Network Services layer encountered a connection failure) will be returned.
How to set up PVPIPE$ for Samba share

While this should be done by the installation procedure (if Samba is installed on the server), an example of setting up the Pervasive pipe is shown below:

#####################################################
[PVPIPE$]
comment = Pervasive pipes

path = /usr/local/psql/etc/pipe

force group = pvsw
# force group pvsw when accessing pipe - will be
# useful if primary group for this user is not pvsw

valid users = @pvsw
# only members of group pvsw will have access

oplocks = False
# Absolutely necessary - prevents caching on the client
#####################################################

To configure access to files shared through Samba, read the Samba documentation.

Note
By allowing a client read access to PVPIPE$, that client is authorized to access the engine remotely.

Troubleshooting

A simple way to ensure the client gets proper authentication is to enter \\<yourserver>\pvpipe$\mkde.pip at the command prompt. You should see a lot of question marks (unprintable symbols), occasional printables and beeps. If you do not, check your Samba configuration to be sure you have rights to read this pipe. If you do but still get error 94, use the Configuration utility to validate your RTSS setting.

Prev
Default Settings 		Up
Check for Revisions 		Next
Configuring the Linux Client


Configuring the Linux Client

The full reference for the Linux client is found in the Advanced Operations Guide at the following location.

Linux Client Configuration Parameters

Linux Clients and the Monitor Utility

This section is only for Linux clients that use a static IP address. Only perform this procedure if you do not use DHCP and do not have a DSN to resolve named addresses.

When you are monitoring Linux clients using the Pervasive Monitor utility, the client IP address that gets transmitted over the wire originates from the host file. If the system name and IP have not been entered, the it will use the local host's IP address which is 127.0.0.1 (a loopback address).

If this address is changed to the correct IP, or the system's name and IP is placed in the host file on the Linux client, the name will show properly when using the Monitor utility.

Mounting NetWare Volumes

The Linux client only supports mounting using NFS. You cannot use ncpmount to mount your NetWare volumes.

For example:

mount -t nfs nfs_volume local_dir options

Prev
Configuring the Linux Server 		Up
Check for Revisions 		Next
Application Configuration on Linux


Application Configuration on Linux

Issues for Configuring the Linux Platform after Installation

This chapter contains procedures for configuring Pervasive.SQL V8 on the Linux platform.

The chapter contains the following sections:

  • Pervasive.SQL Account Management on Linux
  • Authentication to Remote Machines Using Linux Client
  • Creating a Client DSN with the Linux Client
  • Internationalization with the Linux Client
  • Setting Up Web-based Data Access on Linux
  • Using Perl and ODBC with Pervasive.SQL for Linux
Prev
Configuring the Linux Client
Check for Revisions 		Next
Pervasive.SQL Account Management on Linux


Pervasive.SQL Account Management on Linux

This section outlines information on Linux user accounts with respect to operation of Pervasive.SQL.

After Installation Behavior

  • You must be logged in as user psql to run utilities. User psql has no password and can only be accessed through the root account by using the su command.
  • All Pervasive files have user:group ownership psql:pvsw
  • You must be logged in as root to run the start and stop scripts for the Pervasive.SQL engines.
  • You can run utilities on other user accounts if you add the necessary environment variables to the user .bash_profile or system /etc/profile as described in Using Utilities from Users Other than psql.
  • In addition to the instructions outlined in Using Utilities from Users Other than psql, users must be a member of the group pvsw to run the following utilities:
    • License Administrator utility (clilcadm) for functions other than displaying current licenses.
    • Named Database Maintenance utility (dbmaint) for functions other than displaying current databases.
    • Pervasive Services Registry Editor (psregedit) for functions other than displaying the registry.
    • Linux client configuration (pvclientcfg) for functions other than displaying current configuration.

Configuring the User Environment

The single environment variable $PVSW_ROOT is used to determine the location of installed components. The generic location for configuration files are $PVSW_ROOT/etc. For executables, the location is $PVSW_ROOT/bin, and for shared libraries the location is $PVSW_ROOT/lib.

It is recommended that you add $PVSW_ROOT/bin to your PATH environment variable, and $PVSW_ROOT/lib to LD_LIBRARY_PATH as described in the following section.

Using Utilities from Users Other than psql

To use utilities from user accounts other than psql, you must first make modifications to the user account configuration. Add the following to either the profile for a specific user or to the profile that all users inherit.
/home/username/.bash_profile. | Profile for the user. Similar to the /etc/profile file but only for the current user. Look in /home/username fo this file.
/etc/profile | Default profile for all user accounts on the system. Copy the lines below into this text file if you want all user accounts on the machine to have access to Pervasive.SQL utilities. This does not give the users administrative privileges or access to Pervasive.SQL data.

Here is an example of a modified profile:

PVSW_ROOT=/usr/local/psql
PATH=$PATH:$PVSW_ROOT/lib:$PVSW_ROOT/bin:/usr/lib
LD_LIBRARY_PATH=$PVSW_ROOT/lib:$PVSW_ROOT/bin:/usr/lib
MANPATH=$MANPATH:$PVSW_ROOT/man
BREQ=$PVSW_ROOT/lib

export USERNAME BASH_ENV PATH PVSW_ROOT LD_LIBRARY_PATH
Prev
Application Configuration on Linux 		Up
Check for Revisions 		Next
Authentication to Remote Machines Using Linux Client


Authentication to Remote Machines Using Linux Client

To connect to a remote machine using the Linux client, you need to have authentication to the remote machines. This is accomplished by entering a specific username and password for the server using a new utility called pvnetpass. This utility enters the username and password for that particular server in the Pervasive registry. When a request is received to connect to that server, the Linux requester looks up the username and password you entered with pvnetpass and connects to the server.

Note
If you do not add these mappings, your applications can receive status code 3119

The mapping of usernames and passwords to servers can exist in either the local machine branch (PS_HKEY_CONFIG) or the current user branch (PS_HKEY_USER) in the registry, depending on whether you use the -g parameter of the utility.

Note
The passwords in the registry are encrypted.

Using the pvnetpass Utility to Store Client Credentials

The pvnetpass utility allows you to specify the username and password that should be used when connecting to a specific server using the Linux client. For each server to which you plan to connect, add an entry using pvnetpass that specifies the user and password.

You also use pvnetpass

Syntax for pvnetpass

pvnetpass [-g] {-a | -r | -m} server [-u user] [-p pwd]
pvnetpass -d

Options
–a | Add an entry for a specified server.
–d | Display a list of all configured servers.
–g | Manipulates default settings for all users. Settings created with -g can be overridden by individual users. Using the -g option creates the server entries in the PS_HKEY_CONFIG tree of the registry as opposed to PS_HKEY_USER when not using the -g option.
–m | Modify an entry for a specified server.
–r | Remove an entry for a specified server.
–p | Specifies the password. If this option is not specified, you will be prompted to enter the password.
–u | Specifies the username to use when connecting to the server. If omitted, currently logged-in user is assumed.

Description

Add, remove, or modify a server entry for the current user.

  • If -u is not specified, your current user name will be used.
  • If -p is not specified, pvnetpass will prompt for a password.

Use the -d option to display the list of configured servers.

Examples for pvnetpass

To add user 'bholly' with password 'peggysue' to the server named 'myserver':

pvnetpass -a myserver -u bholly -p peggysue

To verify your entry was accepted, use the -d option.

pvnetpass -d

This command results in:

Server: myserver
User: bholly
Password: (not displayed)

To change the password with which you will connect to 'myserver' from your Linux client:

pvnetpass -m myserver -u bholly -p newpassword

To remove the entry for server 'myserver':

pvnetpass -r myserver

To add the default entry for users trying to connect to server 'myserver' when no user-specific entry exists:

pvnetpass -g -a myserver -u admin -p adminpassword

To add the default server entry in the user context (PS_HKEY_USER):

pvnetpass -a '*' -u admin -p adminpassword

To add the default server entry in the machine context (PS_HKEY_CONFIG):

pvnetpass -g -a '*' -u admin -p adminpassword
Prev
Pervasive.SQL Account Management on Linux 		Up
Check for Revisions 		Next
Creating a Client DSN with the Linux Client


Creating a Client DSN with the Linux Client

To create a client DSN, you use the dsnadd utility included with the Linux client. This utility is documented outside of this publication. See the links at the end of this section for documentation references.

The dsnadd utility allows you to create a DSN that you can use to connect to a database on a remote server.

dsnadd -dsn=<clientdsn> -host=<servername>
        -sdsn=<serverdsn>

For more information about the dsnadd utility, see:

  • Pervasive.SQL User's Guide - see the Linux Supplementary Documentation chapter.
  • man page for dsnadd located in /usr/local/psql/man/man1.
Prev
Authentication to Remote Machines Using Linux Client 		Up
Check for Revisions 		Next
Internationalization with the Linux Client


Internationalization with the Linux Client

This section discusses encoding issues and the level of support for internationalization when using the Linux client.

Btrieve

  • When using the Btrieve API, you must provide file names and paths in EUC-JP or another encoding used in your application. The client converts this to UTF8 when passing the request to the server, and then the server converts the UTF8 encoding to the local encoding.
  • The butil utility does not currently interpret Japanese file names.

ODBC

Here is a summary of ODBC behavior with respect to character encoding.

  • When using ODBC, Win32 encoding is expected to be SHIFT-JIS. LinuxJ encoding is expected to be in EUC-JP.
  • RedHat 9 uses UTF8 as the default encoding. You should convert this encoding to be EUC-JP.
  • When using LinuxJ, a client can connect to another EUC-JP server (for example, locally), or to a Win32 SHIFT-JIS client. It is also possible to connect to a database encoded in SHIFT-JIS but located on a EUC-JP LinuxJ server.

The following scenarios describe the various cases. In each case, it is assumed that the application itself does not do any conversion and uses the encoding that is native for the machine.

LinuxJ machine using EUC-JP client to connect to a Win32 SHIFT-JIS server

The server requires that everything is received as SHIFT-JIS. The client requires that server send everything as EUC-JP.

To accomplish this, the client dsn used to connect to the given database needs to be set up like the following example:

[dbclient]

Driver=/usr/local/psql/lib/odbcci.so

Description=Pervasive ODBC Client Interface: JPN-2000SERVER:1583/dbclient

ServerDSN=DEMODATA

ServerName=JPN-2000SERVER:1583

TranslationDLL=/usr/local/psql/lib/libxlate.so.8

TranslationOption=90000932

The TranslationDLL line specifies the translation library that the ODBC client interface should use.

The TranslationOption line specifies that the translation needs to occur from 9000 (represents EUC-JP) to 0932 (represents SHIFT-JIS).

Using this example, all data coming from the client will be translated into SHIFT-JIS before it gets to the server, and to EUC-JP before the data is received by the client.

LinuxJ machine using EUC-JP client to connect to a LinuxJ EUC-JP server

Using this configuration, no changes to the dsn description are needed. Use the dsn as it was created by the dsnadd utility.

LinuxJ machine using EUC-JP client to connect to a LinuxJ EUC-JP server, but you want to use SHIFT-JIS encoding

This situation is possible if you have a SHIFT-JIS database on a Win32 engine, and you want to move all the files to the Linux EUC-JP server. In this case, the database resides on a EUC-JP Linux machine, but all the data inside the DDF files and data files are in SHIFT-JIS.

In this case, your dsn should resemble the following:

[dbclient]

Driver=/usr/local/psql/lib/odbcci.so

Description=Pervasive ODBC Client Interface: JPN-2000SERVER:1583/dbclient

ServerDSN=DEMODATA

ServerName=JPN-2000SERVER:1583

TranslationDLL=/usr/local/psql/lib/libxlate.so.8

TranslationOption=90000932

CodePageConvert=932

The last line specifies that even though the server uses EUC-JP encoding, it should treat the data on the server as SHIFT-JIS.

DTI

The Distributed Tuning Interface (DTI) requires that you use SHIFT-JIS encoding.

Prev
Creating a Client DSN with the Linux Client 		Up
Check for Revisions 		Next
Setting Up Web-based Data Access on Linux


Setting Up Web-based Data Access on Linux

This section contains information about configuring web servers to provide access to Pervasive.SQL data and provides connection snippets and samples for connecting to Pervasive.SQL data from web applications on Linux.

  • PHP
  • Perl

ODBC Behavior

When you first install Pervasive.SQL, the odbc.ini file is written to /usr/local/psql/etc

If you have other ODBC driver managers such as unixODBC, they might be using a different odbc.ini file located, for example, at /etc/odbc.ini.

One way to unify the ODBC setup is to add soft links from where unixODBC expects the odbc.ini file to be located over to the Pervasive.SQL directories.

su
cd /etc
ln -s /usr/local/psql/etc/odbc.ini

Configuring Web Server

This section shows how you should set up the machine where the web server such as Apache resides.

You should make the user account under which you run any web server such as Apache a member of the group pvsw. These user accounts run under restricted accounts such as nobody

To find the user account, see your Apache configuration file, typically located at /etc/httpd/conf/httpd.conf

In this file, the following lines show what user the Apache server uses to operate under.

User nobody
Group nobody
Options ExecCgi Indexes

To add this user to the pvsw group, use the btadmin utility with the administrator permission, substituting the name used in your Apache configuration file.

btadmin a+ nobody

PHP

PHP allows for easy development of web applications, using a style that is similar to both ASP in the Microsoft world and JSP in the Java world. Using PHP, you enclose database calls in special tags and format the output using HTML.

Pervasive.SQL PHP Requirements

  • PHP - obtain from http://www.php.net
  • DSN pointing to the database (use dsnadd)

PHP Connection Snippet

This code segment shows the essential part of connecting to a Pervasive.SQL database using PHP.

// connect to DEMODATA database no uid or password
$connect = odbc_connect("demodata", "", "");

// set the query variable to your SQL
$query = "SELECT * from Department";

// obtain a result object for your query
$result = odbc_exec($connect, $query);

PHP Sample

This complete sample presents the user a choice of three DEMODATA tables and then displays the table.

<HTML>
<HEAD>
<TITLE>PVSW PHP Sample</TITLE>
</HEAD>
<BODY>

<H1>Pervasive Hello World Samples - PHP using PHP ODBC APIs)</H1>
<P>
This sample will display the DEMODATA database tables in the following drop-down
by using PHP.
</p>

<?

// -------MAIN MENU----------------------------

// if there is no function specified in the URL

if (!(isset ($HTTP_GET_VARS["_function"]))):

// --------------------------------------------

?>

<p>Please select from the following tables</p>
<form method=post action='<?=$PHP_SELF?>?_function=showtable'>
<select name="selecttable">
<option SELECTED value="Department">Department
<option value="Course">Course
<option value="Room">Room
</select>

<p>
<input type=submit value="Show table">
</p>
</form>

<?

// ------SHOWTABLE-----------------------------

Elseif ($HTTP_GET_VARS["_function"] == "showtable"):

// --------------------------------------------

print("<p>Return to <a href='$PHP_SELF'>Sample 1 Main menu</a></p>");

   $thetable = $HTTP_POST_VARS["selecttable"];
// determine from FORMS data which table to open

   $connect = odbc_connect("demodata", "", "");
// connect to DEMODATA database no uid or password
   $query = "SELECT * from $thetable";
// set the query variable to contain the SQL you
// want to execute
   $result = odbc_exec($connect, $query);
// perform the query

// print out the entire resultset as HTML table
// (uncomment following line)
// odbc_result_all($result);

// or format the output yourself and display
// a nicer table (but more code required)

// initialize row counter
$i = 0;

// determine number of columns
$numcols = odbc_num_fields($result);

// start HTML table
print("<table border=1 cellpadding=5>");

// PRINT COLUMN HEADINGS

  print("<tr>"); // start of row

  while ($i < $numcols)
      {
       $i++;
       $colname = odbc_field_name($result, $i);
       print("<th>$colname</th>");
     }
  $i=0;

 print("</tr>");           // end of row

// PRINT TABLE DATA

// while there are still rows
while(odbc_fetch_row($result))
  {
     print("<tr>");                // start row

     while ($i < $numcols)
     {
      $i++;
      $tablecell = odbc_result($result, $i);
      print("<td>$tablecell</td>");
     }

     print("</tr>");              // end row
     $i = 0;                      // reset counter

  }                               // end odbc_fetch_row

 print("</table>");               // end HTML table

odbc_close($connect); // CLOSE THE CONNECTION

 // END OF SHOWTABLE

// ---CATCH INVALID MENU OPTIONS-----------------

Else:

// ----------------------------------------------

print("<p>An Invalid function was entered. Please <a href='$PHP_SELF'>try again</a>.</p>");

Endif;

?>
 </BODY>
 </HTML>

Additional PHP Sample

A more comprehensive PHP sample application that simulates the operations of a video store is available online at the location where you downloaded the Linux client:

http://www.pervasive.com/linuxrc

This sample uses the Pvideo database that is included with the Pervasive.SQL SDK. If you do not have the SDK installed, you can download the Pvideo database separately with the sample application.

Perl

Perl allows for both command line and web-based applications using Pervasive.SQL.

Pervasive.SQL Perl Requirements

  • Perl
  • ODBC-DBD library
  • CGI library
  • DSN pointing to the database

Perl Connection Snippet

This code segment shows the essential part of connecting to a Pervasive.SQL database using Perl.

# specify use of Perl's database interface (DBI)
use DBI;

# connect to DEMODATA database no uid or password
$dbInfo = "DBI:ODBC:DEMODATA";
$dbUserName = "";
$dbPassword = "";

# set the query variable to your SQL
$query = "SELECT * FROM Department";

# Connect to the server
$connect = DBI->connect($dbInfo, $dbUserName, $dbPassword);

# Prepare the SQL query
$myRecordSet = $connect->prepare($query);

# Execute the query and obtain a recordset
$myRecordSet->execute();

Perl Sample

This complete sample presents the user a choice of three DEMODATA tables and then displays the table.

# Perl sample

use CGI":cgi-lib";
$cgiquery = new CGI;

$functionreq = $cgiquery->url_param('_function');
# use 'url_param' for GET and 'param' for POST

print &PrintHeader;
print &HtmlTop("Pervasive.SQL Hello World Sample - Perl");

print <<ENDOFMENU;
<H1>Pervasive Hello World Samples - Perl</H1>

<P>
This sample will display the DEMODATA database tables in the following drop-down
by using Perl/DBI.
</p>
ENDOFMENU

# -----MAIN MENU-------------------------------

# if there is no function specified in the URL

if (!$functionreq) {

# ---------------------------------------

print <<ENDOFTEXT;

<p>Please select from the following tables</p>
<form method=post action="$ENV{'SCRIPT_NAME'}?_function=showtable">
<select name="selecttable">
<option SELECTED value="Department">Department
<option value="Course">Course
<option value="Room">Room
</select>
<p>
<input type=submit value="Show table">
</p>
</form>

ENDOFTEXT

} #  !($function)

# ------SHOWTABLE-------------------------------

elsif ($functionreq eq "showtable") {

print("<p>Return to <a href='$ENV{'SCRIPT_NAME'}'>Perl Hello World Sample -  Main Menu</a></p>");

# determine from FORMS data which table to open
$thetable = $cgiquery->param('selecttable');

use DBI;

$dbInfo = "DBI:ODBC:DEMODATA";
$dbUserName = "";
$dbPassword = "";

$query = "SELECT * FROM $thetable";
$connect = DBI->connect($dbInfo, $dbUserName, $dbPassword);

$myRecordSet = $connect->prepare($query);
$myRecordSet->execute();

# start HTML table
print "<table border=1 cellpadding=5>";

# PRINT COLUMN HEADINGS

$num_fields = $myRecordSet->{NUM_OF_FIELDS};
$count = 0;

print "<tr >";
while ($count < $num_fields) {
$column_name = $myRecordSet->{NAME}->[$count];
print "<th>$column_name</th>";
$count++;
}
print "</tr>\n";

$count = 0;

# PRINT TABLE DATA

while(@row=$myRecordSet->fetchrow_array) {
  print "<tr>\n";
  while ($count < $num_fields) {
  print "<td>$row[$count]</td>\n";
  $count++;
  }
  print "</tr>\n";
  $count = 0;
}

print "</table>";              # end HTML table
# END OF SHOWTABLE
}

# -----CATCH INVALID MENU OPTIONS----------------

else {

print "<p>An Invalid function was entered. Please <a href='$ENV{'SCRIPT_NAME'}'>try again</a>.</p>";

}

print &HtmlBot;

Additional Perl Sample

A more comprehensive Perl sample application that simulates the operations of a video store is available online at the location where you downloaded the Linux client:

http://www.pervasive.com/linuxrc

This sample uses the Pvideo database that is included with the Pervasive.SQL SDK. If you do not have the SDK installed, you can download the Pvideo database separately with the sample application.

Prev
Internationalization with the Linux Client 		Up
Check for Revisions 		Next
Using Perl and ODBC with Pervasive.SQL for Linux


Using Perl and ODBC with Pervasive.SQL for Linux

Note
This procedure assumes you have a working installation of Pervasive.SQL V8, Perl, and an ODBC distribution. A free version of ODBC is available at http://www.iODBC.org. Perl can be found at http://www.perl.org

To Get Pervasive.SQL to work with Perl's ODBC Interface:

  1. Download the DBI (database interface) support for Perl.

    Read the README or INSTALL for instructions.

  2. Download the ODBC DBD database driver for Perl.

    Please see the installation instructions in the README or INSTALL file.

  3. Make sure you have the proper environment variables set, as shown in the following example. Note, this is also explained in the iODBC docs.

Code Snippet for Perl and DBI

print "using odbc...\n";
use DBI;
$dbName = "DBI:ODBC:DEMODATA";
$dbUserName = "";
$dbPassword = "";
print "connecting...\n";
$sql = "SELECT * FROM class";
$dbh = DBI->connect($dbName, $dbUserName, $dbPassword);
$dataObject = $dbh->prepare($sql);
$dataObject->execute();
while(@row=$dataObject->fetchrow_array)
{
print "$row[0]\t$row[1]\t$row[2]\n\n"
}
Prev
Setting Up Web-based Data Access on Linux 		Up
Check for Revisions 		Next
Pervasive.SQL Clients: Installing and Configuring


Pervasive.SQL Clients: Installing and Configuring

Prev
Using Perl and ODBC with Pervasive.SQL for Linux
Check for Revisions 		Next
Installing Pervasive.SQL Windows Requesters


Installing Pervasive.SQL Windows Requesters

How to Install Pervasive.SQL Client Requester Software for Connecting to Servers

This chapter contains the following topics:

  • Before You Begin
  • Understanding Client Requesters
  • Installing the Pervasive.SQL Client Components
  • Custom Installation Path
  • Where To Go From Here
  • Installing DOS Requesters
Prev
Pervasive.SQL Clients: Installing and Configuring
Check for Revisions 		Next
Before You Begin


Before You Begin

This section contains information with which you need to be familiar to successfully install Pervasive.SQL. If you have not already, review the following documents before installing Pervasive.SQL client requesters:

  • Chapter 2 , Preparing to Install Pervasive.SQL - This chapter provides important information, including system requirements and platform specific notes, relevant to your operation.
  • "What's New in Pervasive.SQL V8" - This document is included in your product package and contains information regarding the latest features and enhancements in this release.
  • README - This file is located on the distribution media and contains late-breaking product news that could not be included in the product documentation.
Prev
Installing Pervasive.SQL Windows Requesters 		Up
Check for Revisions 		Next
Understanding Client Requesters


Understanding Client Requesters

A workstation that needs to access database files is considered a client to the machine running the Pervasive.SQL Server product. A piece of software called a client requester, or requester for short, is required to access database files from a Pervasive.SQL database server. Your application's Pervasive.SQL calls go through the requester, which sends them to the Pervasive.SQL Server for processing and then returns the reply to your application.

Pervasive.SQL supplies requester programs for the following environments: Windows NT/2000/XP, Windows 98/ME, and DOS. The Requesters use the TCP, SPX or NetBIOS protocols to communicate with the server MicroKernel, depending on the type of server you have. Ensure that your workstation has the appropriate network protocol software installed.

Note
Clients using DOS operating systems will have only transactional access to the data files. No relational access is available for this platform.

Types of Requesters

Pervasive.SQL includes the following types of requesters:

  • DOS
  • Trace
  • WIN32

You do not load or unload the Requester explicitly (except for the DOS requester); the system loads the Requester with the first application call to Pervasive.SQL and unloads the Requester when you exit your application.

DOS Requesters

This type of requester is used for applications that run under the DOS operating system. You may install only the DOS requesters if that is all you require. SeeInstalling DOS Requesters .

Trace Requesters

Trace requesters are used for troubleshooting (tracing) client problems at a low level. Generally, you will never need to perform this type of tracing. The low-level tracing is intended for use by trained support staff. Your product vendor or Pervasive Software Support will direct you on how to conduct low-level client tracing, which includes how to use the trace requesters.

Note that the tools provided with Pervasive Software solve most troubleshooting issues. For example, you would run the network connectivity tests in Pervasive System Analyzer to verify network connectivity. Also at your disposal is the Pervasive Knowledge Base (http://support.pervasive.com/eSupport), through which you may search for information about particular client issues.

WIN32 Requesters

This type of requester is used for applications that run under a Windows 32-bit operating system.

Installation

You have two choices for installing the requesters: install all three types or install only the DOS requesters.

A single installation program installs all three types of requesters to a client workstation. In addition, a set of Pervasive.SQL utilities is installed and a set of Pervasive.SQL documentation. By default, the requesters and most of the utilities are installed to C:\PVSW. You may change the location during the installation process. The documentation set, Pervasive System Analyzer (PSA), and some common files are installed to Program Files\Common Files\Pervasive Software Shared.

If you require only the DOS requesters. SeeInstalling DOS Requesters .

Configuration

The configuration of requesters is covered in Chapter 18, Client Network Configuration. If you are a system administrator or value added retailer (VAR) and want to configure a large number of client workstations, read Chapter 17, Distributing the Pervasive Client, before configuring individual workstations.

Existing Configuration Settings

If you have an existing installation of the Pervasive.SQL client software on your computer, nearly all of the client configuration values are automatically migrated to the V8 client configuration during the installation process. There are two exceptions that are not migrated, shown in Table 15-1.
Table 15-1 Configuration Setting Values not Migrated to V8
Configuration Setting | Value in V8
Client4Access4Use IDS | Off. Because most customers do not use Pervasive I*net Data Server (IDS), by default this setting is turned off to reduce connection time. If you use IDS, you must turn this setting On.
Server Address Table (SAT), not available in Configuration but stored in Windows Registry | The SAT keeps a record of the computers where database servers have been detected or not detected, to improve connection time. This registry key is reset during the installation and will be re-populated over time as you connect to the servers in your environment.

Prev
Before You Begin 		Up
Check for Revisions 		Next
Installing the Pervasive.SQL Client Components


Installing the Pervasive.SQL Client Components

To install the Pervasive.SQL V8 client software:

  1. Start the installation program from your Windows workstation.

    Installing from CD-ROM

    Insert the Pervasive.SQL Server CD in the CD-ROM drive of your Windows client machine. If the installation does not start automatically, click Start, select Run, and enter drive:setup where drive is the drive letter of your CD-ROM device.

    Installing from a Pervasive.SQL Server machine

    Map the server you will be installing from to a drive letter on the workstation.

    • For workstation clients on Linux servers:

      See the README file for the latest information on installing client components from a server directory.

    • For 32-bit Windows workstation clients on Windows and NetWare servers:

      Click Start 4 Run, then type drive:\pvsw\clients\win32\setup where drive is the drive letter to which the server is mapped.

      The installation program begins its initial preparation. After the preparation completes, the Welcome screen appears.

  2. Click Next to proceed with the installation.
  3. Click on the Setup Type desired: Complete or Custom.

Figure 15-1 Setup Type Dialog Box

Complete Setup

The Complete installation, which is recommended for most users, takes default actions for operations performed during the installation. The Complete server installation installs the following components to the local machine:

    • Transactional and relational interfaces
    • Client requesters (DOS, Trace, and Win32 requesters)
    • Utilities
    • Online documentation

Custom Setup

The Custom installation is typically for advanced users. It allows you to specify the installation location, select the components to install, and determine the space requirements for the components.

If you choose Custom install, skip now to Custom Installation Path . At the end of that section you will return to this set of steps to continue the installation.

  4. Click Next.

    If you chose a Complete install, a dialog appears that informs you the installation program is ready to begin installing files. At this point, if you want, you may click Back to change or review any of the installation settings, or click Cancel to exit the installation program. After you click Install, you may still exit the installation, but you will be unable to change or review settings.

  5. Click Install to continue with the installation.
  6. If required, close any running applications that may interfere with the Pervasive.SQL installation.

    A dialog box appears if applications are running that can intefere with the installation of Pervasive.SQL.

Figure 15-2 Example Dialog Box for Programs that May Interfere

Decide how to continue with the installation. Your choices are:

  1. To exit all of the programs that may interfere, then click Next.
  2. Not to exit all of the programs that may interfere, then click Ignore.

Note
Next does not proceed with the installation unless you exit all programs that may interfere.

If you wish to leave one or more programs running that may interfere, you must click Ignore to continue. Unpredictable results may occur during the Pervasive.SQL installation if you ignore programs that may interfere.

If you had a previous version of Pervasive.SQL clients on your system, Pervasive System Analyzer archives it before installing the current version.

If installed files could not be copied because they were locked in memory, a reboot may be necessary at this point. Setup only prompts for a reboot if a locked file or some other event was detected that requires a reboot. Please reboot your system if prompted to do so in order to ensure proper operation of your Pervasive.SQL V8 product.

A dialog appears that gives you a status of the installation process.

Figure 15-3 Installation Status Dialog Box (Win32 Client)

Installation actions include, but are not limited to, the following:

  • Script operations
  • Component registration
  • File copying
  • Shortcut creation
  • System registry updates

    A dialog appears at the end of a successful installation.

Figure 15-4 Installation Complete Dialog Box (Win32 Client)

  7. Click Finish.
  8. Test the network communications from the client machine to the machine running Pervasive.SQL Server.

    For Target Machine, type the name or IP address of the machine running Pervasive.SQL Server. For example, the following example shows that the machine name is MachineA.

Figure 15-5 Network Communication Test

  9. Click Next.

    The communication test transmits a series of test messages between the two machines.

Figure 15-6 Network Transmission of Test Messages

After all test messages are transmitted and received correctly, a dialog confirms that 75 messages were successfully transmitted.

Figure 15-7 Successful Transmission of Test Messages

  10. Click Next.
  11. Test the Transactional Engine.

    PSA performs a series of tasks to ensure that the transactional engine is working properly.

Figure 15-8 Transactional Engine Test

    • Select the samples subdirectory of the server installation location.
    • Select the tasks that you wish to perform.

      Click Next to run the tests and see the results.

 Note
It is recommended that you perform this test to ensure that the transactional engine is communicating properly and the transactional databases are functional.

  12. Run the Transactional Test.

    PSA displays a check mark for each test that passes and an X for each task that fails during the transactional engine test. A summary report is also provided in the information window, as shown in the following figure.

Figure 15-9 Transactional Engine Test Results from PSA

Once your transactional engine tests are complete, click Next to test the relational engine.

  13. Test the Relational Engine.

    PSA performs a series of tasks to ensure that the relational engine is working properly.

Figure 15-10 Relational Engine Test

    • Enter the Server Name and Server DSN for the engine data you want to test.
    • Select the tasks that you wish to perform.

      Click Next to run the tests and see the results.

 Note
It is recommended that you perform this test to ensure that the relational engine is communicating properly and the relational databases are functional.

  14. Run the Relational Test.

    PSA displays a check mark for each test that passes and an X for each task that fails during the relational engine test. A summary report is also provided in the information window, as shown in the following figure.

Figure 15-11 Relational Engine Test Results from PSA

  15. After the relational engine tests complete, click Finish to exit the PSA test.

    If you want to view the PSA log file, it is named by default PSALog.txt and is located by default at <OSdrive>\Program Files\Common Files\Pervasive Software Shared\PSA, where <OSdrive> is the drive letter where your operating system is installed.

    Thank you for choosing Pervasive.SQL.

Restarting Your Computer After Installation

You should restart your Windows machine at the end of the installation process if any of the following are true:

  • The installation program prompts you to reboot. This may be due to installed files that could not be copied because they were locked in memory.
  • You are using Windows 98 or Windows ME

Note
The install program modifies the PATH and $PVSW_ROOT variables at the end of the installation process. These settings control how Windows finds Pervasive components. These environment variables are stored in the Control Panel under the Environment tab on the System icon on Windows NT machines. On Windows 2000 and 2003 machines, this setting is stored in the Control Panel under the Advanced tab on the System icon.

Prev
Understanding Client Requesters 		Up
Check for Revisions 		Next
Custom Installation Path


Custom Installation Path

This section describes how to customize your installation of Pervasive.SQL client components. This topic continues a discussion from step 3 .

  1. Decide if you want to exclude utilities.

    You may not exclude the minimum set of utilities. The minimum set includes the Password Utility and the following command-line interface (CLI) utilities: Maintenance, Rebuild, and License Administrator.

    If you exclude utilities, you will be unable to configure your requester. The product is installed using all default values. In addition to no configuration ability, other restrictions apply. For example, no wizards will be available. We recommended that you include the utilities unless you are certain that you do not require the functionality provided by them.

    The following utilities are not installed if you exclude them.

    • Pervasive Control Center (PCC)
    • Table Designer and SQL Data Manager
    • All wizards
    • Monitor, GUI Maintenance, and GUI Rebuild
    • GUI License Administrator
  2. Click on the Utilities' icon to display the installation choices.

Figure 15-12 Example of Installation Choices (Client Components)

 Note
The following choices are not used for Pervasive.SQL even if they appear in the list:

This feature will be installed to run from network.
This feature, and all subfeatures, will be installed to run from network.
This feature will be installed when required.

  3. Click on the desired installation choice.
  4. If desired, change the location where the Pervasive.SQL requester components are installed.

    The default installation location is C:\PVSW, assuming the Windows system drive is C. To specify a different location for the installation, click Change, specify a location, then click OK.

    You may select only one installation location for the entire product. The Change button is disabled The Change button is disabled for a feature if you choose not to install that feature.

  5. If desired, click on a feature to check the amount of storage space it requires.

    The space required appears on the right:

Figure 15-13 Location of Space Required Values

  6. If desired, check the amount of storage space available on the physical drives.

    Click on a feature, then click Space. The resulting dialog shows you by storage volume, the total disk space, the available disk space, the space required for the feature, and difference between the available space and space required. Click OK after you finish checking storage capacity.

    Click Next.

    A dialog appears that informs you the installation program is ready to begin installing files. At this point, if you want, you may click Back to change or review any of the installation settings, or click Cancel to exit the installation program. After you click Install, you may still exit the installation, but you will be unable to change or review settings.

    The Custom path rejoins the Complete installation path at this point. Continue with Step 5 .

Prev
Installing the Pervasive.SQL Client Components 		Up
Check for Revisions 		Next
Where To Go From Here


Where To Go From Here

A proper configuration is essential to smooth operation of your requester software. See Chapter 18, Client Network Configuration for detailed information on how to configure Pervasive.SQL requesters.

If you need to install DOS requesters, please continue reading this chapter. See Installing DOS Requesters .

Prev
Custom Installation Path 		Up
Check for Revisions 		Next
Installing DOS Requesters


Installing DOS Requesters

Pervasive.SQL V8 supports DOS Btrieve applications in several different ways. This, however, depends on the current configuration and environment of the workstation.

Available Requesters

The following choices are available:

  • Win32 DOS Box support: Allows a DOS application to run in a DOS box on a Windows NT or Windows 9x workstation. This enables direct communication to the Windows 32-bit workstation components rather than to the database engine. This configuration can be used with either a local Pervasive.SQL V8 Workgroup engine, or a remote Pervasive.SQL V8 server engine. The TCP/IP or SPX protocol supported for client/server access depends on the configuration of the Windows 32-bit components.
  • DOS TCP/IP requester (BREQTCP): Allows a DOS application to run in any Windows DOS box or on a DOS workstation, and communicate to a remote Pervasive.SQL V8 server engine via the TCP/IP protocol.
  • DOS SPX requester (BREQUEST or BREQNT): Allows a DOS application to run in any Windows DOS box or on a DOS workstation, and communicate to a remote Pervasive.SQL V8 server engine via the SPX protocol.

There are different reasons for using these different options, including:

  • Pervasive.SQL V8 Workgroup engine only supports the Win32 DOS Box configuration.
  • DOS operating system requires the DOS TCP/IP or SPX requesters when accessing a remote server engine.
  • A particular environment may have only one of the supported protocols available.

Windows 9X/NT/2000

The preferred Requester for Windows 9X/NT is BTRBOX. You can use this Requester even for legacy DOS applications.

Note
Use the BREQUEST/BREQNT/BREQTCP Requesters ONLY if you experience a problem with BTRBOX.

Win16 and DOS Workstations

The Requesters for non-Win32 boxes are:

  • BREQUEST
  • BREQNT
  • BREQTCP

If you experience problems with these requesters, see Alternate DOS Requesters .

Note
See http://support.pervasive.com/esupport/publisher.asp?id=4ee1a320-a5e3-11d4-b1fc-00508b5d6b61 for choices and configurations available for running a DOS application on a Windows 95/98/ME workstation communicating with a Pervasive.SQL server. See http://support.pervasive.com/esupport/publisher.asp?id=4ee1a321-a5e3-11d4-b1fc-00508b5d6b61 for choices and configurations available for running a DOS application on a Windows NT/2000 workstation communicating with a Pervasive.SQL server.

Installation of the DOS Requesters

To install Pervasive.SQL V8 client software on a DOS client:

Note
Clients using the DOS operating system will have only transactional access to the data files. No relational access is available for this platform.

Installation of the DOS requesters is a matter of copying the files to the desired directory on your hard drive.

  1. Find the \clients\dos directory on the Pervasive.SQL V8 installation CD or in the pvsw folder on your server.
  2. Copy the contents of that directory to the desired directory on your hard drive.

To configure your DOS requesters, go to Using the DOS Requesters .

Alternate DOS Requesters

Functionality was added to BREQUEST.EXE, BREQNT.EXE and BREQTCP.EXE starting in versions Pervasive.SQL 2000i (SP3) to allow them to access newer Novell NetWare Client APIs to obtain information about the user's rights to files being Opened or Created. This reduced the time required to Open or Create a file by approximately two seconds.

On some DOS machines, however, these improved executables do not function correctly and the following issues may result:

  • Status 20 (the Microkernel or Btrieve Router is inactive)
  • Status 91 (application encountered a server error)
  • Status 94 (application encountered a permission error)
  • EMM386 error #12 and EMM386 general protection faults (GPF).

If you experience any of these issues using the standard DOS requesters, there are two possible solutions:

  • Upgrade the Novell NetWare Client to those Novell shipped with NetWare 5.0 or later.
  • Use the alternate DOS requesters.

    Pervasive includes versions of the BREQ*.EXE executables that do not include the newer NetWare API calls in the \CLIENTS\DOS\ALT directory on the Pervasive.SQL CD and on the \PVSW\CLIENTS\DOS\ALT directory on your Pervasive.SQL server.

    Replace the BREQ*.EXE files on your DOS requester with the alternate files in \PVSW\CLIENTS\DOS\ALT.

Prev
Where To Go From Here 		Up
Check for Revisions 		Next
Installing Pervasive.SQL Linux Requesters


Installing Pervasive.SQL Linux Requesters

Instructions for Installing and Uninstalling the Client for Linux

This chapter contains procedures for installing the Pervasive.SQL V8 client software for Linux. The chapter contains the following sections:

  • Before You Begin
  • Installing the Client Using Tar
  • Installing the Client Using RPM
  • Installation Scripts
  • Common Questions After Installing the Linux Client
  • Uninstalling the Client
Prev
Installing DOS Requesters
Check for Revisions 		Next
Before You Begin


Before You Begin

This section contains information with which you need to be familiar to successfully install Pervasive.SQL V8.

Before installing Pervasive.SQL V8, begin by reviewing the following documents for important information:

  • This chapter provides important information such as system requirements and platform specific notes that are relevant to your operation.
  • "What's New in Pervasive.SQL V8" - This document is included in your documentation and contains information regarding the latest features and improvements in this release.
  • README file - This file is located on the distribution media and contains late-breaking product news that could not be included in the product documentation. The file is available in text and HTML formats.

Platform Notes for Linux

This section provides information that is specific to the Linux version of Pervasive.SQL V8.

Note
Pervasive.SQL no longer supports kernel 2.2 versions. You must have at least kernel 2.4 (and RPM 4) to install Pervasive.SQL V8.

Hardware/Software Requirements

This section lists the requirements needed to install this product.

Hardware

  • 486 Intel machine or higher
  • At least 25 MB free space

Software

  • Kernel version 2.4 or higher.
  • Glibc 2.2 or higher
  • Samba 2.2.6 (if you have Windows clients in your environment)
  • PAM Libraries (if PAM is selected for security)
  • iODBC if using ODBC/SQL in your applications. Many Linux distributions come with iODBC pre-installed.

Linux Client in Conjunction with Server Engine

The Linux client can be installed in the following configurations:

  • On a Linux machine with no Pervasive products currently installed.
  • On a Linux machine with Pervasive.SQL V8 (SP1) server engine installed.
  • On a Linux machine with Pervasive.SQL 2000i (SP4) server engine installed that has a special update applied. You can obtain these required updates at http://www.pervasive.com/linuxrc.

Note
When using the 2000i server engine, you should install the Linux client after the 2000i engine on a machine. Otherwise, the older engine install will overwrite essential files for the Linux client.

Linux Client and Status 3031

If your server engine does not match the requirements listed, your applications may receive status 3031. This is a new status code that indicates the client/server incompatibility. In some cases, you may receive status 94 (permissions error) instead.

Major Features of the Linux Client

This section describes the feature set of the Linux client.

  • Connects with Pervasive.SQL V8 (SP1) and Pervasive.SQL 2000i (SP4) engines that have a special update release applied. The Linux client can connect to Windows, NetWare, and Linux Pervasive.SQL servers.
  • Supports both transactional (Btrieve) and relational interfaces.
  • Supports Distributed Tuning Interface (DTI).
  • Supports ODBC and JDBC for relational access, allowing you to create a wide variety of applications, including web applications in PHP, Perl, and others.
  • Supports Pervasive Auto-reconnect feature against Windows or NetWare servers.
  • Includes trace requesters for ease of debugging applications.
  • Includes new command-line utilities: Rebuild (rbldcli), Pervasive registry editor (psregedit), Pervasive component registration utility (psregsvr), Pervasive Network Password utility (pvnetpass).
  • Includes previously available utilities: Btrieve maintenance (butil) and DSN Add utility (dsnadd).

Summary of Differences Between Linux and Windows Clients

This section outlines the differences between this Linux client compared with the existing Windows client.

  • Only TCP/IP protocol can be used with the Linux client.
  • You cannot make IDS connections using Linux client.
  • Configuration is stored in the Pervasive registry and can be manipulated using the pvclientcfg utility or the Pervasive registry editor psregedit.
  • Only a subset of the configuration options present in the Windows client are used in the Linux client.
  • To authenticate to other servers, you must set up the userid and password to connect to those servers using the pvnetpass utility (Pervasive Network password utility).
  • To connect to a NetWare machine from the Linux client using a mounted path name, you need to have CIFS or NFS installed. CIFS and NFS are included with NetWare 6. If you do not have either CIFS or NFS, you can only connect using UNC paths. NetWare 4.2 and NetWare 5 do not contain CIFS and you can only use UNC paths with the release candidate when using NetWare 4.2 or NetWare 5.
Prev
Installing Pervasive.SQL Linux Requesters 		Up
Check for Revisions 		Next
Installing the Client Using Tar


Installing the Client Using Tar

If you are not using a version of Linux that supports the RPM format, you can use the tar installation format of the Linux client.

If you use RedHat or another Linux vendor that supports the RPM format, you may want to use the RPM format of install instead. See Installing the Client Using RPM for more information.

The Pervasive.SQL installation package is provided in the following tar form:
Operating System | Package Name
Linux | Pervasive.SQL-Client-8.15-133.000.i486.tar.gz1
1
The tar listed here is only an example. Verify the actual name for the version you are installing.

To install Pervasive.SQL V8 Linux Client Using tar:

  1. Log in as the root user.
  2. Change to the /usr/local directory.
    cd /usr/local
  3. Copy the tar into /usr/local

    cp <path_to_tar>/Pervasive.SQL-Client-8.50-185.000.i486.tar.gz .

    For example, if you downloaded the tar into the /home/bholly directory:

    cp /home/bholly/Pervasive.SQL-Client-8.50-185.000.i486.tar.gz .

  4. Unpack the tar using the following command.
    tar -xzf <Pervasive.SQL-Client-8.15-xxx.yyy.i486.tar.gz>

Note
You must substitute the correct tar name you obtained in place of the sample variable given.

  5. If you have a previous installation of Pervasive.SQL (whether or not it is still installed), you may have an existing /usr/local/psql directory. Perform the ls command as follows to ascertain whether you have an existing psql directory.

    ls /usr/local/psql

    If you do have an existing psql directory, continue with Step 6 now. Otherwise, issue this command first:

    mkdir /usr/local/psql

  6. Copy the contents of the psqlclient folder into the psql folder.

    cp -R psqlclient/* /usr/local/psql

  7. Change directories to the /usr/local/psql/etc folder where the Pervasive.SQL installation scripts reside.
    cd psql/etc
  8. Run the post installation script:
    sh clientpostinstall.sh
  9. Your tar installation is complete. Now read Installation Scripts to understand what actions the script performed.
Prev
Before You Begin 		Up
Check for Revisions 		Next
Installing the Client Using RPM


Installing the Client Using RPM

The Pervasive.SQL installation package is provided in the following RPM form:
Operating System | Package Name
Linux | Pervasive.SQL-Client-8.50-185.000.i486.rpm1
1
The Package Name listed here is only an example. Verify the actual name for the version you are installing.

Note
To install this package, you must be logged in as root. If you are installing from the CD, you must be at the CD root directory.

To install Pervasive.SQL V8 Linux Client Using RPM:

  1. Log in as the root user
  2. Assuming the RPM package is in the current directory, issue the following command.
    rpm -ivh <Pervasive.SQL-Client-8.15-xxx.yyy.i486.rpm>

Note
You must substitute the correct package name you obtained in place of the sample variable given.

    • If the RPM package is in another directory, preface the package name with a path.
    • If you are installing to a non-RPM based Linux installation such as Slackware, you need to add the --nodeps option so that the package manager does not check for RPM dependencies that are not present on your system. For example, rpm -ivh --nodeps <package>
  3. The package script installs the product and performs other tasks as noted in Installation Scripts .

Verifying a RPM Installation

You can verify that the RPM packager installed the Pervasive.SQL package by issuing the following case-sensitive command at a terminal window:

rpm -q 'Pervasive.SQL-Client'

When successful, a specific version should be returned, for example:

Pervasive.SQL-Client-8.50-185.000
Prev
Installing the Client Using Tar 		Up
Check for Revisions 		Next
Installation Scripts


Installation Scripts

This section contains additional information about the Pervasive.SQL installation.

If using the RPM format of installation, the two installation scripts are run automatically before and after the package manager copies all necessary files onto disk (default location is /usr/local/psql).

If using the tar format, you run only the clientpostinstall.sh script manually during the installation as described in Installing the Client Using Tar .

Whether run automatically or manually, the scripts perform the following tasks:

  • Verifies necessary permissions to complete install
  • Creates user psql and group pvsw
  • Sets user:group ownership to psql:pvsw for the installed files
  • Archives certain files if components from a previous engine are in conflict with the new client installation. Archived files are placed in /usr/local/psql/PVSWARCH
Prev
Installing the Client Using RPM 		Up
Check for Revisions 		Next
Common Questions After Installing the Linux Client


Common Questions After Installing the Linux Client

This section contains information that you should read after running the installation program. If you are having problems with your installation, see the troubleshooting chapter in Getting Started with Pervasive.SQL (Server edition) or get help online from our Knowledge Base website at http://support.pervasive.com/eSupport.

How Do I Read the Online Documentation?

Man pages are provided for the executable files. To make these man pages available, add $PVSW_ROOT/man to your MANPATH environment variable.

Online documents in HTML format are available in one of the following directories by loading the index.html document in a browser:

Client documentation:

file://usr/local/psql/clientdoc/html

Server documentation:

file://usr/local/psql/doc/html

Note
If you install the Linux server edition of Pervasive.SQL (version 8.15 or later), both server and client documentation are located in the default server documentation folder. Otherwise, if you have a Linux server earlier than Pervasive.SQL 8.15 on the machine where you are installing the client, then your server and client documentation will be located in two separate folders.

There is also a README file on the distribution media that has the latest changes and additions to Pervasive.SQL V8.

What Files Were Installed as Part of Pervasive.SQL V8 Linux Client?

For a given OS platform, installing Pervasive.SQL V8 places the directories and files specified below on your system. $PVSW_ROOT refers to the root directory where Pervasive.SQL files are installed. By default it is set to the following:

Default $PVSW_ROOT
/usr/local/psql

Path from $PVSW_ROOT | File | Description
./bin |  |
 | butil | Btrieve maintenance utility
 | dsnadd | Add DSN utility
 | odbctest | ODBC client utility
 | psinstall | Pervasive installation utility (for use by the Pervasive install scripts - not a general use utility)
 | psregedit | Pervasive Registry editor utility
 | psregsvr | Pervasive Services component registration utility
 | pvnetpass | Pervasive Network Password utility
 | rbldcli | Rebuild utility
./clientdoc |  |
 | readme.html | HTML Readme
 | readme.txt | Text Readme
./clientdoc/html |  |
 | index.html | Pervasive.SQL HTML documentation
./etc |  |
 | odbc.ini | ODBC settings
 | clientpreinstall.sh | Shell script that runs before product installation
 | clientpostinstall.sh | Shell script that runs after product installation
 | clientpreuninstall.sh | Shell script that runs before product removal
 | clientpostuninstall.sh | Shell script that runs after product removal
./lib |  | Library shared objects
./log |  | Log files directory
./man/man1 |  | Man pages directory
 | butil.1 | Btrieve maintenance man page
 | dsnadd.1 | DSN add man page
 | odbctest.1 | odbctest man page
 | psregedit.1 | Pervasive Registry Editor man page
 | psregsvr.1 | Pervasive Component Registration man page
 | pvnetpass.1 | Pervasive Network Password utility man page
 | rbldcli.1 | Rebuild utility man page

Where To Go From Here

Your Pervasive.SQL V8 Linux client is now installed.

  • For important information about configuring your Linux client, see the following in Advanced Operations Guide - Linux Client Configuration Parameters .
  • For information about user licenses, see the following in Pervasive.SQL User's Guide - Chapter 4, License Administrator.
Prev
Installation Scripts 		Up
Check for Revisions 		Next
Uninstalling the Client


Uninstalling the Client

This section describes how to remove the Linux client product from your machine.

Uninstalling the RPM Version

To uninstall the RPM version of Linux client:

  1. Log in as the root user using the su command.
  2. Issue the following case-sensitive command:
    rpm -e 'Pervasive.SQL-Client'

The package manager removes all files, links, and configuration made by the initial installation.

Uninstalling the Tar Version

  1. Log in as the root user using the su command.
  2. Move to the etc folder which resides at the root level of your Pervasive.SQL folder.
    cd /usr/local/psql/etc
  3. Run the first uninstall script.
    sh clientpreuninstall.sh
  4. Run the second uninstall script. The product is now removed.
    sh clientpostuninstall.sh

Note
The RPM install/uninstall runs these scripts automatically before and after files are copied or removed. With the tar version, however, you run the scripts in sequence manually.

  5. The four uninstall scripts remain in the /usr/local/psql/etc directory after the product is removed. You may want to remove the scripts themselves as follows:
    cd etc
rm client*.sh
Prev
Common Questions After Installing the Linux Client 		Up
Check for Revisions 		Next
Distributing the Pervasive Client


Distributing the Pervasive Client

How to Install Clients for your Pervasive.SQL Server

To access network files from a workstation using a Pervasive.SQL application, you must use the appropriate requester at that workstation. Your application's Pervasive.SQL calls go through the requester, which sends them to the server for processing and then returns the reply to your application.

If this is the first time you are installing a requester, follow the topics in the order in which they appear in this chapter:

  • Introduction to Client Distribution
  • Minimal Clients: Using the Pervasive.SQL Server for Requester Operations
  • Installing Clients Using a Systems Management Server
  • Where To Go From Here

If you are installing requesters for the first time, we recommend that you read the entire chapter.

Prev
Uninstalling the Client
Check for Revisions 		Next
Introduction to Client Distribution


Introduction to Client Distribution

The Pervasive.SQL Server installation includes an installation for the Win32 and DOS clients. The client installation is located in the Pervasive.SQL installation directory. If Pervasive.SQL was installed to the default location of C:\PVSW, the installations are located at:

C:\PVSW\CLIENTS\

All Pervasive.SQL server installations also contain the client components. That is, every Pervasive.SQL server is also a client.

You can install your clients individually by mapping a drive to the server's client install directory. Or, you can install a minimal client that uses the server for some of its functionality.

You can also use a Systems Management Server to install Pervasive.SQL clients. The following section details these options for installing a large number of clients.

Recommended Method of Installing Clients

This chapter provides alternatives to the regular client installation shown in Installing Pervasive.SQL Windows Requesters .

Whenever possible, you should install clients using the Pervasive.SQL client installation program documented in that chapter.

The Complete installation is recommended. If using a small amount of disk space is critical to your organization, you can use a Network client as documented in Minimal Clients: Using the Pervasive.SQL Server for Requester Operations .

Prev
Distributing the Pervasive Client 		Up
Check for Revisions 		Next
Minimal Clients: Using the Pervasive.SQL Server for Requester Operations


Minimal Clients: Using the Pervasive.SQL Server for Requester Operations

Note
Clients on a Linux server must be set up one at a time. For instructions on installing requesters on a client connected to a Linux server, see Installing the Pervasive.SQL Client Components .

If you have a setup with many clients it may be easier to manage client installation from a central source, depending on your configuration. Pervasive.SQL V8 can use networked client support to manage your clients.

If you have a Windows 2000 or NT server, you can also use a Systems Management Server to help redistribute and manage your clients.

Installing Clients Using Networked Client Support

Note: networked clients are not supported in V8.5

The network client allows for some disk space savings. This is achieved by a client-server setup where a large number of clients share a common location for requester files. This also allows for a system administrator to upgrade every client on a network by merely installing a single product update on the server.

The Pervasive.SQL V8 install handles the configuration of the network client for you automatically. However, you should only use this option is disk space savings is critical to your organization. Otherwise, follow the steps outlined in Installing Pervasive.SQL Windows Requesters .

To set up a client machine to use requesters installed on the server:

  1. Map a drive letter to the remote server.

    Double-click My Computer. Click the Map Network Drive icon (if it is displayed) or click Tools 4 Map Network Drive.

    • If the remote server is a Windows NT or 2000 server, map a drive letter to its root directory.
    • If the remote server is a NetWare server, map a drive letter to the SYS: volume on the remote server as shown in the following diagram:

Figure 17-1 Mapping a Drive

  2. Run the installation program from the server.

Note
Do not run the installation program from Network Neighborhood or Windows Explorer.

Using the mapped drive letter from the previous step, change to the proper client installation program directory on the server and start the client install. From a DOS command prompt these commands would be:

x:
cd \pvsw\clients\win32
setup

The installation Welcome screen appears. Click Next to proceed with the installation.

  3. Choose network client install option.

    If you do not see the Network client option, the Pervasive.SQL server was not installed with "Client Support" enabled and you will not be able to use the Network install feature.

Figure 17-2 Setup Type Dialog Box – Network Installation

Select the network install option and click Next to continue.

  4. Continue with install.

    At this point the network install option proceeds like a Complete client install as described in Installing the Pervasive.SQL Client Components .

Prev
Introduction to Client Distribution 		Up
Check for Revisions 		Next
Installing Clients Using a Systems Management Server


Installing Clients Using a Systems Management Server

Pervasive.SQL V8 client installation programs now include a Systems Management Server Package Definition Format (.pdf) file. This allows the Systems Management Server to perform a silent installation of the client or server software.

For client install images copied to a server, the PDF file is located in the same directory as the setup.exe file of the client installation (that is, c:\pvsw\clients\win32\psqlclnt.pdf).

The steps to perform a Systems Management Server silent installation are beyond the scope of this manual. Please refer to your Systems Management Server documentation for more information on that topic.

Prev
Minimal Clients: Using the Pervasive.SQL Server for Requester Operations 		Up
Check for Revisions 		Next
Where To Go From Here


Where To Go From Here

After installing the client requesters, see Chapter 18, Client Network Configuration for information on how to correctly configure the network settings of clients.

Prev
Installing Clients Using a Systems Management Server 		Up
Check for Revisions 		Next
Client Network Configuration


Client Network Configuration

How to Configure your Pervasive.SQL Clients

To access network files from a workstation using a Pervasive.SQL application, you must use the appropriate requester at that workstation. Your application's Pervasive.SQL calls go through the requester, which sends them to the server for processing and then returns the reply to your application.

This chapter contains the following sections.

  • Default Settings
  • How to Configure the Pervasive Clients
  • Network Path Formats Supported by Pervasive Requesters
  • Using TCP/IP to Connect to a NetWare Server
  • Using SPX to Connect to a NetWare Server
  • Using TCP/IP to Connect to a Windows NT/2000 Server
  • Using SPX to Connect to a Windows NT/2000 Server
  • NetBIOS and the Pervasive.SQL Server Engine
  • Using TCP/IP to Connect to a Linux Server
  • Using the DOS Requesters
Prev
Where To Go From Here
Check for Revisions 		Next
Default Settings


Default Settings

This section lists the settings that are relevant to client networking.

TCP/IP is the default protocol for Pervasive.SQL. That is, TCP/IP is tried first if more than one protocol is set to be available.

Enable Auto Reconnect

Default: Off
This setting determines whether the client and server attempt to reconnect to each other in the event of a network outage. If set to On, it allows the database connections to recover from intermittent or temporary network interruptions. If this value of this setting is Off, then the client returns a status code to the application immediately upon any failure to connect to the server, and the connection context is not preserved.

If you have this setting turned On, you can specify how long the client and database engine should attempt to reconnect by using the setting Auto Reconnect Timeout in the Server configuration.

Note
This feature is not available on 16-bit clients.

Supported Protocols

Default: SPX, TCP/IP, NetBIOS
This setting specifies the vendor protocols that the database engine should attempt to use. When more than one protocol is specified, upon start up, the engine attempts to connect on all specified protocols. The protocol that connects first is then used for the remainder of the session.

You can often improve initial connection performance by removing the protocols that are not used on your network. For example, if you have a Server engine on an all-TCP/IP network, removing SPX support may reduce the wait time during initial connections to the engine.

On Linux platforms, TCP/IP is the only supported protocol on the server.

Note
Server engines do not support the NetBIOS protocol. Workgroup engines do not support the SPX protocol.

TCP/IP Timeout for Communications Requester

Default: 15 seconds
This setting specifies the number of seconds the requester should wait for a TCP/IP connect request to succeed before timing out.

Prev
Client Network Configuration 		Up
Check for Revisions 		Next
How to Configure the Pervasive Clients


How to Configure the Pervasive Clients

This section contains information on configuring Pervasive client software.

  • Configuring the Win32 Requester
  • Configuring the Win16 Requester

Note
For information on configuring DOS requesters, see Using the DOS Requesters .

Configuring the Win32 Requester

The Win32 Requester serves as the Pervasive.SQL client for Windows 9X/ME and Windows NT/2000 workstations. You configure the Win32 Requester using the Configuration Utility within the Pervasive Control Center.

To Configure the Win32 Requester

  1. Click Start, point to Programs and select Pervasive.SQL V8.
  2. Select Control Center.
  3. Click Pervasive.SQL Engines and select the local machine.
  4. Select Configuration and then Client.
  5. Refer to the Advanced Operations Guide in section Configuration Reference for detailed information on the Configuration utility and settings.

Win32 Configuration Notes

WOW Application Users: The Win16 Requester provides thunking over to the Win32 Requester, which then handles your request as it does one from a Win32 application. To use these thunking capabilities, be sure to use the requesters included with the Pervasive.SQL package, and not those from an earlier version of Btrieve.

Configuring the Win16 Requester

The Win16 Requester is used in conjunction with Thunking in Windows 9X and Windows NT workstations.

Note
Clients using the 16-bit requesters will have only transactional access to the data files. No relational access will be available.

To Configure the Win16 Requester from Windows 9X/ME/NT/2000/XP:

  1. Click Start, point to Programs, then Pervasive.SQL V8, and select Control Center.
  2. Expand Pervasive.SQL Engines and expand the desired server.
  3. Expand Configuration and expand Client-16 bit.
  4. Refer to the Advanced Operations Guide in section Configuration Reference for detailed information on the Configuration utility and settings.

Win16 Configuration Notes

To access a Windows NT server, your workstation must have the Microsoft Network Client for DOS and Windows loaded. You also need the NetWare SPX protocol stack. Pervasive Software recommends using the ODI drivers from Novell. You do not need to run NETX.EXE or be logged in to a NetWare server.

WOW Application Users: You must install both the Win16 Requester and the Win32 Requester. The Win16 Requester provides thunking over to the Win32 Requester, which then handles your request as it does one from a Win32 application. To use these thunking capabilities, be sure to use the requesters included with this package, and not those from an earlier version of Btrieve. Also, be sure to enable the Requester's Use Thunk option.

Prev
Default Settings 		Up
Check for Revisions 		Next
Network Path Formats Supported by Pervasive Requesters


Network Path Formats Supported by Pervasive Requesters

When using your Requester, you connect to the Pervasive server engine to access data files. This section shows the variations on network file syntax you can use to access files on your network using Btrieve or SQL applications.

Pervasive.SQL supports the Universal Naming Convention (UNC) and Drive path formats (explicit and current) across the majority of operating environments, including:
Table 18-1 Supported UNC and Drive Path Formats
Application Types | Environments | Network Client | Novell Login Types
Transactional | Windows (32-bit) | Microsoft | Bindery
Relational | Windows (16-bit) | Novell | NDS
 | DOS |  |

For more information on the path formats, see the sections that follow:

  • Universal Naming Convention (UNC) Path Formats
  • Drive-based Formats
  • NetWare Specific Formats
  • Linux Path Formats

Universal Naming Convention (UNC) Path Formats

The following UNC path formats are supported on all clients to all servers:

\\ServerName\volume\path\file
\\ServerName\volume:[\]path\file

UNC syntax is resolved correctly regardless of the actual type of network operating system (NOS) that is operating on the target server.

Note
In all instances above, backslashes (\) can be interchanged with forward slashes (/) except for the double backslash (\\). The syntax [\] indicates that the backslash is optional.

Drive-based Formats

The following drive representations are supported on all clients to all servers:

Note
Do not map drive letters to the \\Tree\VolumeObject format found in Network Neighborhood. See NetWare Directory Services (NDS) Formats .

drive:file
drive:[\]path\file
file
[\]path\file
..\file

NetWare Specific Formats

NetWare path formats on all clients only to NetWare servers:

volume:[\]path\file (ServerName is derived from current drive)

NetWare Directory Services (NDS) Formats

Pervasive.SQL provides enhanced Novell Directory Service support over previous versions of Pervasive.SQL through complete integration with Novell's IntranetWare Client for Windows NT and Windows 9X, and Microsoft's Service for Novell Directory Services for Windows 9X (MSNDS). These enhancements provide the following benefits to users and network administrators:

  • Better integration with NDS authentication capabilities when accessing the Pervasive.SQL Server Engine for NetWare.
  • Ability to resolve server names into network address by querying NDS instead of relying on the NetWare Bindery.
  • Support for NDS Volume and Directory Map objects in Btrieve file operations.

Note
Pervasive does not support the \\Tree\VolumeObject format found in Network Neighborhood. See NetWare Directory Services (NDS) Formats .

If you want to run 32-bit applications in an NDS environment, the Pervasive.SQL requesters work best with the Novell IntranetWare clients installed on the workstation. The following sections detail the level of support that Pervasive offers.

Support for Novell Clients for NetWare

Pervasive.SQL was tested with the following Novell clients:

  • IntranetWare Client for Windows NT v4.11
  • IntranetWare Client for Windows 9X v2.2
  • IntranetWare Client for DOS v2.2

Each of these clients provide the set of NDS specific APIs needed by the Pervasive.SQL requesters to integrate fully with the NDS environment. All Pervasive.SQL requesters will detect these clients' presence automatically; no additional Pervasive.SQL configuration changes are required. When these clients are available to the Pervasive.SQL requesters, the following operations are supported:

  • Network login via NDS (bindery context does not need to be set on the target server)
  • NetWare server address resolution for SPX addresses
  • Drive letters mapped to NDS Volume Objects through either the Map utility or Network Neighborhood may be used to specify Btrieve file names or SRDE dictionary and data directories
  • NDS Volume Objects and Directory Map Objects may be used to specify Btrieve file names with Win32, and Win16 applications

The file name and path formats supported by the Pervasive.SQL requesters through the Novell clients are listed in the table below:
Table 18-2 File name and Path formats for Novell Clients for NetWare
Format | Btrieve Apps | Notes | SQL Apps
<drive letter>:[\]path\file | ü | (1) | ü
\\server\volume\path\file | ü |  | ü
\\server\volume:[\]path\file | ü |  | ü
server\volume:[\]path\file | ü |  | ü
volume:[\]path\file | ü | (4) | ü
VolumeObject:[\]path\file | ü | (2) (3) | û
\\VolumeObject\path\file | ü | (2) (3) | û
DirectoryMap:[\]path\file | ü | (2) (3) | û
\\DirectoryMap\path\file | ü | (2) (3) | û
\\Tree\VolumeObject\path\file | û |  | û
\\Tree\DirectoryMap\path\file | û |  | û

1 <drive letter> can be redirected to a server\volume:, or NDS Volume or Directory Map object.
2 Not supported by the Btrieve DOS requester.
3 See Novell documentation for rules about specifying NDS context when using NDS objects.
4 Requires that the current drive is mapped to the target NetWare server.

Support for Microsoft Clients for NetWare

Pervasive.SQL was tested with the following Microsoft clients for NetWare:

  • Microsoft Service for Novell Directory Services (Windows 9X)
  • Microsoft Client Service for NetWare (Windows NT/2000). This client limits your NDS support; Pervasive recommends using the Novell IntranetWare client.
  • Microsoft Client Service for NetWare (Windows 9X)

Note
The Win16 Requesters require the Novell components NWCALLS.DLL and NWNET.DLL. Win32 Requesters using the Microsoft Service for NDS also require these files.

The file name and path formats supported by the Pervasive.SQL requesters using Microsoft's clients for NetWare on Windows 9X/ME and Windows NT/2000 are listed in the following table.
Table 18-3 File name and Path formats for Microsoft Clients for NetWare
Format | Btrieve Apps Win16 Win32 |  | Notes | SQL Apps
<drive letter>:[\]path\file | ü | ü | (1) | ü
\\server\volume\path\file | ü | ü |  | ü
\\server\volume:[\]path\file | ü | ü |  | ü
server\volume:[\]path\file | ü | ü |  | ü
volume:[\]path\file | ü | ü | (4) | ü
VolumeObject:[\]path\file | ü | û | (2) (3) (5) | û
\\VolumeObject\path\file | ü | û | (2) (3) (5) | û
DirectoryMap:[\]path\file | ü | û | (2) (3) (5) | û
\\DirectoryMap\path\file | ü | û | (2) (3) (5) | û
\\Tree\VolumeObject\path\file | û | û |  | û
\\Tree\DirectoryMap\path\file | û | û |  | û

1 <drive letter> can be redirected to a server\volume:, or NDS Volume or Directory Map object on Windows 9X with MSNDS. On Windows NT 4.0 with CSNW, <drive letter> can only be redirected to a server\volume: name; using Network Neighborhood to map a <drive letter> to an NDS object is not supported for Win32 applications.
2 Not supported by the Btrieve DOS requester.
3 Supported for applications using the Win16 Pervasive requesters only (with no thunking to 32-bit).
4 Requires that the current drive is mapped to the target NetWare server.
5 See Novell documentation for rules about specifying NDS context when using NDS objects.

Implementation Notes for the Microsoft NetWare Clients

The Microsoft Service for Novell Directory Services (MSNDS) allows Windows 9X workstations to log in to NDS trees and redirect drive letters to NDS servers. MSNDS also supports Windows 16-bit 'NDS-aware' applications by supporting the Novell Windows 16-bit client DLLs, NWCALLS.DLL and NWNET.DLL. MSNDS does not provide 32-bit API support for NDS-aware applications. Windows 9X, however, does provide a thunk mechanism allowing 32-bit applications to call 16-bit applications. The Pervasive.SQL requesters take advantage of that mechanism to provide NDS support, although currently the 32-bit requesters do not allow NDS object names to be used in UNC-style paths as they do with the Novell clients. On Windows 9X workstations with MSNDS installed, the Pervasive.SQL requesters support the following NDS operations:

  • Network login via NDS (bindery context does not need to be set on the target server)
  • NetWare server address resolution for SPX addresses
  • Drive letters mapped to NDS Volume Objects or Directory Map Objects through either the Map utility or Network Neighborhood may be used to specify Btrieve file names, or SRDE dictionary and data directories when logging into a Pervasive.SQL database, only with WIN16 applications
  • NDS Volume Objects and Directory Map Objects may be used to specify Btrieve file names, only with Win16 applications

Like MSNDS, the Microsoft Client Service for NetWare (CSNW) on Windows NT 4.0 allows Windows NT 4.0 workstations to log in to NDS trees and redirect drive letters to NDS servers, as well as supporting Windows 16-bit 'NDS-aware' applications by supporting the Novell Windows 16-bit client DLLs. CSNW does not provide 32-bit API support for NDS-aware applications. Unlike Windows 9X, Windows NT does not provide a thunk mechanism allowing 32-bit applications to initiate calls to 16-bit applications (it does allow 16-bit applications to call 32-bit applications, which the Pervasive requesters support). The lack of support for 32-bit 'NDS-aware' applications coupled with the lack of a thunk mechanism for 32-bit to 16-bit calling conventions significantly reduces the ability of the Pervasive.SQL requesters to support NDS environments. On Windows NT 4.0 workstations with CSNW installed, Pervasive.SQL supports the following NDS operations:

  • Network login via NDS for DOS applications and Win16 applications that do not thunk to the Win32 requester (bindery context does not need to be set on the target server)
  • Network login via NDS for Win32 applications, when accessing the Pervasive.SQL for NetWare server engine using SPX as the transport
  • NetWare server address resolution for SPX addresses
  • NDS Volume Objects and Directory Map Objects may be used to specify Btrieve file names for Win16 applications that do not thunk to the Win32 requester

Linux Path Formats

Incoming paths on a Linux server using Samba will be processed as follows in order of relative priority:

Share names

\\<server>\<sharename>\<path>

The smb.conf file must be configured to accept <sharename>, otherwise it will default to the following:

Absolute paths

\\<server>\<absolute_path>

If the smb.conf file is not configured properly or not found on the target server, the absolute path is used.

For more information on the Linux version of Pervasive.SQL V8, see the "Linux Supplementary Documentation" section of Pervasive.SQL User's Guide.

Prev
How to Configure the Pervasive Clients 		Up
Check for Revisions 		Next
Using TCP/IP to Connect to a NetWare Server


Using TCP/IP to Connect to a NetWare Server

This section documents the use of TCP/IP when connecting to a Pervasive.SQL server running on a NetWare machine.

Configuring Pervasive.SQL to use TCP/IP

TCP/IP is the default protocol when connecting to NetWare servers, meaning that if both TCP/IP and SPX protocols are available, TCP/IP is the first one the Communications Requester attempts to use.

If you have a working TCP/IP setup from your client to your NetWare server, you should not have to do anything in addition to make Pervasive.SQL work with TCP/IP and NetWare.

Configuring a Client For the Server IP Address

When Pervasive.SQL operates in a TCP/IP network, your client must be able to obtain the name of your NetWare server from the IP address given to that server by your network administrator. There are two mechanisms that enable this address to name translation:

  • DNS (Domain naming service)
  • Editing the Hosts file (a method typically used in small to medium sized networks)

The following procedures show how to set up the IP address using each method.

Using DNS to Configure the Server IP Address

When you use DNS, you specify settings that allow your computer to look up the name of the server in a database of addresses. Your network administrator can provide the information you need to configure DNS.

To configure your clients to use DNS to resolve the server IP address:

For Windows 9X/NT clients:

  1. Click Start, point to Settings and select Control Panel.
  2. Double-click Network,
  3. select Protocols, select TCP/IP and click Properties.
  4. Click the DNS tab.
  5. Enable DNS and enter the appropriate server information from your network administrator.

For Windows 2000 clients:

  1. Click Start, point to Settings and select Control Panel.
  2. Double-click Network and Dial-up Connections, select Local Area Connection and click Properties.
  3. From the component list, select TCP/IP and click Properties.
  4. Enable DNS and enter the appropriate server information from your network administrator.
Using the Hosts File to Configure the Server IP Address

The Hosts file is a way to manually enter a relationship between a name and an IP address. Use this method if DNS is not used in your organization.

To Edit the Hosts file on your Windows client

  1. Find your Hosts file as follows on your Windows machine.

    For Windows NT/2000:
    \WINNT\SYSTEM32\DRIVERS\ETC\HOSTS

    For Windows 9X/ME:
    \WINDOWS\SYSTEM\DRIVERS\ETC\HOSTS

  2. Edit the Hosts file with a text editor such as Notepad.
  3. Enter your server's IP address and name in the hosts file as a new line as shown in the following example. Your network administrator can provide you with the IP address of your server.

    # the following is an example of a Hosts file entry

    146.23.45.2 acctserver

Prev
Network Path Formats Supported by Pervasive Requesters 		Up
Check for Revisions 		Next
Using SPX to Connect to a NetWare Server


Using SPX to Connect to a NetWare Server

This section documents the use of SPX when connecting to a Pervasive.SQL server running on a NetWare machine.

Configuring Pervasive.SQL to use SPX

SPX is a native protocol to NetWare. There should be no special requirements for operating Pervasive.SQL with SPX on NetWare. However, note the following:

SPX is not the default protocol for Pervasive.SQL. Consequently, if you have both TCP/IP and SPX installed, Pervasive.SQL attempts to use TCP/IP first. If you want SPX to be used, follow these steps:

To Configure your Clients to use SPX with NetWare Servers if Both TCP/IP and SPX are Installed:

  1. Click Start, point to Programs and select Pervasive.SQL V8.
  2. Select Control Center.
  3. Expand Pervasive.SQL Engines and expand the desired engine.
  4. Expand Configuration and expand Client.
  5. Select the Communication protocols and, in the right-hand pane, right-click on Supported protocols.
  6. Highlight Microsoft TCP/IP from the list of selected protocols and click the < button to move it off the selected list.
  7. Click OK.

To use SPX with NetWare, also ensure that your network packet size is appropriate for your network. By default the Receive Packet Size option of the Configuration utility (detailed in the Advanced Operations Guide) is set to 1500, which is the correct value for Ethernet networks. If, however, you have a Token-ring network, use the Configuration utility to modify your Receive Packet Size to 4096.

Using Either Microsoft or Novell's SPX when Connecting to NetWare Servers

If you select Novell SPX using the Supported Protocols setting in the Configuration utility, this means that all Pervasive SPX calls will be made through the Novell component NWIPXSPX.DLL. Both Novell and Microsoft support this DLL, so you could be using Microsoft SPX even though the Pervasive setting shows that you are using Novell SPX.

To determine which version of SPX (Microsoft or Novell) you are using from your Windows workstation:

In Windows NT:

  • Click Start, point to Settings and select Control Panel. Double-click Network, and look for IPX/SPX in the list. If the entry says "IPX/SPX compatible-protocol", you have Microsoft's SPX installed. Otherwise, you are using Novell's IPX/SPX protocol.

In Windows 2000:

  • Click Start, point to Settings and select Control Panel. Double-click Network and Dial-up Connections, select Local Area Connection and click Properties. Look for IPX/SPX in the list. If the entry says "IPX/SPX compatible-protocol", you have Microsoft's SPX installed. Otherwise, you are using Novell's IPX/SPX protocol.

Pervasive.SQL supports both the Microsoft and Novell versions of SPX. If you do not use the Novell Client 32 to communicate with the NetWare server, you could encounter a Status Code 3119 when you first attempt a connection to the NetWare server. Subsequent connections should clear that condition.

Changing the Default Server Listening Port (Advanced)

Most users should never have to use this procedure. This procedure should only be performed by a system administrator.

In normal TCP/IP operation, clients use a particular port number to communicate with servers. Pervasive.SQL by default listens on port 1583. For TCP/IP to function properly, all clients and all servers must use the same port.

Pervasive recommends that you do not modify the server listening port unless you have a conflict with port number of 1583. If you do have a conflict, you can override the Pervasive Database port settings with an entry in the SERVICES file for each machine. The SERVICES file is located at:

SYS:\ETC\SERVICES

For example, if you wanted to change the listening port to 80 for Pervasive.SQL, you would add the following entry in your SERVICES file:

psql 80/tcp

After changing your server listening port, you must stop and restart your Pervasive.SQL services for the changes to take effect. See "Using Pervasive.SQL" in Pervasive.SQL User's Guide.

Note
Entries in the NetWare SERVICES file are NOT case-sensitive.

Prev
Using TCP/IP to Connect to a NetWare Server 		Up
Check for Revisions 		Next
Using TCP/IP to Connect to a Windows NT/2000 Server


Using TCP/IP to Connect to a Windows NT/2000 Server

This section documents the use of TCP/IP when connecting to a Pervasive.SQL server running on a Windows NT/2000 machine.

Tasks

Configuring a Client for the Server IP Address

When Pervasive.SQL operates in a TCP/IP network, your client must be able to obtain the name of your Windows server from the IP address given to that server by your network administrator. There are two mechanisms that enable this address to name translation:

  • DNS (Domain naming service)
  • Editing the Hosts file (a method typically used in small to medium sized networks)

The following procedures show how to set up the IP address using each method.

Using DNS to Configure the Server IP Address

When you use DNS, you specify settings that allow your computer to look up the name of the server in a database of addresses. Your network administrator can provide the information you need to configure DNS.

To configure your clients to use DNS to resolve the server IP address:

For Windows 9X/NT clients:

  1. Click Start, point to Settings and select Control Panel.
  2. Double-click Network,
  3. select Protocols, select TCP/IP and click Properties.
  4. Click the DNS tab.
  5. Enable DNS and enter the appropriate server information from your network administrator.

For Windows 2000 clients:

  1. Click Start, point to Settings and select Control Panel.
  2. Double-click Network and Dial-up Connections, select Local Area Connection and click Properties.
  3. From the component list, select TCP/IP and click Properties.
  4. Enable DNS and enter the appropriate server information from your network administrator.
Using the Hosts File to Configure the Server IP Address

The Hosts file is a way to manually enter a relationship between a name and an IP address. Use this method if DNS is not used in your organization.

To Edit the Hosts file on your Windows client

  1. Find your Hosts file as follows on your Windows machine.

    For Windows NT/2000:
    \WINNT\SYSTEM32\DRIVERS\ETC\HOSTS

    For Windows 9X/ME:
    \WINDOWS\SYSTEM\DRIVERS\ETC\HOSTS

  2. Edit the Hosts file with a text editor such as Notepad.
  3. Enter your server's IP address and name in the hosts file as a new line as shown in the following example. Your network administrator can provide you with the IP address of your server.

    # the following is an example of a Hosts file entry

    146.23.45.2 acctserver

Preventing the Windows Dial-Up Network Dialog Box from Displaying When Using a Pervasive Application with TCP/IP

The Windows Dial-Up Networking dialog box can display when a TCP/IP request is made to Windows. Usually, this is to make an Internet connection, but this feature can be an annoyance when using Pervasive applications and TCP/IP.

To Prevent the Dial-Up Networking Dialog Box from Displaying Automatically:

  1. Click Start, point to Settings and select Control Panel.
  2. Double-click the Internet icon in Control Panel.
  3. Click the Connection tab.
  4. Clear the check box titled Connect to the Internet As Needed. In Windows 2000, this button is titled Dial whenever a network connection is not present.

Note
While this stops the dialog box from displaying with Pervasive applications, this also has the side effect that other applications such as Internet browsers will no longer automatically spawn the Dial-Up Networking dialog box when a connection to the Internet is needed. In that case, you need to connect to the Internet manually using Dial-Up Networking.

According to Microsoft, the Connect to the Internet As Needed check box is designed to launch Dial-Up Networking whenever TCP/IP is used by an application, so this behavior is correct.

Changing the Default Server Listening Port (Advanced)

Most users should never have to use this procedure. This procedure should only be performed by a system administrator.

In normal TCP/IP operation, clients use a particular port number to communicate with servers. By default, Pervasive.SQL listens on port 1583. For TCP/IP to function properly, all clients and all servers must use the same port numbers.

Pervasive recommends that you do not modify the server listening port unless you have a conflict. If you do have a conflict, you can override the Pervasive.SQL port settings with an entry in the SERVICES file for each machine, client and server. The SERVICES file is located at:
Windows NT/2000

\WINNT\SYSTEM32\DRIVERS\ETC\SERVICES
Windows 9X

\WINDOWS\SERVICES

For example, if you wanted to change the listening port to 80 for Pervasive.SQL, you would add the following entry in your SERVICES file:

psql 80/tcp

Note
Entries in the Windows NT SERVICES file are case-sensitive.

After changing your server listening port, you must stop and restart your Pervasive.SQL services for the changes to take effect. See the section "Using Pervasive.SQL" in Pervasive.SQL User's Guide.

Prev
Using SPX to Connect to a NetWare Server 		Up
Check for Revisions 		Next
Using SPX to Connect to a Windows NT/2000 Server


Using SPX to Connect to a Windows NT/2000 Server

This section documents the use of SPX when connecting to a Pervasive.SQL server running on a Windows NT/2000 machine.

Name Resolution

If you are using Btrieve applications only, then you can use SPX in an all-Windows environment. If you have an ODBC application, however, Pervasive.SQL depends on NetWare for name resolution. You will need at least one NetWare server to perform name resolution for your ODBC applications.

Tasks

Configuring Pervasive.SQL V8 to use IPX/SPX

IPX/SPX is not a native protocol on the Windows NT/2000 platforms. If you want to use IPX/SPX, perform all of the following procedures to ensure proper operation with Pervasive.SQL.

Changing Pervasive's configuration to use IPX/SPX with Windows NT/2000:

If you have both TCP/IP and IPX/SPX Installed in the Network Icon of the Control Panel, you must remove
TCP/IP from the client configuration to make IPX/SPX function with Pervasive applications:

  1. Click Start, point to Programs and select Pervasive.SQL V8.
  2. Select Control Center.
  3. Expand Pervasive.SQL Engines and expand the desired engine.
  4. Expand Configuration and expand Client.
  5. Select the Communication protocols and, in the right-hand pane, right-click on Supported protocols.
  6. Highlight Microsoft TCP/IP from the list of selected protocols and click the < button to move it off the selected list.
  7. Click OK.
Changing Windows Configuration to Make IPX/SPX Run with Pervasive.SQL:

Ensure that your IPX/SPX settings are correct

In the Windows NT Control Panel:

  1. Click Start, point to Settings and select Control Panel.
  2. Double-click on the Network icon.
  3. Select IPX/SPX Compatible Transport and click Properties.
  4. Click the Advanced tab.
  5. Under Frame Type setting, ensure that the correct frame type for your network is selected. Do not use Auto Frame Type Detection.
  6. Still under the Advanced tab, click Network Address.
  7. Enter a non-zero value for your network address. For information about what your network address should be, contact your system administrator.

In the Windows 2000 Control Panel:

  1. Click Start, point to Settings and select Control Panel.
  2. Double-click on the Network and Dial-up Connections icon.
  3. Select Local Area Connection and click Properties.
  4. Scroll down to IPX/SPX/NetBIOS Compatible Transport, highlight and click the Properties button.
  5. In the Frame Type field, ensure that the correct frame type for your network is selected. Do not use Auto Detect.
  6. In the Network number field, enter a non-zero value for your network address. For information about what your network address should be, contact your system administrator.

Ensure that your IPX/SPX Maximum Packet size (MaxPktSize) is set correctly in the Windows NT/2000 registry:

  1. Click Start and select Run.
  2. Type regedit and press Enter.
  3. Find the registry entry using the following paths:
    Windows NT: HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\NwlnkIPX\NetConfig\driver_name\MaxPktSize.
    Windows 2000: HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\NwlnkIPX\Parameters\Adapters\name\MaxPktSize.
  4. Ensure that the MaxPktSize setting in the Windows registry is set to 576 decimal or 240h.
Prev
Using TCP/IP to Connect to a Windows NT/2000 Server 		Up
Check for Revisions 		Next
NetBIOS and the Pervasive.SQL Server Engine


NetBIOS and the Pervasive.SQL Server Engine

Pervasive.SQL does not support NetBIOS using the server engine. Only the Workgroup engine supports NetBIOS.

Prev
Using SPX to Connect to a Windows NT/2000 Server 		Up
Check for Revisions 		Next
Using TCP/IP to Connect to a Linux Server


Using TCP/IP to Connect to a Linux Server

Your Samba must be properly configured on your Linux server to properly network with Windows-based clients. See Chapter 13, Network Settings for Linux for more information.

Tasks

Configuring a Client for the Server's IP Address

When Pervasive.SQL operates in a TCP/IP network, your client must be able to obtain the name of your Linux server from the IP address given to that server by your network administrator. There are two mechanisms that enable this address to name translation:

  • DNS (Domain naming service)
  • Editing the Hosts file (a method typically used in small to medium sized networks)

The following procedures show how to set up the IP address using each method.

Using DNS to Configure the Server IP Address

When you use DNS, you specify settings that allow your computer to look up the name of the server in a database of addresses. Your network administrator can provide the information you need to configure DNS.

To configure your clients to use DNS to resolve the server IP address:

For Windows 9X/NT clients:

  1. Click Start, point to Settings and select Control Panel.
  2. Double-click Network,
  3. select Protocols, select TCP/IP and click Properties.
  4. Click the DNS tab.
  5. Enable DNS and enter the appropriate server information from your network administrator.

For Windows 2000 clients:

  1. Click Start, point to Settings and select Control Panel.
  2. Double-click Network and Dial-up Connections, select Local Area Connection and click Properties.
  3. From the component list, select TCP/IP and click Properties.
  4. Enable DNS and enter the appropriate server information from your network administrator.
Using the Hosts File to Configure the Server IP Address

The Hosts file is a way to manually enter a relationship between a name and an IP address. Use this method if DNS is not used in your organization.

To Edit the Hosts file on your Windows client

  1. Find your Hosts file as follows on your Windows machine.

    For Windows NT/2000:
    \WINNT\SYSTEM32\DRIVERS\ETC\HOSTS

    For Windows 9X/ME:
    \WINDOWS\SYSTEM\DRIVERS\ETC\HOSTS

  2. Edit the Hosts file with a text editor such as Notepad.
  3. Enter your server's IP address and name in the hosts file as a new line as shown in the following example. Your network administrator can provide you with the IP address of your server.

    # the following is an example of a Hosts file entry

    146.23.45.2 acctserver

Preventing the Windows Dial-Up Network Dialog Box from Displaying When Using a Pervasive Application with TCP/IP

The Windows Dial-Up Networking dialog box can display when a TCP/IP request is made to Windows. Usually, this is to make an Internet connection, but this feature can be an annoyance when using Pervasive applications and TCP/IP.

To Prevent the Dial-Up Networking Dialog Box from Displaying Automatically:

  1. Click Start, point to Settings and select Control Panel.
  2. Double-click the Internet icon in Control Panel.
  3. Click the Connection tab.
  4. Clear the check box titled Connect to the Internet As Needed. In Windows 2000, this button is titled Dial whenever a network connection is not present.

Note
While this stops the dialog box from displaying with Pervasive applications, this also has the side effect that other applications such as Internet browsers will no longer automatically spawn the Dial-Up Networking dialog box when a connection to the Internet is needed. In that case, you need to connect to the Internet manually using Dial-Up Networking.

According to Microsoft, the Connect to the Internet As Needed check box is designed to launch Dial-Up Networking whenever TCP/IP is used by an application, so this behavior is correct.

Prev
NetBIOS and the Pervasive.SQL Server Engine 		Up
Check for Revisions 		Next
Using the DOS Requesters


Using the DOS Requesters

This section documents the use of DOS requesters.

Overview

Pervasive.SQL V8 supports DOS Btrieve applications in several different ways. The exact method, however, depends on the current configuration and environment of the workstation.

Requesters Available

The following choices are available:

  • Win32 DOS Box support: Allows a DOS application to run in a DOS box on a Windows NT or Windows 9x workstation. This enables direct communication to the Windows 32-bit workstation components rather than to the database engine. This configuration can be used with either a local Pervasive.SQL Workgroup engine, or a remote Pervasive.SQL server engine. The TCP/IP or SPX protocol supported for client/server access depends on the configuration of the Windows 32-bit components.

Note
DOS Box support must be used for Workgroup engines. These engines do not support the DOS requesters described below.

  • DOS TCP/IP requester (BREQTCP): Allows a DOS application to run in any Windows DOS box or on a DOS workstation, and communicate to a remote Pervasive.SQL server engine via the TCP/IP protocol.
  • DOS SPX requester (BREQUEST or BREQNT): Allows a DOS application to run in any Windows DOS box or on a DOS workstation, and communicate to a remote Pervasive.SQL server engine via the SPX protocol.

There are different reasons for using these different options, including:

  • The Pervasive.SQL Workgroup engine and server engines running local applications support only the Win32 DOS Box configuration.
  • DOS operating system requires the DOS TCP/IP or SPX requesters when accessing a remote server engine.
  • Any given network environment must have only one of the supported protocols available.

Supported Configurations

The table below shows the DOS requester configurations that are supported.
Table 18-4 Supported DOS Requester Configurations
Requester | Workgroup or Server Engine on Windows 98/ME (Local application) | Workgroup or Server Engine on Windows NT/2000 (Local application) | Client on Windows 98/ME to Remote Server Engine | Client on Windows NT/2000 to Remote Server Engine
DOS Box | ü | ü | ü | ü
BREQTCP |  |  | TCP/IP only | TCP/IP only
BREQNT |  |  | SPX only | SPX only
BREQUEST |  |  | SPX to NetWare only | SPX to NetWare only

The preferred Requester for Windows is BTRBOX. You can use this Requester even for legacy DOS applications, and for Workgroup applications.

Note
Use the BREQUEST/BREQNT/BREQTCP Requesters ONLY if you experience a problem with BTRBOX. These Requesters are supported for access to Server engines only, not to Workgroup engines.

Win16 and DOS Workstations

The Requesters for non-Win32 boxes are:

  • BREQUEST
  • BREQNT
  • BREQTCP

The following sections document the steps for running DOS applications on Windows NT and Windows 2000, Windows 9x, and DOS.

  • Running DOS applications on Windows NT/2000
  • Running DOS applications on Windows 9X/ME
  • Verifying the DOS Configuration
  • DOS TCP/IP Technical Information
  • Configuring the Pervasive.SQL DOS Requester

Running DOS applications on Windows NT/2000

To run a Pervasive application on a Windows NT/2000 workstation or locally on a Windows NT/2000 server, you should always install the Windows client components. Note, these are installed on the Windows NT/2000 server by default. You can find the Windows client installation on the Pervasive.SQL V8 CD in the \clients\win directory. Typically, the client installation programs are also installed automatically on your Pervasive.SQL V8 server in the \pvsw\clients\win directory.

After the Windows client component installation, you will have everything you need to run a DOS, Windows 16-bit, or Windows 32-bit application. The default DOS application support installed is the Win32 DOS Box configuration.

Using/Disabling Win32 DOS Box Support

Under Windows NT/2000, the DOS Box Install configures the drivers to be completely transparent. Thus, you are able to immediately open a command prompt and run a DOS Btrieve application. The CONFIG.NT file, located in the WINNT\SYSTEM32 directory, contains the command that enables DOS application support. This file is similar to the old Config.SYS in DOS. Windows NT and Windows 2000 load it for each DOS session opened. In here, the Install places the following path to load the Win32 DOS Box driver:

DEVICE = C:\PVSW\BIN\BTRDRVR.SYS

To disable the Win32 DOS box support to use the DOS TCP/IP or SPX requester, you must follow these steps:

  1. Remove the files BTRDRVR.SYS and BTRVDD.SYS from your system; these are installed by default in the \pvsw\bin directory.
  2. Edit the Config.NT file (using Notepad) in the folder WINNT\SYSTEM32. Delete or invalidate the line:
    DEVICE=C:\PVSW\BIN\BTRDRVR.SYS

Note
Each configuration (Win32 DOS Box, DOS TCP/IP and DOS SPX Support) is mutually exclusive. You must disable the existing configuration before configuring your machine for a new configuration.

Using DOS TCP/IP Support (BREQTCP)

To use the DOS TCP/IP requester on a Windows NT or Windows 2000 workstation, you must first disable the Win32 DOS Box support as described above, and then enable the DOS TCP/IP requester configuration.

To enable BREQTCP support on Windows NT/2000, follow these steps:

  1. Copy the following six files into your %SystemRoot%\SYSTEM directory. %SystemRoot% refers to your Windows directory, typically C:\WINNT. You can determine the value for %SystemRoot% by opening a DOS box and entering the SET command.
    BREQTCP.EXE
BREQTCP.MSG
JSBDOSWS.EXE
JSBDOSWS.DLL
MSOCKLIB.RC
VSLDOS.INI
  2. Click Start, point to Settings and select Control Panel.
  3. Double-click the System icon and click the Environment tab.

    In Windows 2000, double-click the System icon and click the Advanced tab to get to the environment variables setting.

  4. Add the following environment variable:
    VSL=%SystemRoot%\SYSTEM

Note
There must NOT be a trailing semicolon in this statement.

Once the DOS TCP/IP requester is setup, follow the following steps to run a DOS application:

  1. Start a DOS session.
  2. Run JSBDOSWS.EXE
  3. Load BREQTCP.EXE from the \pvsw\bin directory; this needs to be loaded in each DOS session running a Btrieve application.
  4. Run your application.

Note
The commands to load JSBDOSWS and BREQTCP can be put in your AUTOEXEC.NT file. You can load JSBDOSWS with the Load High command.

To stop a DOS application, unload the requester components by entering the command BREQTCP /u followed by JSBDOSWS /u in the DOS box before closing it.

Using DOS SPX Support (BREQUEST/BREQNT)

There are two DOS SPX Btrieve requesters:

  • BREQNT.EXE is the "dual mode" requester that can be used by a DOS application to communicate to either a Windows NT or a NetWare server.
  • BREQUEST.EXE is a NetWare-only version of the DOS SPX requester.

BREQUEST exists for historical purposes before Windows NT support was available, and is still provided because it requires smaller memory than BREQNT. If you are accessing Pervasive.SQL on a NetWare server and if you are running low on DOS conventional memory, you may need to use BREQUEST. If you are accessing a Windows NT server, you must use BREQNT.

In order to use the DOS SPX requester on a Windows NT or Windows 2000 workstation, you must first disable the Win32 DOS Box support as described above; there are no special steps required to enable the DOS SPX requester configuration.

A DOS application can be run with the SPX protocol to a remote server engine by following these steps:

  1. Start a DOS session.
  2. Load BREQNT.EXE or BREQUEST.EXE from the \PVSW\BIN directory; this needs to be loaded in each DOS session running a Btrieve application.
  3. Run your application.

To stop a DOS application, unload the requester by entering the command BREQUEST /u or BREQTCP /u in the DOS box before closing it.

Running DOS applications on Windows 9X/ME

To run a Pervasive application on a Windows 9X/ME workstation, you must always install the Windows client components. These are found on the Pervasive.SQL V8 CD in the \clients\win directory.

Typically, the client installation programs are also installed on your Pervasive.SQL V8 server in the \pvsw\clients\win directory by default.

After the Windows client component installation, you will have everything you need to run a DOS, Windows 16-bit, or Windows 32-bit application. The default DOS application support installed is the Win32 DOS Box configuration.

Using/Disabling Win32 DOS Box Support on Windows 9X/ME

Note
Legacy DOS applications must use the BTRBOX configuration on Windows 9X/ME. In fact, it is the only supported configuration with the Workgroup engine. However, with client/server products, you can run DOS applications with either the BTRBOX configuration, or the legacy 16-bit DOS requesters.

If the DOS application is being run on a DOS or Windows 16-bit operating system, then the legacy 16-bit DOS requesters MUST be used. BTRBOX works on Win32 operating systems only.

Installation Instructions

To run a DOS application with the Win32 DOS Box configuration follow these steps:

  1. Start BTRBOX95:
    1. Select the BTRBOX95 icon to launch from the Start 4 Programs 4 Pervasive.SQL V8 4 Other Utilities menu.
    2. Load from the \pvsw\bin directory. A minimized dialog appears indicating active support. You must leave this dialog running.

      Closure of this dialog will unload BTRBOX95. You will only need to run BTRBOX once -- you may have multiple DOS sessions open using a single instance of the driver.

  2. Start a DOS session.
  3. Load BDOSSTUB.EXE from the \pvsw\bin directory; this needs to be loaded in each DOS session running a Btrieve application.
  4. Run your application.

Note
You MUST reboot after the initial installation of the Windows client components in order for the Win32 DOS Box support to function. A device driver (VxD) is registered and will not load until reboot.

The proper order to stop a DOS application is as follows:

  1. Stop the DOS application.
  2. Close the DOS box.
  3. Stop BTRBOX95.

If you do not follow this order, BTRBOX95 or the database engine may not unload properly.

In situations where stopping and restarting all clients is recommended, you should perform all three steps above. Simply stopping and starting your client applications is not sufficient.

To disable the Win32 DOS box support in order to use the DOS TCP/IP or SPX requester, you must follow these steps:

  1. Remove the files BTRBOX95.EXE, BDOSSTUB.EXE, and BTRBOX95.VXD from your system; these are installed by default in the \pvsw\bin directory.
  2. Using REGEDIT, remove the following key from your registry:
    HKEY_LOCAL_MACHINE\System\Current Control Set\ Services\VXD\BtrBox95

      Each configuration (Win32 DOS Box, DOS TCP/IP and DOS SPX Support) is mutually exclusive. You must disable the existing configuration before configuring your machine for a new configuration.

           Caution

Editing your registry is dangerous and can cause you to reinstall your entire computer. If you do not feel comfortable doing this, please obtain the services of a qualified technician. Pervasive can accept no responsibility for a damaged Registry.

Using DOS TCP/IP Support (BREQTCP)

To use the DOS TCP/IP requester on a Windows 9x workstation you must first disable the Win32 DOS Box support as described above, and then enable the DOS TCP/IP requester configuration using the following steps:

  1. Ensure you have the following five files in your PVSW\BIN directory. These files are installed as part of the clients\win installation. Make sure PVSW\BIN is included in your path.
    BREQTCP.EXE
BREQTCP.MSG
JSBDOSWS.VXD
MSOCKLIB.RC
VSLDOS.INI
  2. Use a text editor such as Notepad to edit your AUTOEXEC.BAT file located in your root directory. Make sure the following line is in the file:
    SET VSL=C:\PVSW\BIN
  3. Edit your SYSTEM.INI file with a text editor such as Notepad. SYSTEM.INI is a Windows system file that is located in your Windows directory (for example, C:\WINDOWS). In the section [386enh], ensure the following line exists
    DEVICE=JSBDOSWS.VXD
  4. Restart Windows 9X/ME to register your changes.

Once the DOS TCP/IP requester is setup, follow these steps to run a DOS application:

  1. Start a DOS session.
  2. Load BREQTCP.EXE from the \pvsw\bin directory; this needs to be loaded in each DOS session running a Btrieve application.
  3. Run your application.

To stop a DOS application, enter the command BREQTCP /u in the DOS box to unload the requester.

Using DOS SPX Support (BREQUEST/BREQNT)

There are two DOS SPX Btrieve requesters. BREQNT.EXE is the "dual mode" requester used by a DOS application to communicate to either a Windows NT or a NetWare server. BREQUEST.EXE is a NetWare-only version of the DOS SPX requester. This exists for historical purposes before Windows NT support was available, and is still provided because it requires smaller memory than BREQNT. If you are accessing Pervasive.SQL on a NetWare server and if you are running low on DOS conventional memory, you may need to use BREQUEST. If you are accessing a Windows NT server, you must use BREQNT.

To use the DOS SPX requester on a Windows 9x workstation, you must first disable the Win32 DOS Box support as described above; there are no special steps required to enable the DOS SPX requester configuration.

A DOS application can be run with the SPX protocol to a remote server engine by following these steps:

  1. Start a DOS session.
  2. Load BREQNT.EXE or BREQUEST.EXE from the \pvsw\bin directory; this needs to be loaded in each DOS session running a Btrieve application.
  3. Run your application.

To stop a DOS application, unload the requester by entering the command BREQUEST /u or BREQTCP /u in the DOS box before closing it.

Running DOS Applications

DOS Btrieve application support on DOS workstations is only available through the DOS TCP/IP or DOS SPX requesters.

Both allow a DOS application to communicate to a Windows NT/2000 or NetWare server running the client/server version of Pervasive.SQL V8.

Using DOS TCP/IP Support (BREQTCP)

To use the DOS TCP/IP requester on a DOS or Windows workstation, you must have one of the following TCP/IP stacks:

  • Microsoft LAN Manager
  • Novell LAN Workplace
  • FTP Software 2.2 or greater

You can enable the DOS TCP/IP requester configuration using the following steps:

  1. Copy the following files to the target directory. If you are running DOS, the target directory is the directory where you installed the Pervasive.SQL DOS client software. These files can be found in the clients\dos directory on your Pervasive.SQL V8 CD or in the PVSW\Clients\DOS directory of a Pervasive.SQL V8 server.
    • BREQTCP.EXE
    • BREQTCP.MSG
    • M3OPEN.EXE
    • MNOVLWP.EXE
    • MFTP22.EXE
    • MSOCKLIB.RC
    • VSLDOS.*
  2. Rename your VSLDOS file to VSLDOS.INI in your target directory.

    If Your TCP stack is
    Rename this file to VSLDOS.INI
    Microsoft LAN Manager
    VSLDOS.M3
    Novell LAN Workplace
    VSLDOS.LWP
    FTP Software
    VSLDOS.FTP

  3. Edit AUTOEXEC.BAT file located in the root directory. Add the following line to the file:
    SET VSL=[jsb-location]

      where [jsb-location] is the fully-qualified path of the directory where you placed the VSLDOS.INI file. For example, C:\PVSW\BIN for DOS.
  4. Restart the computer to register the AUTOEXEC.BAT changes.

Once the DOS TCP/IP requester is setup, follow these steps to run a DOS application:

  1. Make sure your TCP/IP components are loaded, as described by your TCP/IP stack provider.
  2. Run the JSB executable appropriate for your TCP stack:
    • M3OPEN.EXE (Microsoft)
    • MNOVLWP.EXE (Novell)
    • MFTP22.EXE (FTP)
  3. Load BREQTCP.EXE.
  4. Run your application.
VENDOR-SPECIFIC NOTES

MICROSOFT LAN MANAGER

  1. Ensure that the NUMSOCKETS parameter in the [SOCKETS] section of TCPUTILS.INI is set to the maximum concurrent number of connections required.
  2. SOCKETS.EXE is a Terminate and Stay Resident (TSR) program that allows applications to use the Microsoft LAN Manager TCP/IP stack. SOCKETS.EXE must be located in the same directory as the other Microsoft LAN Manager TCP/IP executable.

NOVELL LAN WORKPLACE

Using Novell's LAN Workplace for DOS with BREQTCP.EXE requires that the environment variable EXCELAN be set to the Novell base directory. For example, if you installed LAN Workplace in the C:\NET directory, do a SET EXCELAN=C:\NET prior to loading MNOVLWP.EXE and BREQTCP.EXE.

FTP SOFTWARE

  1. Ensure that you allocate enough TCP and packet buffers for your application within the FTP kernel.

e.g. 'kernel-name' -t 16 -p 20

allocates 16 TCP connections and 20 packet buffers.

  2. Once the maximum number of connections is reached, it may prove difficult to effect any connection thereafter until all, or almost all, connections have been closed. You are therefore recommended to set the maximum number of connections to a high number.

To stop a DOS application, unload the requester components by entering the command BREQTCP /u at the DOS prompt, followed by [JSB executable] /U, where [JSB executable] is either M3OPEN.EXE, MNOVLWP.EXE, or MFTP22.EXE. If running in a Windows DOS box, unload the requester components before closing the DOS box.

Using DOS SPX Support (BREQUEST/BREQNT)

There are two DOS SPX Btrieve requesters. BREQNT.EXE is the "dual mode" requester that can be used by a DOS application to communicate to either a Windows NT or a NetWare server. BREQUEST.EXE is a NetWare-only version of the DOS SPX requester. This exists for historical purposes before Windows NT support was available, and is still provided because it has a smaller memory requirement than BREQNT. If you are accessing Pervasive.SQL on a NetWare server and if you are running low on DOS conventional memory, you may need to use BREQUEST. If you are accessing a Windows NT server, you must use BREQNT.

A DOS application can be run with the SPX protocol to a remote server engine by following these steps:

  1. At a DOS prompt, load BREQNT.EXE or BREQUEST.EXE from the \pvsw\bin directory; this needs to be loaded in each DOS session running a Btrieve application in a Windows environment.
  2. Run your application.

To stop a DOS application, unload the requester by entering the command BREQUEST /u or BREQTCP /u in the DOS box before closing it.

Verifying the DOS Configuration

To verify that the install completed successfully, you need a pure DOS Btrieve application. One of the simplest application ships with the server engines. You will find BUTIL.EXE in the PVSW\Clients\DOS directory. Running this command by itself will show a list of available commands. Do this one time to ensure the copyright information says Butil for DOS, not Windows NT. You will then want to access a Btrieve file. You can use the BUTIL -STAT command to do this. If the command completes successfully, your DOS support is functioning as designed.

Try a command like this:

BUTIL -STAT f:\pvsw\samples\sample.btr

Here, "f:" is a drive letter mapped to your server and "f:\pvsw\samples\sample.btr" is the path and filename of an existing Btrieve data file. A successful completion will return information about the data file. Otherwise, you will see a status code indicating the problem. Pervasive Technical Support can help you resolve any problems.

DOS TCP/IP Technical Information

BREQTCP.EXE is a DOS executable that runs on various DOS and Windows platforms. It is built using JSB Corporation's Virtual Socket Library (VSL). VSL implements an API based on the Berkeley 4.3 sockets standard that enables development of platform-independent and transport-independent network applications. For information about JSB Corporation, visit their site at http://www.jsb.com.

Components of the Btrieve TCP/IP Requester

  • DOS TCP/IP Requesters: BREQTCP.EXE, BREQTCP.MSG
  • VSL DOS components: M3OPEN.EXE, MNOVLWP.EXE, MFTP22.EXE
  • VSL Windows 9X/ME Components: JSBDOSWS.VXD
  • VSL Windows NT Components: JSBDOSWS.EXE, JSBDOSWS.DLL
  • VSL Platform specific configuration files - VSLDOS.INI, VSLDOS.M3, VSLDOS.LWP, VSLDOS.FTP
  • VSL Multi-platform resource file: MSOCKLIB.RC

System Requirements for Btrieve TCP/IP Requester

Server software requirements

  • Pervasive.SQL V8
  • TCP/IP configured correctly at server

You must have one of the following client operating systems:

  • Windows NT 4.0 or greater
  • Windows 2000 SP1 or greater
  • Windows 9X/ME
  • DOS 5.0
  • DOS 6.0 or greater

For DOS, you must have one of the following TCP/IP stacks:

  • Microsoft LAN Manager
  • Novell LAN Workplace
  • FTP Software 2.2 or greater

Conventional memory required to load with defaults

  • Windows NT/2000
    • BREQTCP.EXE 81984
    • JSBDOSWS.EXE 30400 (Upper memory)
  • Windows 9X/ME
    • BREQTCP.EXE 85792
    • JSBDOSWS.VXD 0 (No conventional memory used)
  • DOS 5.0 or greater
    • BREQTCP.EXE 81456
    • M3OPEN.EXE 43280 (Microsoft LAN Manager)
    • MNOVLWP.EXE 66880 (Novell LAN Workplace)
    • MFTP22.EXE 69424 (FTP Software PC/TCP)

Accessing NetWare Servers

You must have your Pervasive.SQL server IP address configured properly on your clients for Pervasive.SQL to function. There are two ways to do this.

To configure your clients to use the server's IP address, do ONE of the following:

  • Use the Control Panel to enable DNS

    In Windows 9X/ME or NT:

    1. Click Start, point to Settings and select Control Panel.
    2. Select Network, TCP/IP and click Properties.
    3. Click the DNS tab.
    4. Enable DNS and enter the appropriate server information.
    5. Verify correct configuration using the TCP/IP 'ping' to ping the server by name.

      In Windows 2000:

    6. Click Start, point to Settings and select Control Panel.
    7. Select Network and Dial-up Connections, and the Local Area Connection.
    8. From the component list, select TCP/IP and then click Properties.
    9. Enable DNS by selecting the corresponding button and entering the appropriate server information.
    10. Verify correct configuration using the TCP/IP 'ping' to ping the server by name.

or

  • Enter your Server IP address/name in the hosts file:
    \WINNT\SYSTEM32\DRIVERS\ETC\HOSTS file (Windows NT/ 2000).
    \WINNT\SYSTEM\DRIVERS\ETC\HOSTS file (Windows 9X).

Note
BREQTCP will return Btrieve status 20 if it is unable to resolve the server name into an IP address, or if the IP address is incorrect or unreachable.

Known Issues

This section contains notes on technical issues.

Multiple DOS Boxes

When running BREQTCP on Windows 9X/ME, only one DOS box is supported. Unloading BREQTCP is not sufficient to release the JSB VxD. The DOS box must be closed before another DOS box can load BREQTCP.

On Windows NT, there is no restriction on the number of DOS boxes that can be invoked.

Use of DOS Requesters on the Windows NT platform

There are some configuration requirements when you use the DOS Requester (BREQTCP, BREQNT or BREQUEST) with Windows NT.

  • To run a DOS application using the DOS requester in a Windows NT DOS box to access a NetWare server, NW16.EXE must be loaded prior to loading BREQTCP. Pervasive Software recommends you load it from AUTOEXEC.NT. If the NWLink IPX/SPX compatible transport is installed, these files are located in the WINNT\SYSTEM32 directory.
  • DOS applications are not supported through the DOS Requester when running on the Windows NT server where the data files you are trying to access reside. You must use the Win32 DOS Box Support as installed by Pervasive.SQL V8 to access local files.
IP Address caching in Windows 9X/ME

After adding a target IP address for a NetWare server in the local Windows 9X/ME hosts file, BREQTCP must be unloaded and reloaded.

After correcting a target IP address for a NetWare server in the local Windows 9X/ME hosts file, the Windows 9X/ME system may need to be restarted to restart the JSB VxD.

BREQTCP caches both valid and invalid IP addresses while the JSB VSL VxD caches valid IP addresses. The result is that modifications to the hosts file will not affect BREQTCP and may not affect the JSB VSL VxD depending upon prior attempts cached. This can be confusing when you are trying to modify a target IP address in the local host's file or on a DNS server.

Note
The Windows 9X/ME 'ping' utility does not exhibit this behavior, so ping may work while BREQTCP requires that Windows 9X/ME be restarted.

Diagnosing BREQTCP.EXE initialization failures

You may receive the following error message when loading BREQTCP:

BREQTCP-10: The function InitSocketLibrary returned an error.

If you see this message, you can determine the cause by using this checklist:

  • Verify that the JSB VSL components appropriate to your workstation are loaded. Refer to the "Using DOS TCP/IP Support (BREQTCP)" section for your operating system for instructions on loading the JSB VSL components.
  • Verify that you set the VSL environment variable to the directory where you placed the VSLDOS.INI file.
  • Verify that the VSLDOS.INI you are using is correct. You should copy the appropriate VSL platform specific configuration file into your installation directory and renamed it VSLDOS.INI. It is not necessary to modify the VSLDOS.INI file. Refer to the "Using DOS TCP/IP Support (BREQTCP)" section for your operating system to find the correct version of the configuration file for your platform.
  • On Windows 9X/ME, ensure another DOS box using BREQTCP is open. This is the multiple DOS box condition described above.

Configuring the Pervasive.SQL DOS Requester

Note
There is no DOS requestor for the SQL Relational Database Engine. All database transactions on DOS must be done through the MicroKernel.

Before configuring the Pervasive.SQL DOS Requester, review this section for any information necessary to your operation. You should also read the READDOS.TXT file on the distribution media.

You must load the Pervasive.SQL DOS Requester at a workstation running DOS before that workstation can access network data files. There are three versions of the DOS Requester: BREQUEST, BREQNT, and BREQTCP.

Version

Used On
Communication Protocol Used
BREQUEST
Local area networks that use only NetWare servers. BREQUEST uses less memory than BREQNT in accessing NetWare servers.
SPX
BREQNT
Local area networks that use Windows NT (or a combination of NetWare and Windows NT). You can also use BREQNT from a DOS box from Windows NT or Windows for Workgroups. BREQNT requires that the DOS workstations accessing the file server have the following components loaded:
  • To run BREQNT from DOS or Windows, load the Microsoft Network Client for MS-DOS and Windows. You also must use the NetWare SPX protocol stack. Pervasive recommends using the ODI drivers from Novell. You do not need to run NETX.EXE or be logged on to a NetWare server if you are using a Windows NT-only LAN.
  • To run BREQNT from a DOS box in Windows for Workgroups, load the Microsoft Windows for Workgroups Network Client.
SPX
BREQTCP
Local area networks that use NetWare or Windows NT servers.
TCP/IP

The DOS Requester loads into a DOS workstation's memory as a Terminate and Stay Resident (TSR) program. You can access local as well as remote files by running a Pervasive.SQL engine on your machine.

Use of DOS Requesters on the Windows NT platform

There are some configuration requirements when you use the DOS Requester with Windows NT.

  • To run a DOS application using the DOS requester in an NT DOS box, NW16.EXE and NWIPXSPX.EXE must be loaded prior to loading BREQNT or BREQUEST. Pervasive Software recommends you load them from AUTOEXEC.NT. If the NWLink IPX/SPX compatible transport is installed, these files are located in the WINNT\SYSTEM32 directory.
  • DOS applications cannot run on the NT server where the data files you are trying to access reside. If attempted, a nonzero status code results.

Loading the Btrieve DOS Requester

Load the DOS Requester at the workstation by entering one of the following commands:

[path] BREQUEST [options]
[path] BRREQNT [options]
[path] BREQTCP [options]

path | The path to the directory where the DOS Requester is stored. You can omit the path name if the DOS Requester is stored on the default drive or if it is located in a directory in your search path.
option | Any of the configuration options described in Btrieve DOS Requester Options .

For example, if the Requester is on the default drive and you want to specify a 2,048 byte data message length, enter BREQNT /D:2048.

Note
The forward slash (/) before the configuration option is the only valid character you can use. If you specify a dash (-) or a backslash (\), the Requester may load improperly.

Unloading the Btrieve DOS Requester

To unload the DOS Requester, use the /U parameter of the DOS Requester (BREQUEST, BREQNT, or BREQTCP; see Unload Requester (/U) ), or the DOS Requester utility, BREQUTIL.EXE. At the workstation where the DOS Requester is loaded, enter BREQUTIL -STOP.

To determine the version of your DOS Requester, you can enter BREQUTIL -VER.

If files have been left open (for example, when an application does not issue a Close operation for each open file, or does not issue a Reset), simply logging out of one or more servers from a workstation does not close data files or terminate the Btrieve communications connection to the server. To close data files and terminate the connection, you must unload the Btrieve requester.

Btrieve DOS Requester Options

There are several configuration options for the Btrieve DOS Requester.

NetWare Runtime Server Support (/C)

Range: /C:0 | /C:1 | /C:1,username,password

Default: /C:1

Memory Required: Not applicable

Runtime Server Support allows access to the MicroKernel running on a NetWare Server that the user is not attached to. The workstation must have a network connection to one or more servers, but not necessarily the target Btrieve server. Using this option, you can enable or disable NetWare Runtime server support.

.
/C:0
Disables NetWare Runtime Server support.
/C:1
Enables NetWare Runtime server support. The MicroKernel looks at the username for the drive (current server) on which you are presently running.
If the username is SUPERVISOR or ADMIN, the MicroKernel searches for another username in the table of usernames for the servers to which you have a network connection.
If the username is not SUPERVISOR or ADMIN, the MicroKernel searches for that username on the NetWare Runtime server. If it is not a valid username, the MicroKernel returns Status Code 94, Permission Error, at the time of the Open or Create request on the NetWare Runtime server.
/C:1, username, password

Enables NetWare Runtime server support. The MicroKernel Database Engine verifies the specified username and password for the NetWare Runtime server. The MicroKernel returns an error if the specified username is not found or the password is invalid.

username
Preferred login name on the NetWare runtime server. If you specify SUPERVISOR for the username, the MicroKernel returns status 99 at the time of the Open or Create.

password
Login password for the specified user.

Data Message Length (/D)

Range: 532 through 57,000 bytes (55,512 bytes is the upper limit for BREQNT)

Default: 4096 bytes

Memory Required: 355 bytes + data message length

This option specifies the length of the largest record (or the largest portion or chunk of a record) you want to access through the MicroKernel. (If you omit this option, the Requester uses the default value, 4096). The Requester uses this value to calculate the length of the data message buffer reserved for passing records between the MicroKernel and your applications. The requester maintains one copy of the data message buffer.

The value you enter here should not exceed the largest communication buffer size you configure for the MicroKernel through the Configuration utility since that is the maximum message that the server communication agent can receive.

Specify the data message length in bytes. For example, if the largest record your application uses is 3,000 bytes, specify the /D option as follows:

/d:3000

Note
Specifying a higher value than you need for the /D option does not improve performance and could waste workstation memory.

DOS Session Load (/L)

Range: Not applicable

Default: Not applicable

Memory Required: Not applicable

To run a DOS-based Btrieve application in a Windows DOS box, you must have the DOS Requester loaded in each DOS session. However, if you have already loaded the DOS Requester before loading Windows, you cannot load the DOS Requester in any subsequent DOS session. Consequently, you cannot run the DOS-based Btrieve application in the DOS box.

In each Windows DOS session that will be running a Btrieve-based application, load the DOS Requester with the /L option. Doing so loads another instance of the DOS Requester that is available only to the DOS session. This operation provides the DOS session with its own copy of the DOS Requester that is available only to the DOS session, and prevents the DOS session from using the instance of the DOS Requester that you loaded before starting Windows.

Note
Versions of Btrieve for NetWare prior to 6.15 required the DOS requesters to be loaded before Windows in order to run Win16 applications. This is no longer necessary.

Receive Packet Size (/M)

Range: 532-4,096

Default: 532 (BREQUEST) or 1514 (BREQNT or BREQTCP)

Memory Required: 3 * Receive Packet Size

This option serves the same function as the Receive Packet Size setting for the NetWare Btrieve Communications Manager server setting (described in Pervasive.SQL User's Guide). It has the same range as the server parameter but has different default that is optimized for the DOS requester.

Real-Time Data Compression (/O)

Range: None

Default: No compression

Memory Required: Approximately 32 KB on the workstation and 32 KB per client on the server

In many cases (such as when implementing extended reads or huge records), this option can help reduce network traffic and increase performance by reducing the number of packets required to complete a request to the MicroKernel. This option may, however, adversely affect memory and performance due to the compress and uncompress work that must be done.

Compressing and decompressing data takes extra CPU time on both the server and client sides. Because of overhead, do not use this option with fast networks or with slow workstations for clients.

Note
This is not to be confused with Data Compression Flag. For more information on Data Compression Flag, see Advanced Operations Guide.

Number of Servers (/S)

Range: 1 through 8, or more if memory permits

Default: 8

Memory Required: 27 bytes per server

The /S option specifies the number of MicroKernel Database Engine with which the requester can simultaneously communicate.

Number of Tasks (/T)

Range: 1 through 32,000

Default: 0

Memory Required: 9 bytes per task

The /T option specifies the maximum number of workstation tasks that can access the server engine at one time using the BTRVID function. Applications that use the BTRV function are not affected by this option. For more information about whether you should set this option, refer to the documentation for your Btrieve application.

Unload Requester (/U)

Range: Not applicable

Default: Not applicable

Memory Required: Not applicable

This option unloads the Btrieve requester from memory. It performs the same function as a BREQUTIL -STOP command.

Help (/?)

The /? option lists the options that are available.

Prev
Using TCP/IP to Connect to a Linux Server 		Up
Check for Revisions 		Next
After Installation


After Installation

Prev
Using the DOS Requesters
Check for Revisions 		Next
Connecting Clients to a Pervasive.SQL Database


Connecting Clients to a Pervasive.SQL Database

How to Connect Clients to the Sample Database on a Pervasive.SQL Server Machine

A sample database called DEMODATA is included on every Pervasive.SQL server installation. This chapter shows how to use a Pervasive.SQL client to:

  • Connect to a machine that is running a Pervasive.SQL server.
  • Use the Pervasive Control Center to find the DEMODATA database.
  • Access information in DEMODATA tables using Pervasive Control Center.

This chapter contains the following sections:

  • Basics About Pervasive.SQL Servers and Clients
  • Connect a Client to a Pervasive.SQL Server
  • Use the Client to Obtain Data from the Server
  • Become an Expert User
Prev
After Installation
Check for Revisions 		Next
Basics About Pervasive.SQL Servers and Clients


Basics About Pervasive.SQL Servers and Clients

You should note the following about Pervasive.SQL servers and clients.

Servers

  • Pervasive.SQL servers are also clients. The client components of Pervasive.SQL are installed with every server install. So you can use your server machine to connect to other servers as a client.

Clients

  • You can use Pervasive Control Center to connect to remote machines on which a server engine of Pervasive.SQL is installed.
  • You will need to login as an administrative user on the remote server to perform most functions. This means that you must have full administrator-level rights on the remote machine or be a member of the Pervasive_Admin group defined on the remote machine.
Prev
Connecting Clients to a Pervasive.SQL Database 		Up
Check for Revisions 		Next
Connect a Client to a Pervasive.SQL Server


Connect a Client to a Pervasive.SQL Server

This procedure shows how to connect to a Pervasive.SQL server.

  1. Start PCC

    Click Start 4 Programs 4 Pervasive.SQL V8 4 Control Center.

  2. Register a Server Engine in your Namespace.

    Right-click on Pervasive.SQL Engines (displayed in your namespace) and select Register New Engine.

    The Namespace is the column on the left side of the Control Center window that contains a list of machines to which you are connected.

 Note
The machines listed in your namespace will remain between Control Center sessions. To remove a machine, right-click on the machine name and select Delete.

Figure 19-1 Registering a New Engine

A dialog is displayed that allows you to choose the machine name where the Pervasive.SQL server resides.

Figure 19-2 Choosing a Computer Name

  3. If you are unsure of the computer name, click the button to the right of the name field and select a computer name from the Network list that appears.

Figure 19-3 Choosing a Computer Name

  4. Click OK to add the machine to your namespace, or click Test to test the connection first.
  5. You need to be authenticated on the remote server, and a dialog displays prompting you for a user name and password. Enter the values in the appropriate field and click OK.
  6. You are now connected to the remote Pervasive.SQL server.
Prev
Basics About Pervasive.SQL Servers and Clients 		Up
Check for Revisions 		Next
Use the Client to Obtain Data from the Server


Use the Client to Obtain Data from the Server

Once you are connected to the database:

  1. Expand the Databases list for your server as shown in Figure 19-4 .

Figure 19-4 Expanding the Databases List for a Machine

  2. Find DEMODATA in the list and click on the plus (+) sign.
  3. Select Tables from the list.
  4. Click on the table DEPARTMENT as shown in Figure 19-5 .

Figure 19-5 Selecting the DEPARTMENT Table in DEMODATA

  5. By default, a "SELECT * FROM" query is run and the table results are displayed in an active grid as shown in Figure 19-6

    The active grid that loads when your data is displayed is updateable. That is, changes you make to the data in that grid are stored to the database.

    If you wish to browse the data without the risk of mistakenly updating data, click the Text Results tab at the lower-left of the SQL Data Manager window, as shown in Figure 19-6.

Figure 19-6 Displaying the DEPARTMENT Table in DEMODATA

  6. Refine your query

    To show how to modify a basic query, restrict the results to only departments that start with the letter 'M' by altering the query at the top half of the screen and clicking the Execute Query button, which is shown in Figure 19-6.

    SELECT * FROM Department WHERE Name LIKE 'M%'

    You can see the results of the query in Figure 19-7 .

Figure 19-7 Refining Your Query - DEPARTMENT Table in DEMODATA

Prev
Connect a Client to a Pervasive.SQL Server 		Up
Check for Revisions 		Next
Become an Expert User


Become an Expert User

Now that you can do some basic database access using Pervasive Control Center, you may want to continue learning about other features.

User's Guide

This manual contains an overview of the Pervasive Control Center and instructions for performing basic tasks.

Advanced Operations Guide

This manual contains advanced operating and maintenance tasks, including database operations.

Prev
Use the Client to Obtain Data from the Server 		Up
Check for Revisions 		Next
Taking Full Advantage of Upgrade


Taking Full Advantage of Upgrade

Rebuilding MicroKernel Data Files to the Latest Version Gains Functionality

This chapter contains information about taking advantage of the latest features in Pervasive.SQL V8 MicroKernel data files.

The chapter contains the following sections:

  • Issues After Upgrading
  • Converting MicroKernel Data Files
  • Command-Line Rebuild Utilities
  • Deleting Temporary Files
Prev
Become an Expert User
Check for Revisions 		Next
Issues After Upgrading


Issues After Upgrading

You are not required to rebuild your data files. Pervasive.SQL is completely backward compatible in respect to data file formats supporting file formats 5.x, 6.x, and 7.x.

This said, it is important to note that there are certain Pervasive.SQL features and functionality that will be unavailable if you do not rebuild your data files to the version 8 format.

The Pervasive.SQL features that are available only with version 6 file format and higher are:

  • Performance improvement
  • Transaction Logging and Durability if your data file contains a unique key
  • International Sort Rule (ISR) support

The Pervasive.SQL features that are available only with the version 7 file format and higher are:

  • 64 GB file size limit
  • Transaction Logging and Durability if your data file does not contain a unique key

The Pervasive.SQL features that are available only with the version 8 file format are:

  • Turbo Write Accelerator
Prev
Taking Full Advantage of Upgrade 		Up
Check for Revisions 		Next
Converting MicroKernel Data Files


Converting MicroKernel Data Files

NOT UPDATED FOR NEW REBUILD - SEE ADVANCED OPS

The Rebuild utility is a tool that can convert older Btrieve data files to the current Pervasive.SQL format. While the current engines remain compatible with the older files, there are several reasons for converting the files including support for nullable columns and performance improvements.
Table 20-1 Rebuild Utility Conversions
Original File Format | Converted File Format | Reason for Conversion
8.x | 8.x | Remove deleted record space from a file, change the page size, or add system data.
Pre-8.x | 8.x | Take advantage of write (insert, update, delete) performance improvements offered by Turbo Write Accelerator.
Pre-7.x | 7.x | Take advantage of 7.x features and improve general performance.
7.x | 7.x | Original file does not have a system key.
Pre-6.0 | 6.x | Take advantage of 6.x features and improve general performance. Use this option only if you are still running the 7.x engine with other 6.x engines.

The Rebuild utility comes in two forms with Pervasive.SQL V8: a 32-bit GUI version for Windows, and a command-line version that runs as an NLM on NetWare.

The file format that results from the conversion depends on either the value you set with the command-line parameter or with the GUI utility. When you use the command-line utility and do not specify a file versoin, the value used is taken from the MicroKernel's Create File Version configuration option. For example, if the Create File Version value is 8.x then running the Rebuild utility on version 7.x files will result in the rebuilt files being converted to version 8.x format.

If you have more than one server engine available, you may wish to use each of your available server engines to rebuild a portion of the total number of files that must be converted. During your scheduled down time for the upgrade, you may find it helpful to copy large files out to the computers where the other server engines are, and then copy the files back when you are finished converting. That way you can share the burden of converting among a number of CPUs.

You can use the Continue on Error option in combination with a *.* file list to convert all the data files in a directory, even if other types of files exist in the directory. The other types of files generate an error when the Rebuild utility attempts to open them. If you have the Continue on Error option set, the utility ignores each of these errors and skips to the next file.

If you have files in the same directory that are already in the version 8 format, they are also rebuilt, and the physical order of the records in these files may be changed depending on the rebuild options you select. You cannot convert from a more recent format back to an earlier format. For example, you cannot convert a version 8 data file to version 6.x format.

There is currently no facility to perform a recursive or multi-directory conversion without building a list of all the individual directories or individual files that you wish to convert.

Before running the Rebuild utility, back up all the data files you plan to convert. Having backup copies ensures against data loss if a power interruption occurs while the utility is running.

Note
Large files, such as 3 or 4 GB, may take several hours to convert.

To ensure that the backup is successful, perform one or more of the following operations:

  • Close all data files before running the backup utility.
  • Use continuous operations.
  • Use a backup utility that opens the files in exclusive write mode so that other processes cannot write to the files. Ensure that the backup utility has exclusive rights to the files.

Note
You cannot run the Rebuild utility on a file that is in continuous operation mode.

Running the GUI Rebuild Utility

There are two ways to start the GUI Rebuild utility:

  • On a Windows machine, select Tools, then Rebuild from the Pervasive Control Center menu.
  • From the Windows Start menu, select Programs, then Pervasive.SQL V8, then Other Utilities, then Rebuild.

The main window displays as illustrated in Figure 20-1.

Figure 20-1 Rebuild Utility Main Window

Getting Help

You can access a Help file from either the Help menu or by clicking Help in any dialog box.

Converting a Data File

To convert a data file:

  1. Choose Select Files from the Options menu. The Select Files dialog box appears (Figure 20-2.)

Figure 20-2 Select Files Dialog Box

  2. Click Add and select the file you want to rebuild. You can select more than one file to rebuild at a time. Click OK when you have finished adding files to rebuild.

    The Rebuild utility deletes the original file after rebuilding it if the file is being rebuilt in the same directory. If the new file is in a different directory, the original file is not deleted.

  3. Before you rebuild the file(s), you may want to specify settings. Choose Settings from the Options menu. The Settings dialog box displays as illustrated in Figure 20-3.

Figure 20-3 Settings Dialog Box

You can change the configuration options for the Rebuild utility before you rebuild your selected file or files. These options are defined in Table 20-2.
Table 20-2 Controls in the Settings Dialog Box
Control | Description
Output Directory | Specifies an alternate location for the rebuilt files. (The default location is the current directory.) You must specify a directory that already exists. This option lets you rebuild large files on a different server. The MicroKernel and its communications components must be loaded on the server that contains the rebuilt files. Do not use wildcard characters in the path. If the Output Directory location is different than the original file's location, the original file is not deleted during the rebuild. If the output directory is the same as the original file, the original file is deleted upon completion of the rebuild.
Key Number | Specifies the key by which the utility reads when rebuilding a file. If you specify NONE for this option, the utility clones the files, drops the indexes, copies the records into the new files, and rebuilds the indexes. Because this method is faster and creates smaller files than specifying a key number, use it whenever possible. This method may create a new file in which the records are in a different physical order than in the original file. If you specify a key number, the utility clones and copies the files without dropping and replacing indexes. While this method is slower than specifying NONE, it is available in case you do not want to rebuild your indexes.
Status File Path | Specifies a location for the rebuild log file. (The default location is the current working directory.) Do not use wildcard characters in the path.
Page Size | Specifies the page size (in bytes) of the new files. Choose either EXISTING, 512, 1024, 2048, 3072, or 4096. If you select EXISTING, the utility uses the existing page size. The utility changes the page size if the original size does not work. For example, assume you have a v5.x file with a page size of 1,024 and 24 keys. Because Btrieve 6.0 and later supports only 23 keys for a page size of 1,024, the utility automatically selects a new page size for the file and writes an informative message to the status file.
Continue on Error | Determines whether the Rebuild utility continues if it encounters an error during the rebuild process. If you select Yes, the utility continues with the next file even if an error occurs. The utility notifies you of non-MicroKernel data files or other errors but continues rebuilding data files. If you select No, the utility halts the rebuild if it encounters an error. This option is useful if you have specified wildcard characters for the rebuilt files.
Save Settings Upon Exit | Saves the current values in this dialog box for use in subsequent Rebuild sessions.
Choose System Data and Key | Specifies whether the file is rebuilt with System Data or System and Key Data. The MicroKernel cannot perform logging for a file without system data when no user-defined unique key exists.

  4. After you specify the settings, you need to start the file conversion process. Select Start Rebuild from the Run menu. The Start Rebuild dialog box displays as indicated in Figure 20-4.

Figure 20-4 Start Rebuild Dialog Box

  5. Click Start to begin the rebuild process, which converts all of the listed files.

    When the process completes, a message dialog box informs of the success or failure of the conversion and prompts you to view the results.

  6. Click Close when you have finished converting files.
  7. To display the results, select View Status File from the Run menu. The REBUILD.LOG file is displayed as illustrated in Figure 20-5.

Figure 20-5 Start Rebuild Dialog Box

The Rebuild utility writes to the status file for every file it attempts to convert. The log file (REBUILD.LOG by default) is an ASCII text file that is placed by default in the directory in which you run the Rebuild utility from.

You can examine the log file by selecting the View Status File command from the Run menu. The rebuild settings are listed for every file. If you disabled the Continue on Error setting, the status file contains the information up to the point of the error. If the rebuild was not successful, the status file contains error messages explaining why the rebuild failed.

Prev
Issues After Upgrading 		Up
Check for Revisions 		Next
Command-Line Rebuild Utilities


Command-Line Rebuild Utilities

See CLI Tasks in Advanced Operations Guide for a complete discussion of the utilities.

Prev
Converting MicroKernel Data Files 		Up
Check for Revisions 		Next
Deleting Temporary Files


Deleting Temporary Files

By default, the Rebuild utility creates temporary files in the same directory in which the conversion takes place. Therefore, you need enough disk space in that directory (while the Rebuild utility is running) to accommodate both the original file and the new file. You can specify a different directory for storing these files using the Output Directory option in the interactive version of the utility or using /B option in the NetWare version.

Normally, the Rebuild utility deletes temporary files when the conversion is complete. However, if a power failure or other serious interruption occurs, the Rebuild utility may not delete the temporary files. If this occurs, look for file names such as _T-xxxxx.TMP and delete them

Prev
Command-Line Rebuild Utilities 		Up
Check for Revisions 		Next
Troubleshooting After Installation


Troubleshooting After Installation

How to Proceed When You Encounter Errors During Installation

Pervasive Software provides several features and tools in Pervasive.SQL V8 that help to prevent configuration and installation problems.

Some of these utilities are installed and run as part of the installation process and all can be run later to evaluate configuration and registry settings and to troubleshoot problems. They are shown in Table 21-1 .

  • Troubleshooting Tools
  • Troubleshooting Strategies
  • Configuration for Special Installation Situations
  • Diagnosing Problems with Pervasive System Analyzer (PSA)
  • Verifying Database Engine is Running
  • Obtaining File, Client, and Engine Version Number
  • Issues After Uninstalling Pervasive.SQL on Windows
  • Engine and Client Version Conflicts
  • How to Get Additional Help
Prev
Deleting Temporary Files
Check for Revisions 		Next
Troubleshooting Tools


Troubleshooting Tools

The following table describes some tools that can help you avoid or solve problems.
Table 21-1 Pervasive Tools that Assist in Installation and Problem Determination
Feature/Component | Function | For More Information
Pervasive System Analyzer | Analyzes system components, runs communication tests, and archives or restores previous database engine files on your system. | See Diagnosing Problems with Pervasive System Analyzer (PSA) .
Smart Components | Smart Components is an internal design in Pervasive.SQL that ensures that Pervasive software components always load with compatible components. | Refer to Advanced Operations Guide.
Knowledge Base | Provides information about many Pervasive software configurations and common environments. | Search the Pervasive Knowledge base at: http://support.pervasive. com/eSupport

Prev
Troubleshooting After Installation 		Up
Check for Revisions 		Next
Troubleshooting Strategies


Troubleshooting Strategies

Pervasive Software hopes that your installation process completes without experiencing any problems. However, this depends on a number of factors, including proper network support, and operating system configuration.

If something does go wrong during an installation, Pervasive offers some tools that can help in diagnosing the problem. This chapter explores some of the troubleshooting techniques that you can use.

Note
If the installation fails before the program copies any files to the target installation directory, the installation log file (install.log) can be found in the directory specified by the %TEMP% environment variable. This directory is often c:\windows\temp or c:\winnt\temp.

Checklist for Problems

  • Did you see any error messages displayed during installation?
  • Does the Network function correctly?
  • Is the Engine running?
  • Is the Client software correctly functioning?
  • Are there errors in your PVSW.LOG file?

Troubleshoot the Problem

The rest of this section contains procedures that you can use in verifying your installation.

  • Configuration for Special Installation Situations
  • Diagnosing Problems with Pervasive System Analyzer (PSA)
  • Verifying Database Engine is Running
  • Obtaining File, Client, and Engine Version Number
  • How to Get Additional Help
Prev
Troubleshooting Tools 		Up
Check for Revisions 		Next
Configuration for Special Installation Situations


Configuration for Special Installation Situations

This section lists some scenarios where the default configuration settings for Pervasive.SQL need adjusting for proper database operation.

The following table summarizes some of these situations. If you find that your configuration matches an issue, please see the reference included for more information.

If your computing environment includes...
Then you need to:
Microsoft Active Directory Service
Read the following section:
Support for Active Directory Service
Multiple network interface cards (NICs)
Enable a configuration setting for Multi-homed setting
In Advanced Operations Guide, see:
  • TCP/IP Multihomed
  • Listen IP Address
NetWare 5.x servers
Increase the default Cache Allocation size. NetWare 5.x includes Pervasive.SQL and Novell set the default cache size to 1MB, which is too small for most applications.
  • See Cache Allocation Size for more information.
A network that is subject to outages
Enable a configuration setting that tries to auto-reconnect to a server when a network outage occurs
  • In Advanced Operations Guide, see Pervasive Auto-Reconnect .
Database files that have embedded spaces
Enable a configuration setting that instructs Pervasive.SQL to accept files with embedded spaces.
  • In Advanced Operations Guide, see Embedded Spaces

Prev
Troubleshooting Strategies 		Up
Check for Revisions 		Next
Diagnosing Problems with Pervasive System Analyzer (PSA)


Diagnosing Problems with Pervasive System Analyzer (PSA)

Pervasive System Analyzer is a diagnostic utility included with Pervasive.SQL V8.

Pervasive System Analyzer (PSA) is conveniently integrated into the product installation and available as a stand-alone diagnostic tool to help you with a the following tasks:

  • Troubleshoot network problems
  • Detect previous installations of Btrieve or Pervasive.SQL on your system
  • Note other factors that influence your networking environment
  • Perform archives and/or restorations of previously-installed versions of Pervasive.SQL
  • Delete components or previous archived versions
  • View current component set and versions

PSA replaces the features that were previously offered by SmartScout and InstallScout.

How to Start PSA

To start PSA

  1. Click Start, and point to Programs 4 Pervasive System Analyzer.

Documentation for PSA

The use of Pervasive System Analyzer is detailed in Pervasive.SQL User's Guide. Please see Pervasive System Analyzer (PSA) of Pervasive.SQL User's Guide for complete information regarding Pervasive System Analyzer

SmartScout Replaced by PSA

Note
SmartScout was replaced by Pervasive System Analyzer starting in Pervasive.SQL 2000i Service Pack 3. The documentation on SmartScout has been removed.

Prev
Configuration for Special Installation Situations 		Up
Check for Revisions 		Next
Verifying Database Engine is Running


Verifying Database Engine is Running

To verify that the Pervasive.SQL server engine is running, see the procedure for your platform:

  • Windows NT and 2000
  • Linux
  • NetWare

Windows NT and 2000

You can use the Services function of the Windows control panel.

Using the Control Panel to Check Pervasive Services on Windows NT or Windows 2000:

  1. Click the Start menu, point to Settings and select Control Panel.
  2. On Windows NT, double-click on the Services icon.

    On Windows 2000, point to Administrative Tools, then to Services.

  3. Type 'P' or scroll the list of services until you reach the following services.
    • Pervasive.SQL (transactional)
    • Pervasive.SQL (relational)

      Both of these services must be started if Pervasive.SQL V8 is to function correctly.

      The second column (Status) displays whether or not the service is currently running. The third column (Startup) indicates whether the service is set to automatically start on system startup or start manually.

Figure 21-1 Displaying the Services Status

  4. If a service is not started, select it in the list and click the Start button on the right side of the dialog as shown in Figure 21-2 .

Figure 21-2 Starting a Service

Linux

You can verify that both engines (mkded – transactional, sqlmgr – relational) are running with the Linux ps utility:

Type the following at a command line:

ps -e | egrep 'mkded|sqlmgr'

To start the Pervasive.SQL services in Linux:

Enter the following at the command line under the root user account:

etc/rc.d/init.d/psql start

NetWare

You can verify that both engines are running by issuing the same commands that start the engines. NetWare will notify you that they are already loaded.

BSTART
MGRSTART
Prev
Diagnosing Problems with Pervasive System Analyzer (PSA) 		Up
Check for Revisions 		Next
Obtaining File, Client, and Engine Version Number


Obtaining File, Client, and Engine Version Number

You can use Pervasive.SQL utilities to verify that the client and engines have the version number you expect, or to check the version of a particular file.

Determining Client and Engine Version

You can check the engine and client versions using Function Executor on Windows platforms or using the BUTIL command-line utility on all platforms:

Using Function Executor

  1. Load the Function Executor Utility.

    Click Start 4 Pervasive.SQL V8 4 Other Utilities 4 Function Executor

    Function Executor is a utility that simulates Btrieve client operations using the Pervasive.SQL requesters.

  2. Select the Btrieve Version Info button, which appears as a clock icon. The correct button is shown in Figure 21-3.

Figure 21-3 Selecting the Btrieve Version button

  3. After choosing the Btrieve Version Info button, a dialog displays that indicates the version of the client requesters and the engine.

Figure 21-4 Btrieve Version Info Display

Using the BUTIL Utility

From a command prompt, enter the following:

BUTIL -VER

The requester and engine versions are then displayed.

Determining a File Version

You can determine the file version of a MicroKernel data file using the Pervasive Control Center or Function Executor on Windows platforms, or using the BUTIL command-line utility on any platform:

  • Using the Pervasive Control Center to select the properties of a table.
  • Using Function Executor to open and then query the version of a file.
  • Using BUTIL command-line utility to query the statistics of the file.

Using the Pervasive Control Center

You can use the Pervasive Control Center to perform this task.

To Determine the File Version of a Table Using Pervasive Control Center

  1. Click Start 4 Programs 4 Pervasive.SQL V8 4 Control Center
  2. Find the database by expanding its name in the Control Center namespace on the left.
  3. Right-click on a table name and select Properties as shown in Figure 21-5.

Figure 21-5 Obtaining a File Version with the Pervasive Control Center

  4. The table properties are displayed, which includes the file version of the underlying MicroKernel data file.

Figure 21-6 Table Properties Page

Using Function Executor

The Function Executor utility can simulate Btrieve operations and can be used to determine the file version by performing the following operations:

  1. Open (0)
  2. Version (26)

The Function Executor utility is documented in more detail in Advanced Operations Guide.

Using BUTIL command-line utility

Use the -stat parameter of BUTIL to query the file statistics, which includes information about:

  • File version
  • Pages
  • Records
  • Keys

Type the following at a command prompt:

butil -stat <filename>

For example, to query the statistics of the file DEPT.MKD of the DEMODATA database included with Pervasive.SQL:

butil -stat dept.mkd

The BUTIL utility (available on Windows, NetWare, and Linux) is documented in more detail in Advanced Operations Guide.

Prev
Verifying Database Engine is Running 		Up
Check for Revisions 		Next
Issues After Uninstalling Pervasive.SQL on Windows


Issues After Uninstalling Pervasive.SQL on Windows

When you uninstall Pervasive.SQL using the Add/Remove Programs mechanism in Windows, you should not have any database engine files remaining on your system. However, some actions such as installing multiple times to the same machine or restoring archived components can cause a significant number of files to be left on your system. This is a side effect of how the installation process works with the Windows operating system and can be corrected using Pervasive System Analyzer (PSA).

In the situations described previously, the files are left because Windows has the files marked with usage counts that indicate that they are being used by more than one program, and therefore the uninstallation program does not remove them from your system. This is expected behavior, but it may lead you to conclude that the Pervasive.SQL uninstall program is not functioning correctly.

In order to correct this condition, run the PSA Delete function and remove all Pervasive components from your system. PSA deletes the files and the Windows registry entries that caused the files to remain on your system. At that point, you should have a system that is free of Pervasive.SQL components, and the next installation of Pervasive.SQL will have correct usage counts.

For information on how to use the PSA Delete function, see Pervasive System Analyzer (PSA) in Pervasive.SQL User's Guide.

Prev
Obtaining File, Client, and Engine Version Number 		Up
Check for Revisions 		Next
Engine and Client Version Conflicts


Engine and Client Version Conflicts

If you update your engine to the latest Pervasive.SQL version without also updating your client requesters, you will encounter warning messages from Pervasive.SQL indicating the version conflict. The message displayed is:

An engine to client component mismatch was found

When you receive such a message, it is also logged to your Pervasive Event Log (PVSW.LOG).

This message is only a warning. The client is not prevented from connecting to the engine in this situation. It simply recommends that you upgrade your clients as soon as it is feasible in order to obtain the best performance and reliability from your Pervasive.SQL database product.

If circumstances in your organization dictate that you cannot upgrade the clients for some time, you may want to disable the dialogs that appear when your client components are activated. However, you cannot disable the entries in the Pervasive Event Log, and you should note that over time this log could grow to a large size as these entries are logged.

To permanently solve the problem, update your client requesters to the same version as your server engine.

Disabling the Client Mismatch Warning Messages

To disable the client component mismatch error

  1. On the client with the older version of Pervasive.SQL, go to the Registry Editor (from the Start menu, select Run and type Regedit).
  2. Go to the HKEY_LOCAL_MACHINE\SOFTWARE\Pervasive Software\Microkernel Router\Version 7\Settings directory within the Registry Editor.
  3. The MicroKernel Router settings will appear in the right hand frame of the Registry Editor. Add a new string value Engine Version Check and give it a value of No.

    Caution
    Use care when editing the Windows registry.

Prev
Issues After Uninstalling Pervasive.SQL on Windows 		Up
Check for Revisions 		Next
How to Get Additional Help


How to Get Additional Help

Pervasive Software strives to ensure that your product installation is easy and successful. If you encounter problems during the installation that are not covered in this manual, please contact Pervasive Software in one of the following ways and we will address your problem promptly.

For general questions, common problem resolution, client/server issues, your first line of support should be the Pervasive Software Knowledge Base, a web-based searchable index of all Pervasive technical information: http://support.pervasive.com/eSupport.

For developer-related issues, visit the following web sites:

  • Pervasive Developer Center
    http://www.pervasive.com/developerzone
  • TechWire and NewsWire are e-mail based newsletters on all things Pervasive: learn about Beta cycles and releases, Service Pack releases, current topics, FYIs, Q & As, Pervasive Software events in your area, trade shows where you can find us, and much more!

    To subscribe to these e-mail newsletters, visit the Subscription Center at http://www.pervasive.com/support/subscription.asp.

If your installation is not successful, or you encounter problems not documented in the Pervasive.SQL manuals or on the Knowledge Base, contact Pervasive Software Customer Support in one of the following ways:

You may obtain technical support from the following Web-based support options:

    • Pervasive Knowledge Base at http://support.pervasive.com/eSupport
    • To open a support incident, http://www.pervasive.com/support/index.asp. Click on Open an Electronic Incident.
    • To report a product defect, http://www.pervasive.com/support/index.asp. Click on Report a product defect.

If you require something other than what Web-based support options provide, contact Pervasive Support by phone:

    • 800-287-4383 option 3 (the Americas)
    • CIC: +00.800.1212.3434 (Belgium, France, Germany, Italy, Luxembourg, The Netherlands, Spain, Sweden, Switzerland, and the U.K)
    • CIC: +32.0.23.37.61 (Any other European, Middle Eastern, African or Asian countries, excluding Japan)

For technical support and discussions about Pervasive products in general:

    • Visit the DevTalk forum at http://www.pervasive.com/devtalk.
    • Visit http://www.pervasive.com/company/contact/index.asp for other contact information.

Thirty-Day Free Technical Support

If you still have questions or problems relating to your Pervasive.SQL V8 installation, you can obtain help from the Pervasive Customer Support department.

Your purchase of Pervasive products entitles you to 30 days of free technical support for installation and configuration problems.

See the following section, Pervasive.SQL Resources and Contacts for information on how to contact Pervasive Software Customer Support.

Prev
Engine and Client Version Conflicts 		Up
Check for Revisions 		Next
Pervasive.SQL Resources and Contacts


Pervasive.SQL Resources and Contacts

A Guide to Pervasive.SQL Customer Information Resources

Pervasive Software strives to ensure that your experience with Pervasive.SQL is successful. This chapter describes the resources and information available to you as a valued customer of Pervasive Software.

The following variety of resources can help you get answers to your questions, troubleshoot problems, and interact with the Pervasive team as well as with other customers:

  • Printed Documentation
  • Developer Center
  • Pervasive.SQL Knowledge Base
  • FTP Site
  • Online Documentation
  • Webinars
  • Subscription Based E-mail Services
  • DevTalk
  • Newsgroup
  • E-Mail Contacts
  • Technical Support

Prev
How to Get Additional Help
Check for Revisions 		Next
Printed Documentation


Printed Documentation

Pervasive.SQL V8 comes with a printed copy of Getting Started and Status Codes Quick Reference. A complete suite of online documentation is installed on Windows when you choose the Complete installation procedure. It is available as an option in the Custom installation procedure. The content is accessible through the Start menu:
Programs 4 Pervasive.SQL V8 4 Documentation 4 Pervasive.SQL V8.

Printed versions of the following titles are available for purchase:

  • Getting Started with Pervasive.SQL (Server or Workgroup edition)
  • Pervasive.SQL User's Guide
  • SQL Engine Reference
  • Status Codes and Messages
  • Pervasive Products and Services
  • Advanced Operations Guide
  • What's New in Pervasive.SQL (for latest release)

To order manuals, please contact Pervasive Software using one of the following methods:

Online through the Pervasive Store: http://www.pervasive.com/commerce

E-mail: salessupport@pervasive.com

Phone: 1-800-287-4383

Prev
Pervasive.SQL Resources and Contacts 		Up
Check for Revisions 		Next
Developer Center


Developer Center

The Pervasive Software Web site is a great source for Pervasive.SQL information: http://www.pervasive.com. It is your most immediate source for assistance with the product.

The link shown below is commonly referred to as Developer Center. It is a great starting point from which to navigate to available downloads, documentation, product updates, news articles, sample code and tutorials. Developer Center also provides access to an expansive technical library and training information.

http://www.pervasive.com/developerzone/

Prev
Printed Documentation 		Up
Check for Revisions 		Next
Pervasive.SQL Knowledge Base


Pervasive.SQL Knowledge Base

The Pervasive.SQL Knowledge Base Online is a searchable database for technical information regarding installation, configuration, component management, product defect status, and answers to the frequently asked questions (FAQs). The Knowledge Base, shown below, uses an associative problem-solving technology to perform contextual searches and can be used to quickly find specific answers to your questions about Pervasive products.

http://support.pervasive.com/eSupport/

Prev
Developer Center 		Up
Check for Revisions 		Next
FTP Site


FTP Site

Pervasive Software strives to maintain close ties to developers using Pervasive.SQL for their database applications. On the Pervasive FTP site, you can find practical resources such as downloadable updates and patches to our product offerings as well as additional debugging tools, documentation, third-party tools, and beta releases.

ftp://ftp.pervasive.com/support/

Prev
Pervasive.SQL Knowledge Base 		Up
Check for Revisions 		Next
Online Documentation


Online Documentation

The latest versions of Pervasive.SQL product manuals in CHM, HLP and PDF format are available for download from the Pervasive Software web site. These titles include:

  • Getting Started with Pervasive.SQL (Server or Workgroup edition)
  • What's New in Pervasive.SQL (for current release)
  • Pervasive.SQL User's Guide
  • SQL Engine Reference
  • Status Codes and Messages
  • Pervasive Products and Services
  • Advanced Operations Guide

http://www.pervasive.com/support/technical/online_manuals.asp

Pervasive Library

You can also view all the current documentation online, along with technical papers, discussion forums, and other resources.

http://www.pervasive.com/library

Prev
FTP Site 		Up
Check for Revisions 		Next
Webinars


Webinars

Pervasive Software offers a series of Webinars (web-based seminars) that are focused on singular subjects and have been designed to maximize the transfer of knowledge to our partners and developers without expense of travel.

This forum also offers opportunities for live contact with subject matter experts from Pervasive Software in lively discussions during informal and open question-and-answer periods provided throughout the conferences.

For more information, see http://www.pervasive.com/training/calendar/index.asp.

Prev
Online Documentation 		Up
Check for Revisions 		Next
Subscription Based E-mail Services


Subscription Based E-mail Services

TechWire and NewsWire are newsletters on all things Pervasive: learn about Beta cycles and releases, Service Pack releases, current topics, FYIs, FAQs, Pervasive Software Events in your area, trade shows where you can find us, and much more!

To subscribe to these free e-mail services, see the following website.

http://www.pervasive.com/support/subscription.asp

Prev
Webinars 		Up
Check for Revisions 		Next
DevTalk


DevTalk

Pervasive Software's DevTalk discussion forums are a great way to share ideas with other customers, get technical questions answered, and give feedback directly to Pervasive Software.

http://www.pervasive.com/devtalk/

Prev
Subscription Based E-mail Services 		Up
Check for Revisions 		Next
Newsgroup


Newsgroup

Many Pervasive.SQL customers enjoy participation in a newsgroup—a learning environment in which users help users, with some participation by Pervasive Software. The newsgroup is managed by the end-user community, posting and answering questions as they wish.

Pervasive Software is represented in the worldwide network of news discussion groups at:

news://comp.databases.btrieve.

Prev
DevTalk 		Up
Check for Revisions 		Next
E-Mail Contacts


E-Mail Contacts

Pervasive Software welcomes your comments, suggestions and requests for assistance via e-mail. Please submit to the following contacts:

  • docs@pervasive.com

    For comments or concerns regarding the content of Pervasive.SQL documentation. Requests for manuals should be directed to your sales rep or "salessupport@pervasive.com".

  • uteam@pervasive.com

    For comments or concerns regarding the Pervasive.SQL utilities, such as PCC, PSA, installation, and other Pervasive tools.

  • salessupport@pervasive.com

    For information about Pervasive.SQL sales matters such as contacts, pricing, and product specifications.

  • developer@pervasive.com

    For developer relations. A great way for developers to communicate their ideas about all Pervasive products, interfaces and programs.

  • info@pervasive.com

    For general information about the company, marketing efforts, public relations, and other general questions.

  • investor.relations@pervasive.com

    For questions from investors.

Prev
Newsgroup 		Up
Check for Revisions 		Next
Technical Support


Technical Support

You may obtain technical support from the following Web-based support options:

    • Pervasive Knowledge Base at http://support.pervasive.com/eSupport
    • To open a support incident, http://www.pervasive.com/support/index.asp. Click on Open an Electronic Incident.
    • To report a product defect, http://www.pervasive.com/support/index.asp. Click on Report a product defect.

If you require something other than what Web-based support options provide, contact Pervasive Support by phone:

    • 800-287-4383 option 3 (the Americas)
    • CIC: +00.800.1212.3434 (Belgium, France, Germany, Italy, Luxembourg, The Netherlands, Spain, Sweden, Switzerland, and the U.K)
    • CIC: +32.0.23.37.61 (Any other European, Middle Eastern, African or Asian countries, excluding Japan)

For technical support and discussions about Pervasive products in general:

    • Visit the DevTalk forum at http://www.pervasive.com/devtalk.
    • Visit http://www.pervasive.com/company/contact/index.asp for other contact information.

Prev
E-Mail Contacts 		Up
Check for Revisions 		Next